<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>index</name>
    <title>KMediaPlayer</title>
    <filename>index</filename>
  </compound>
  <compound kind="file">
    <name>kmediaplayer_export.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/interfaces/kmediaplayer/</path>
    <filename>kmediaplayer__export_8h</filename>
  </compound>
  <compound kind="file">
    <name>kmediaplayeradaptor.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/interfaces/kmediaplayer/</path>
    <filename>kmediaplayeradaptor_8cpp</filename>
  </compound>
  <compound kind="file">
    <name>Mainpage.dox</name>
    <path>/usr/local/src/kde-4.1/kdelibs/interfaces/kmediaplayer/</path>
    <filename>Mainpage_8dox</filename>
  </compound>
  <compound kind="file">
    <name>player.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/interfaces/kmediaplayer/</path>
    <filename>player_8cpp</filename>
    <includes id="player_8h" name="player.h" local="no" imported="no">kmediaplayer/player.h</includes>
  </compound>
  <compound kind="file">
    <name>player.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/interfaces/kmediaplayer/</path>
    <filename>player_8h</filename>
    <includes id="view_8h" name="view.h" local="no" imported="no">kmediaplayer/view.h</includes>
    <namespace>KMediaPlayer</namespace>
    <class kind="class">KMediaPlayer::Player</class>
  </compound>
  <compound kind="file">
    <name>view.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/interfaces/kmediaplayer/</path>
    <filename>view_8cpp</filename>
    <includes id="view_8h" name="view.h" local="no" imported="no">kmediaplayer/view.h</includes>
  </compound>
  <compound kind="file">
    <name>view.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/interfaces/kmediaplayer/</path>
    <filename>view_8h</filename>
    <includes id="kmediaplayer__export_8h" name="kmediaplayer_export.h" local="no" imported="no">kmediaplayer/kmediaplayer_export.h</includes>
    <namespace>KMediaPlayer</namespace>
    <class kind="class">KMediaPlayer::View</class>
  </compound>
  <compound kind="namespace">
    <name>KMediaPlayer</name>
    <filename>namespaceKMediaPlayer.html</filename>
    <class kind="class">KMediaPlayer::Player</class>
    <class kind="class">KMediaPlayer::View</class>
  </compound>
  <compound kind="class">
    <name>KMediaPlayer::Player</name>
    <filename>classKMediaPlayer_1_1Player.html</filename>
    <base>KParts::ReadOnlyPart</base>
    <member kind="enumeration">
      <name>State</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>8c2150474b4a1a3cd423b738319a2a7d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Empty</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>8c2150474b4a1a3cd423b738319a2a7d985efbb350f6730eb78cbe48606c0bfd</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Stop</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>8c2150474b4a1a3cd423b738319a2a7d83c95508d150ddab61e31c2539a7a98b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Pause</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>8c2150474b4a1a3cd423b738319a2a7de9f74baa2d0a3c7841e11fa364a5123b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Play</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>8c2150474b4a1a3cd423b738319a2a7db08373fd53779335502e2efabe1717aa</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>pause</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>8ab9532c795d0f6aa49a66288bd07934</anchor>
      <arglist>(void)=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>play</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>9fc1aca273d727955010f23de9bdfdde</anchor>
      <arglist>(void)=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>seek</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>80812b4139e9700be5c4c72280929745</anchor>
      <arglist>(qlonglong msec)=0</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setLooping</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>bb5eb84d247ff2e81ef52830b0e35870</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>stop</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>b02366a3538583aad497503eefde24d7</anchor>
      <arglist>(void)=0</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>loopingChanged</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>0ea8083d38c80a6d3cf627b579f520a5</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>stateChanged</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>b05daed5b4f6324cf11a91d3cb7bfa51</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>hasLength</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>c3a19cc9c0351c729daec97bdd40f155</anchor>
      <arglist>(void) const =0</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isLooping</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>aa31f94ab5b2f834b6ed30af4b737fd5</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isSeekable</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>74af063ca70e1d80fe086758947f8b5a</anchor>
      <arglist>(void) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual qlonglong</type>
      <name>length</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>4948250dee7de39061b8e14a1dcdb660</anchor>
      <arglist>(void) const =0</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Player</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>96f00a3ef4d73097a636879a92ea3046</anchor>
      <arglist>(QWidget *parentWidget, const char *widgetName, QObject *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Player</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>1c02b2926a6615f07cd1db7588e3b1ca</anchor>
      <arglist>(QObject *parent)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual qlonglong</type>
      <name>position</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>50f8f30e474e6f965ca5a0a71586bef5</anchor>
      <arglist>(void) const =0</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>state</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>2ee643ff5e4780beffc9227a382c620f</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual View *</type>
      <name>view</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>cf419f5a346a7ed75a26ff58538937dc</anchor>
      <arglist>(void)=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Player</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>da26aff4233c9236c41da8b407b3bdb0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>setState</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>5ce5053793d71987fa584f029ba1418d</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="property">
      <type>bool</type>
      <name>hasLength</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>cfa4ee81de76048b1d8f6e0322fde58b</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>qlonglong</type>
      <name>length</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>80701b569febd3a91a7e2336da10e260</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>bool</type>
      <name>looping</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>75bf255e7e352baebed8739d4f06322f</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>qlonglong</type>
      <name>position</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>b98be8a41fd9f94d90574dbaba10d111</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>bool</type>
      <name>seekable</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>b150ef62c3adef6238be00d1e8cda375</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>int</type>
      <name>state</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>bc4eed379e6d45cef60dd4a788f8ed62</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMediaPlayer::View</name>
    <filename>classKMediaPlayer_1_1View.html</filename>
    <base>QWidget</base>
    <member kind="enumeration">
      <name>Button</name>
      <anchorfile>classKMediaPlayer_1_1View.html</anchorfile>
      <anchor>ddf1d9a7161e40e1a33fe64ee2320352</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Play</name>
      <anchorfile>classKMediaPlayer_1_1View.html</anchorfile>
      <anchor>ddf1d9a7161e40e1a33fe64ee2320352424bcc4f7cff5cd370a77df47bc61a98</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Stop</name>
      <anchorfile>classKMediaPlayer_1_1View.html</anchorfile>
      <anchor>ddf1d9a7161e40e1a33fe64ee2320352cc125cfd467171d9e57d53bd87cbbf4d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Pause</name>
      <anchorfile>classKMediaPlayer_1_1View.html</anchorfile>
      <anchor>ddf1d9a7161e40e1a33fe64ee23203525f4164f4f32c1f082c75507bbc3b3e17</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Seeker</name>
      <anchorfile>classKMediaPlayer_1_1View.html</anchorfile>
      <anchor>ddf1d9a7161e40e1a33fe64ee23203522badf0408b5c94f5ed6e6adada9e5aeb</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>All</name>
      <anchorfile>classKMediaPlayer_1_1View.html</anchorfile>
      <anchor>ddf1d9a7161e40e1a33fe64ee2320352519f0fee37efc0c0064676a742f694e7</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>button</name>
      <anchorfile>classKMediaPlayer_1_1View.html</anchorfile>
      <anchor>70a7d84311b0e931e47a323a01cc59e4</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>hideButton</name>
      <anchorfile>classKMediaPlayer_1_1View.html</anchorfile>
      <anchor>09d2b303be2b1602b6b9959c98f04b83</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setButtons</name>
      <anchorfile>classKMediaPlayer_1_1View.html</anchorfile>
      <anchor>ff589cf36b58d46b971980913a2703f4</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showButton</name>
      <anchorfile>classKMediaPlayer_1_1View.html</anchorfile>
      <anchor>bfbde82bfc61bf8df528e6303fe0a912</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>toggleButton</name>
      <anchorfile>classKMediaPlayer_1_1View.html</anchorfile>
      <anchor>12705d18381f953dbe90f2ef28c1d547</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>buttonsChanged</name>
      <anchorfile>classKMediaPlayer_1_1View.html</anchorfile>
      <anchor>b28547a06f1683e1926cbd84ff89c548</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>buttons</name>
      <anchorfile>classKMediaPlayer_1_1View.html</anchorfile>
      <anchor>b70e6e8d3ab6487725e6862c2d678486</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>QWidget *</type>
      <name>videoWidget</name>
      <anchorfile>classKMediaPlayer_1_1View.html</anchorfile>
      <anchor>24677cba28ed74907291161388a85bd1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>View</name>
      <anchorfile>classKMediaPlayer_1_1View.html</anchorfile>
      <anchor>53cfd45130ecab0ae8dc017461e4fcf7</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~View</name>
      <anchorfile>classKMediaPlayer_1_1View.html</anchorfile>
      <anchor>ce9ad8168a796a4dd50a9bbab391c852</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setVideoWidget</name>
      <anchorfile>classKMediaPlayer_1_1View.html</anchorfile>
      <anchor>b3743b77eef2e30c6249e71153fc5a26</anchor>
      <arglist>(QWidget *videoWidget)</arglist>
    </member>
  </compound>
</tagfile>
