<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>index</name>
    <title>KDE Initialization Routines</title>
    <filename>index</filename>
  </compound>
  <compound kind="file">
    <name>autostart.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kinit/</path>
    <filename>autostart_8cpp</filename>
    <includes id="autostart_8h" name="autostart.h" local="yes" imported="no">autostart.h</includes>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>extractName</name>
      <anchorfile>autostart_8cpp.html</anchorfile>
      <anchor>59481fe21cbb920981cd4f24961705ee</anchor>
      <arglist>(QString path)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>startCondition</name>
      <anchorfile>autostart_8cpp.html</anchorfile>
      <anchor>cdf27d0e42d1cf95ec8ca086240b10b9</anchor>
      <arglist>(const QString &amp;condition)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>autostart.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kinit/</path>
    <filename>autostart_8h</filename>
    <class kind="class">AutoStart</class>
    <member kind="typedef">
      <type>QList&lt; AutoStartItem * &gt;</type>
      <name>AutoStartList</name>
      <anchorfile>autostart_8h.html</anchorfile>
      <anchor>bcfcffff2483c0238e539307e56cf31e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>kinit.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kinit/</path>
    <filename>kinit_8cpp</filename>
    <includes id="proctitle_8h" name="proctitle.h" local="yes" imported="no">proctitle.h</includes>
    <includes id="klauncher__cmds_8h" name="klauncher_cmds.h" local="yes" imported="no">klauncher_cmds.h</includes>
    <member kind="define">
      <type>#define</type>
      <name>DISPLAY</name>
      <anchorfile>kinit_8cpp.html</anchorfile>
      <anchor>b4bf926a45354a2f328f1a7b94ebd3c5</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>MAX_SOCK_FILE</name>
      <anchorfile>kinit_8cpp.html</anchorfile>
      <anchor>5751a776930abe80551a462fcb18e6f7</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>KParts::Plugin *</type>
      <name>_kinit_init_kparts</name>
      <anchorfile>kinit_8cpp.html</anchorfile>
      <anchor>ad2f23ed9e04287b6b65b9db447789e5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KIO::AuthInfo *</type>
      <name>_kioslave_init_kio</name>
      <anchorfile>kinit_8cpp.html</anchorfile>
      <anchor>5ff211c89d30b9a9aee9ad5c2826cc87</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>child_died</name>
      <anchorfile>kinit_8cpp.html</anchorfile>
      <anchor>89f11c5b75df735d68d65789f7794b3e</anchor>
      <arglist>(pid_t exit_pid, int exit_status)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>cleanup_fds</name>
      <anchorfile>kinit_8cpp.html</anchorfile>
      <anchor>906db756d042cc2630891db8cdd983b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>close_fds</name>
      <anchorfile>kinit_8cpp.html</anchorfile>
      <anchor>e21e7004044a5b29a60be9ce359dd6c4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>complete_startup_info</name>
      <anchorfile>kinit_8cpp.html</anchorfile>
      <anchor>475e47877efe4dd1115b720f04f410cf</anchor>
      <arglist>(KStartupInfoId &amp;id, pid_t pid)</arglist>
    </member>
    <member kind="function">
      <type>QByteArray</type>
      <name>execpath_avoid_loops</name>
      <anchorfile>kinit_8cpp.html</anchorfile>
      <anchor>1c19697e290533ed1733d05c6a454c48</anchor>
      <arglist>(const QByteArray &amp;exec, int envc, const char *envs, bool avoid_loops)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>exitWithErrorMsg</name>
      <anchorfile>kinit_8cpp.html</anchorfile>
      <anchor>1ea1335ada85d2d1f7c80dfcb4b2bf29</anchor>
      <arglist>(const QString &amp;errorMsg)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>get_current_desktop</name>
      <anchorfile>kinit_8cpp.html</anchorfile>
      <anchor>6e0898c639392e8464d6b4ad64b45efd</anchor>
      <arglist>(Display *disp)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>get_env_var</name>
      <anchorfile>kinit_8cpp.html</anchorfile>
      <anchor>709ed053c24af711af92188bd0c1a0cc</anchor>
      <arglist>(const char *var, int envc, const char *envs)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>handle_launcher_request</name>
      <anchorfile>kinit_8cpp.html</anchorfile>
      <anchor>c93687cb8635a0d9478d1964e899477d</anchor>
      <arglist>(int sock=-1)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>handle_requests</name>
      <anchorfile>kinit_8cpp.html</anchorfile>
      <anchor>a05f67d9446390e2af6bd9d2eb67e28e</anchor>
      <arglist>(pid_t waitForPid)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>init_kdeinit_socket</name>
      <anchorfile>kinit_8cpp.html</anchorfile>
      <anchor>945a2795c1793d887b3d2d0448f3a53b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>init_signals</name>
      <anchorfile>kinit_8cpp.html</anchorfile>
      <anchor>e2706a045b0e21ad49428ff1229e1602</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>init_startup_info</name>
      <anchorfile>kinit_8cpp.html</anchorfile>
      <anchor>c6ab4702dbda53cb6fef06c15fff225f</anchor>
      <arglist>(KStartupInfoId &amp;id, const char *bin, int envc, const char *envs)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>initXconnection</name>
      <anchorfile>kinit_8cpp.html</anchorfile>
      <anchor>338c7be98131d245e62533c9f439d17e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>kdeinit_library_path</name>
      <anchorfile>kinit_8cpp.html</anchorfile>
      <anchor>4a2d5eb0513523957847601aa9a8adb3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>kdeinit_x_errhandler</name>
      <anchorfile>kinit_8cpp.html</anchorfile>
      <anchor>13152590c5ca49fa4e15d308df530021</anchor>
      <arglist>(Display *, XErrorEvent *err)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>kdeinit_xio_errhandler</name>
      <anchorfile>kinit_8cpp.html</anchorfile>
      <anchor>c6c96933769fe50b9ea19b5ec77dc170</anchor>
      <arglist>(Display *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static pid_t</type>
      <name>launch</name>
      <anchorfile>kinit_8cpp.html</anchorfile>
      <anchor>1d6fcfee38aefb04a7e97e3de97e9437</anchor>
      <arglist>(int argc, const char *_name, const char *args, const char *cwd=0, int envc=0, const char *envs=0, bool reset_env=false, const char *tty=0, bool avoid_loops=false, const char *startup_id_str=&quot;0&quot;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>launcher_died</name>
      <anchorfile>kinit_8cpp.html</anchorfile>
      <anchor>315fb452f87abbc39c2c662c330d80d7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>main</name>
      <anchorfile>kinit_8cpp.html</anchorfile>
      <anchor>647f21a28344e1d9c643f4115516d7c9</anchor>
      <arglist>(int argc, char **argv, char **envp)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>read_socket</name>
      <anchorfile>kinit_8cpp.html</anchorfile>
      <anchor>5388d5c8aaf69504918bab06e782b2d6</anchor>
      <arglist>(int sock, char *buffer, int len)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>secondary_child_handler</name>
      <anchorfile>kinit_8cpp.html</anchorfile>
      <anchor>4775aebdbc386767f0f8138894f3d019</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setup_tty</name>
      <anchorfile>kinit_8cpp.html</anchorfile>
      <anchor>a2026f80244d2d8b300383620131f5e0</anchor>
      <arglist>(const char *tty)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setupX</name>
      <anchorfile>kinit_8cpp.html</anchorfile>
      <anchor>baaaae3301d719e9e7c9bad76f02a83c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>sig_child_handler</name>
      <anchorfile>kinit_8cpp.html</anchorfile>
      <anchor>8f5050e5e31d4b0994de3e010b959bbe</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static struct child *</type>
      <name>children</name>
      <anchorfile>kinit_8cpp.html</anchorfile>
      <anchor>855801dc6d9be919a54d3e45ea8047c5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static struct @0</type>
      <name>d</name>
      <anchorfile>kinit_8cpp.html</anchorfile>
      <anchor>1997ace4349c6ac6ea9f8c501dab6ab7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>accepted_fd</name>
      <anchorfile>struct@0.html</anchorfile>
      <anchor>6573a701b4a3acf37f7e5076690055f5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char **</type>
      <name>argv</name>
      <anchorfile>struct@0.html</anchorfile>
      <anchor>5f7fd86a69759594f157c3e57716cf98</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>deadpipe</name>
      <anchorfile>struct@0.html</anchorfile>
      <anchor>ef7698b90104baff0424ad68779d7d12</anchor>
      <arglist>[2]</arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>debug_wait</name>
      <anchorfile>struct@0.html</anchorfile>
      <anchor>8618ee4f7eca0dc9b6a134ef03a2ea9a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QByteArray</type>
      <name>errorMsg</name>
      <anchorfile>struct@0.html</anchorfile>
      <anchor>77d158fbe12b8133454e9ef568bb3dc9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>exit_status</name>
      <anchorfile>struct@0.html</anchorfile>
      <anchor>ce9727af3691b8b39a7be89c5b9fdae0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>fd</name>
      <anchorfile>struct@0.html</anchorfile>
      <anchor>3df5e8c1dbfb0242684ccf47c24bcf76</anchor>
      <arglist>[2]</arglist>
    </member>
    <member kind="variable">
      <type>pid_t</type>
      <name>fork</name>
      <anchorfile>struct@0.html</anchorfile>
      <anchor>88c011344d7a431ac42e744aa2e5e269</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int(*</type>
      <name>func</name>
      <anchorfile>struct@0.html</anchorfile>
      <anchor>7d696541a17837630fc1bb6e65927761</anchor>
      <arglist>)(int, char *[])</arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>initpipe</name>
      <anchorfile>struct@0.html</anchorfile>
      <anchor>d649b619ab47e24e9e7f2282c90c48fb</anchor>
      <arglist>[2]</arglist>
    </member>
    <member kind="variable">
      <type>pid_t</type>
      <name>kded_pid</name>
      <anchorfile>struct@0.html</anchorfile>
      <anchor>76edb504b092db629bafb740ba8b5c31</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>launcher</name>
      <anchorfile>struct@0.html</anchorfile>
      <anchor>534d3bc33da4ce08af08a02f6192ed76</anchor>
      <arglist>[2]</arglist>
    </member>
    <member kind="variable">
      <type>int(*</type>
      <name>launcher_func</name>
      <anchorfile>struct@0.html</anchorfile>
      <anchor>da21d5544634d18873493f5856476daa</anchor>
      <arglist>)(int)</arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>launcher_ok</name>
      <anchorfile>struct@0.html</anchorfile>
      <anchor>ba9a8c9f61e891677eb4b5f9a6223211</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>pid_t</type>
      <name>launcher_pid</name>
      <anchorfile>struct@0.html</anchorfile>
      <anchor>a7ddb11a7a46dd6168439a9994ac192c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>maxname</name>
      <anchorfile>struct@0.html</anchorfile>
      <anchor>628ec4eaf31366f7dca9fd3b24cd4732</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>pid_t</type>
      <name>my_pid</name>
      <anchorfile>struct@0.html</anchorfile>
      <anchor>0b62bdbab28a60608403ff3e2c355ef2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>n</name>
      <anchorfile>struct@0.html</anchorfile>
      <anchor>126e754844944d3eb5db46e1429d4c44</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char</type>
      <name>result</name>
      <anchorfile>struct@0.html</anchorfile>
      <anchor>f8e314dbe630825aaa8b33a4d3e2a530</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>suicide</name>
      <anchorfile>struct@0.html</anchorfile>
      <anchor>04d0077f896d2d613d0ac3270c628a11</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>wrapper</name>
      <anchorfile>struct@0.html</anchorfile>
      <anchor>977e8170ea2a665aeb36500c67f79c1c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>wrapper_old</name>
      <anchorfile>struct@0.html</anchorfile>
      <anchor>bb0d498c4ae25368f02c36e2ab0e7abb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char **</type>
      <name>environ</name>
      <anchorfile>kinit_8cpp.html</anchorfile>
      <anchor>a006daaf11f1e2e45a6ababaf463212b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static KComponentData *</type>
      <name>s_instance</name>
      <anchorfile>kinit_8cpp.html</anchorfile>
      <anchor>bf5e3b6617e2b7f476465f4a786ba08d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static char</type>
      <name>sock_file</name>
      <anchorfile>kinit_8cpp.html</anchorfile>
      <anchor>477a629fe2ff4550344a57df3fc99701</anchor>
      <arglist>[MAX_SOCK_FILE]</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static Display *</type>
      <name>X11_startup_notify_display</name>
      <anchorfile>kinit_8cpp.html</anchorfile>
      <anchor>26c03c95ce1560407d63cd9f6c530c21</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static int</type>
      <name>X11_startup_notify_fd</name>
      <anchorfile>kinit_8cpp.html</anchorfile>
      <anchor>5d5fce30d96079fcf78f542319203771</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static Display *</type>
      <name>X11display</name>
      <anchorfile>kinit_8cpp.html</anchorfile>
      <anchor>664453cb0cdd09bebb1ce08fe9def669</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static int</type>
      <name>X11fd</name>
      <anchorfile>kinit_8cpp.html</anchorfile>
      <anchor>4f1ad3ed88d9936fac930f44d45b9cc3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>kinit_win.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kinit/</path>
    <filename>kinit__win_8cpp</filename>
    <member kind="define">
      <type>#define</type>
      <name>KDED_EXENAME</name>
      <anchorfile>kinit__win_8cpp.html</anchorfile>
      <anchor>158e742e142a60b327d66ac5cdd1221e</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkIfRegisteredInDBus</name>
      <anchorfile>kinit__win_8cpp.html</anchorfile>
      <anchor>9a182e9234b0bd053cf611149c2c9b82</anchor>
      <arglist>(const QString &amp;name, int _timeout=10)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>launch</name>
      <anchorfile>kinit__win_8cpp.html</anchorfile>
      <anchor>6adc6684859a379970031acafbfc4a12</anchor>
      <arglist>(const QString &amp;cmd)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>listAllNamedAppsInDBus</name>
      <anchorfile>kinit__win_8cpp.html</anchorfile>
      <anchor>830cdc96fce3c2af497cc65d9f0e5fad</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>listAllRunningKDEProcesses</name>
      <anchorfile>kinit__win_8cpp.html</anchorfile>
      <anchor>2e063fb7852802c3a7286bbe18ed5474</anchor>
      <arglist>(ProcessList &amp;processList)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>main</name>
      <anchorfile>kinit__win_8cpp.html</anchorfile>
      <anchor>647f21a28344e1d9c643f4115516d7c9</anchor>
      <arglist>(int argc, char **argv, char **envp)</arglist>
    </member>
    <member kind="function">
      <type>QDebug</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>kinit__win_8cpp.html</anchorfile>
      <anchor>b2ca337bfada4774e0e069665004cd33</anchor>
      <arglist>(QDebug out, const ProcessListEntry &amp;c)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>quitApplicationsOverDBus</name>
      <anchorfile>kinit__win_8cpp.html</anchorfile>
      <anchor>89e964d4c290ac29b7c4c9b47fa3fadf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>terminateAllRunningKDEProcesses</name>
      <anchorfile>kinit__win_8cpp.html</anchorfile>
      <anchor>1cec0e44f30ee7fdd2ceaba13b45536b</anchor>
      <arglist>(ProcessList &amp;processList)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static KComponentData *</type>
      <name>s_instance</name>
      <anchorfile>kinit__win_8cpp.html</anchorfile>
      <anchor>bf5e3b6617e2b7f476465f4a786ba08d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QList&lt; QProcess * &gt;</type>
      <name>startedProcesses</name>
      <anchorfile>kinit__win_8cpp.html</anchorfile>
      <anchor>03fa30b24ad3823bef0a5390bd7ce0bf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>verbose</name>
      <anchorfile>kinit__win_8cpp.html</anchorfile>
      <anchor>0b2caeb4b6f130be43e5a2f0267dd453</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>kioslave.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kinit/</path>
    <filename>kioslave_8cpp</filename>
    <member kind="function">
      <type>KIO::AuthInfo *</type>
      <name>_kioslave_init_kio</name>
      <anchorfile>kioslave_8cpp.html</anchorfile>
      <anchor>5ff211c89d30b9a9aee9ad5c2826cc87</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>main</name>
      <anchorfile>kioslave_8cpp.html</anchorfile>
      <anchor>3c04138a5bfe5d72780bb7e82a18e627</anchor>
      <arglist>(int argc, char **argv)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>klauncher.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kinit/</path>
    <filename>klauncher_8cpp</filename>
    <includes id="klauncher_8h" name="klauncher.h" local="yes" imported="no">klauncher.h</includes>
    <includes id="klauncher__cmds_8h" name="klauncher_cmds.h" local="yes" imported="no">klauncher_cmds.h</includes>
    <includes id="klauncher__adaptor_8h" name="klauncher_adaptor.h" local="yes" imported="no">klauncher_adaptor.h</includes>
    <namespace>KIO</namespace>
    <member kind="define">
      <type>#define</type>
      <name>SLAVE_MAX_IDLE</name>
      <anchorfile>klauncher_8cpp.html</anchorfile>
      <anchor>2f7d52f6299e9b5ec6fc0896942310f7</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>appendLong</name>
      <anchorfile>klauncher_8cpp.html</anchorfile>
      <anchor>e9e274acc959300e927dee435368f41f</anchor>
      <arglist>(QByteArray &amp;ba, long l)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>read_socket</name>
      <anchorfile>klauncher_8cpp.html</anchorfile>
      <anchor>5388d5c8aaf69504918bab06e782b2d6</anchor>
      <arglist>(int sock, char *buffer, int len)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static KLauncher *</type>
      <name>g_klauncher_self</name>
      <anchorfile>klauncher_8cpp.html</anchorfile>
      <anchor>16ee49390f5f850cac02f001de867a88</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>klauncher.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kinit/</path>
    <filename>klauncher_8h</filename>
    <includes id="autostart_8h" name="autostart.h" local="yes" imported="no">autostart.h</includes>
    <class kind="class">IdleSlave</class>
    <class kind="class">KLauncher</class>
    <class kind="class">KLaunchRequest</class>
    <class kind="struct">serviceResult</class>
    <class kind="class">SlaveWaitRequest</class>
  </compound>
  <compound kind="file">
    <name>klauncher_adaptor.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kinit/</path>
    <filename>klauncher__adaptor_8cpp</filename>
    <includes id="klauncher__adaptor_8h" name="klauncher_adaptor.h" local="yes" imported="no">klauncher_adaptor.h</includes>
    <includes id="klauncher_8h" name="klauncher.h" local="yes" imported="no">klauncher.h</includes>
  </compound>
  <compound kind="file">
    <name>klauncher_adaptor.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kinit/</path>
    <filename>klauncher__adaptor_8h</filename>
    <class kind="class">KLauncherAdaptor</class>
  </compound>
  <compound kind="file">
    <name>klauncher_cmds.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kinit/</path>
    <filename>klauncher__cmds_8h</filename>
    <class kind="struct">klauncher_header</class>
    <member kind="define">
      <type>#define</type>
      <name>KDED_EXENAME</name>
      <anchorfile>klauncher__cmds_8h.html</anchorfile>
      <anchor>158e742e142a60b327d66ac5cdd1221e</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>LAUNCHER_DEBUG_WAIT</name>
      <anchorfile>klauncher__cmds_8h.html</anchorfile>
      <anchor>1c6fbe3ce5aea320f8d1f02fee01815e</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>LAUNCHER_DIED</name>
      <anchorfile>klauncher__cmds_8h.html</anchorfile>
      <anchor>6165606562fb17a83d61a645c8a5b2b9</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>LAUNCHER_ERROR</name>
      <anchorfile>klauncher__cmds_8h.html</anchorfile>
      <anchor>f46ed74079a825a8d55b617f2fa698fd</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>LAUNCHER_EXEC</name>
      <anchorfile>klauncher__cmds_8h.html</anchorfile>
      <anchor>473a668f23ad958b8ec0f3dddcf31617</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>LAUNCHER_EXEC_NEW</name>
      <anchorfile>klauncher__cmds_8h.html</anchorfile>
      <anchor>a1f17a2030c5847a52005b3e9e88b62c</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>LAUNCHER_EXT_EXEC</name>
      <anchorfile>klauncher__cmds_8h.html</anchorfile>
      <anchor>f83b8ce7507a96a6fb34361d18c4a4ac</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>LAUNCHER_FD</name>
      <anchorfile>klauncher__cmds_8h.html</anchorfile>
      <anchor>b36633767f131bd36b356ef61002d0aa</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>LAUNCHER_KWRAPPER</name>
      <anchorfile>klauncher__cmds_8h.html</anchorfile>
      <anchor>bc6a36c0f563c8596228056309b690ea</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>LAUNCHER_OK</name>
      <anchorfile>klauncher__cmds_8h.html</anchorfile>
      <anchor>5e0c58124562acbef89ce0731eaaa875</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>LAUNCHER_SETENV</name>
      <anchorfile>klauncher__cmds_8h.html</anchorfile>
      <anchor>f3b255f4d2a4631ad5112e1d1c143d5b</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>LAUNCHER_SHELL</name>
      <anchorfile>klauncher__cmds_8h.html</anchorfile>
      <anchor>22addaf9aa4844cb9cb14e743ea89470</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>LAUNCHER_TERMINATE_KDE</name>
      <anchorfile>klauncher__cmds_8h.html</anchorfile>
      <anchor>17a90262501a64a5c0aece4b8c676149</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>LAUNCHER_TERMINATE_KDEINIT</name>
      <anchorfile>klauncher__cmds_8h.html</anchorfile>
      <anchor>307afa9b07d27e11d05707cf1ea77c8c</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>klauncher_main.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kinit/</path>
    <filename>klauncher__main_8cpp</filename>
    <includes id="klauncher_8h" name="klauncher.h" local="yes" imported="no">klauncher.h</includes>
    <includes id="klauncher__cmds_8h" name="klauncher_cmds.h" local="yes" imported="no">klauncher_cmds.h</includes>
    <member kind="function">
      <type>KDE_EXPORT int</type>
      <name>kdemain</name>
      <anchorfile>klauncher__main_8cpp.html</anchorfile>
      <anchor>eb236030df3cb3728f129a567707f648</anchor>
      <arglist>(int argc, char **argv)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>sig_handler</name>
      <anchorfile>klauncher__main_8cpp.html</anchorfile>
      <anchor>efe688abce2f3fb5465dab3749119a90</anchor>
      <arglist>(int sig_num)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static int</type>
      <name>sigpipe</name>
      <anchorfile>klauncher__main_8cpp.html</anchorfile>
      <anchor>9863105da7649c259a5f12a84d252f99</anchor>
      <arglist>[2]</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>kwrapper_win.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kinit/</path>
    <filename>kwrapper__win_8cpp</filename>
    <member kind="function">
      <type>int</type>
      <name>main</name>
      <anchorfile>kwrapper__win_8cpp.html</anchorfile>
      <anchor>3c04138a5bfe5d72780bb7e82a18e627</anchor>
      <arglist>(int argc, char **argv)</arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>verbose</name>
      <anchorfile>kwrapper__win_8cpp.html</anchorfile>
      <anchor>b3f078684998b83967d507d0f453f454</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>Mainpage.dox</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kinit/</path>
    <filename>Mainpage_8dox</filename>
  </compound>
  <compound kind="file">
    <name>proctitle.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kinit/</path>
    <filename>proctitle_8cpp</filename>
    <includes id="proctitle_8h" name="proctitle.h" local="yes" imported="no">proctitle.h</includes>
    <member kind="define">
      <type>#define</type>
      <name>PF_ARGV_NEW</name>
      <anchorfile>proctitle_8cpp.html</anchorfile>
      <anchor>c63d1ef1a191935236361ddcc3a5de9c</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>PF_ARGV_NONE</name>
      <anchorfile>proctitle_8cpp.html</anchorfile>
      <anchor>1c85d5c798096574fa8006a2d577cd99</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>PF_ARGV_PSSTRINGS</name>
      <anchorfile>proctitle_8cpp.html</anchorfile>
      <anchor>64862cd5ff8e6f0d7d33ca13f7a43a29</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>PF_ARGV_PSTAT</name>
      <anchorfile>proctitle_8cpp.html</anchorfile>
      <anchor>65aa5911e651612b4164d28406c1606f</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>PF_ARGV_TYPE</name>
      <anchorfile>proctitle_8cpp.html</anchorfile>
      <anchor>8f5989be9de437889bad4833b01ae386</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>PF_ARGV_WRITEABLE</name>
      <anchorfile>proctitle_8cpp.html</anchorfile>
      <anchor>4d3b980c6c6241b4b90fbb96923b7f67</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>proctitle_init</name>
      <anchorfile>proctitle_8cpp.html</anchorfile>
      <anchor>f3cfbffeb4c478e467bc071976ba597e</anchor>
      <arglist>(int argc, char *argv[], char *envp[])</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>proctitle_set</name>
      <anchorfile>proctitle_8cpp.html</anchorfile>
      <anchor>a8e56ec7a6c22fa1661d367246df1e1b</anchor>
      <arglist>(const char *fmt,...)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static char **</type>
      <name>Argv</name>
      <anchorfile>proctitle_8cpp.html</anchorfile>
      <anchor>b4fad31452ea2612bd37240026dd6e44</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char **</type>
      <name>environ</name>
      <anchorfile>proctitle_8cpp.html</anchorfile>
      <anchor>a006daaf11f1e2e45a6ababaf463212b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static char *</type>
      <name>LastArgv</name>
      <anchorfile>proctitle_8cpp.html</anchorfile>
      <anchor>1108bf8a535547fbbd169e4098bf1f6c</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>proctitle.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kinit/</path>
    <filename>proctitle_8h</filename>
    <member kind="function">
      <type>void</type>
      <name>proctitle_init</name>
      <anchorfile>proctitle_8h.html</anchorfile>
      <anchor>f3cfbffeb4c478e467bc071976ba597e</anchor>
      <arglist>(int argc, char *argv[], char *envp[])</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>proctitle_set</name>
      <anchorfile>proctitle_8h.html</anchorfile>
      <anchor>a8e56ec7a6c22fa1661d367246df1e1b</anchor>
      <arglist>(const char *fmt,...)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AutoStart</name>
    <filename>classAutoStart.html</filename>
    <member kind="function">
      <type></type>
      <name>AutoStart</name>
      <anchorfile>classAutoStart.html</anchorfile>
      <anchor>f613a00fa414c1109e21aa985f929777</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>loadAutoStartList</name>
      <anchorfile>classAutoStart.html</anchorfile>
      <anchor>b72bec489ae2da4ab0cf14254493f629</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>phase</name>
      <anchorfile>classAutoStart.html</anchorfile>
      <anchor>1d17a74fe6216d7e130c9bf0a4a792c7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>phaseDone</name>
      <anchorfile>classAutoStart.html</anchorfile>
      <anchor>2caa9a7e8c72a80f4797bef65c1dbdde</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPhase</name>
      <anchorfile>classAutoStart.html</anchorfile>
      <anchor>c9e665a925801ee5cebdd6f741584a1e</anchor>
      <arglist>(int phase)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPhaseDone</name>
      <anchorfile>classAutoStart.html</anchorfile>
      <anchor>27c0cd8e0ac32e07f6d2bc4d15c7c09b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>startService</name>
      <anchorfile>classAutoStart.html</anchorfile>
      <anchor>801f7157d5c151fc7534547b7c3cb5de</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~AutoStart</name>
      <anchorfile>classAutoStart.html</anchorfile>
      <anchor>4a37080b6d747371bcd1ab46df11c62a</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>IdleSlave</name>
    <filename>classIdleSlave.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>statusUpdate</name>
      <anchorfile>classIdleSlave.html</anchorfile>
      <anchor>1c7d64a296baaf1952e4cc2b89216700</anchor>
      <arglist>(IdleSlave *)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>age</name>
      <anchorfile>classIdleSlave.html</anchorfile>
      <anchor>849874552f02ab93d613bb1685b9eb56</anchor>
      <arglist>(time_t now)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>connect</name>
      <anchorfile>classIdleSlave.html</anchorfile>
      <anchor>7a237079e083a74534259b82a0daaf19</anchor>
      <arglist>(const QString &amp;app_socket)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>IdleSlave</name>
      <anchorfile>classIdleSlave.html</anchorfile>
      <anchor>8687124e6306035ff103154f826feaa0</anchor>
      <arglist>(QObject *parent)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>match</name>
      <anchorfile>classIdleSlave.html</anchorfile>
      <anchor>fee6f27167c8e332b605c4a08f00d698</anchor>
      <arglist>(const QString &amp;protocol, const QString &amp;host, bool connected)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>onHold</name>
      <anchorfile>classIdleSlave.html</anchorfile>
      <anchor>6625d8c0da5b016816f46c1a4af022aa</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>pid_t</type>
      <name>pid</name>
      <anchorfile>classIdleSlave.html</anchorfile>
      <anchor>4eab4defb69d46e8e5d3b68d07282d01</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>protocol</name>
      <anchorfile>classIdleSlave.html</anchorfile>
      <anchor>7ff211aa101de50a6fd1eb6575ff3d3f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reparseConfiguration</name>
      <anchorfile>classIdleSlave.html</anchorfile>
      <anchor>436dd34241be348e1f97aacc1a35d0db</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>KIO::Connection</type>
      <name>mConn</name>
      <anchorfile>classIdleSlave.html</anchorfile>
      <anchor>1832bc711d03b38c2ecbde64c0e4aaf3</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>gotInput</name>
      <anchorfile>classIdleSlave.html</anchorfile>
      <anchor>52599cba99054893f094168bc66d0c6d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>time_t</type>
      <name>mBirthDate</name>
      <anchorfile>classIdleSlave.html</anchorfile>
      <anchor>f0dc71f5c03208682ba83878bd2481da</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mConnected</name>
      <anchorfile>classIdleSlave.html</anchorfile>
      <anchor>c58debf62b1ff99cbf1df125a397b033</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mHost</name>
      <anchorfile>classIdleSlave.html</anchorfile>
      <anchor>54cc2f5eba006f777e44b744d0b2e52b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mOnHold</name>
      <anchorfile>classIdleSlave.html</anchorfile>
      <anchor>965ed510df54d300aa7c492f714b1abc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>pid_t</type>
      <name>mPid</name>
      <anchorfile>classIdleSlave.html</anchorfile>
      <anchor>fe41bb583d37994d93e359a41d6ae1f7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mProtocol</name>
      <anchorfile>classIdleSlave.html</anchorfile>
      <anchor>1256359ac465aedc8ec57574f7b33313</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KUrl</type>
      <name>mUrl</name>
      <anchorfile>classIdleSlave.html</anchorfile>
      <anchor>7516e9e7b226845b73d396ce07eba608</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KLauncher</name>
    <filename>classKLauncher.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>void</type>
      <name>acceptSlave</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>01be84a8434ea9af02e762af129b199e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>destruct</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>06f415693fba65b32a7af02d3703f685</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>idleTimeout</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>1eef219a08047c624fda1f3047cdf908</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotAutoStart</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>dc525041dcef1711871f1b7610a72cc0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotDequeue</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>5d2b9d16bd94f352428ff68c2e410320</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotKDEInitData</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>a4c9917701424d0840dc634df639dd6d</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotNameOwnerChanged</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>f878a709067d8ca4961b0b7c612e5521</anchor>
      <arglist>(const QString &amp;name, const QString &amp;oldOnwer, const QString &amp;newOwner)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotSlaveGone</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>324f67476296258825237d7d3c170f39</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotSlaveStatus</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>a4f794f547936f9f67973752e4eab724</anchor>
      <arglist>(IdleSlave *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>autoStart0Done</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>2763f0c73a79da8d8b683a83213fe97a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>autoStart1Done</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>5d0102defb11a0a32752f665e8791be3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>autoStart2Done</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>23558eee7b9fbf64b31086062b9a83c1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>autoStart</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>784d007d1083f482611b644ccc25b441</anchor>
      <arglist>(int phase=1)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>close</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>b33161f5b613ce52c969d146064f72e3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>exec_blind</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>7f8c6156da87302a49b0ce77fe0e6726</anchor>
      <arglist>(const QString &amp;name, const QStringList &amp;arg_list)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>exec_blind</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>dc2f2f7dc5579b01f84e98aa248a0ab0</anchor>
      <arglist>(const QString &amp;name, const QStringList &amp;arg_list, const QStringList &amp;envs, const QString &amp;startup_id)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>kdeinit_exec</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>4ffb776e863bc4b9e153bc28e90dc249</anchor>
      <arglist>(const QString &amp;app, const QStringList &amp;args, const QString &amp;workdir, const QStringList &amp;envs, const QString &amp;startup_id, bool wait, const QDBusMessage &amp;msg)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KLauncher</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>2fc1f54d8a54ea1e3c1cfe2af3e2fb78</anchor>
      <arglist>(int kdeinitSocket)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reparseConfiguration</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>b9a1621d4091d47311b6d73d5cb4b3bb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>pid_t</type>
      <name>requestHoldSlave</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>0e8a97cafeb3fa5fdfb15195c09c6582</anchor>
      <arglist>(const KUrl &amp;url, const QString &amp;app_socket)</arglist>
    </member>
    <member kind="function">
      <type>pid_t</type>
      <name>requestSlave</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>207182b173cfea84296ca0cf66f19a3f</anchor>
      <arglist>(const QString &amp;protocol, const QString &amp;host, const QString &amp;app_socket, QString &amp;error)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLaunchEnv</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>88d0fbdd04571526e1aed7e9429b36fe</anchor>
      <arglist>(const QString &amp;name, const QString &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>start_service_by_desktop_name</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>be234ba819f843c6c08ba79a6753b3a6</anchor>
      <arglist>(const QString &amp;serviceName, const QStringList &amp;urls, const QStringList &amp;envs, const QString &amp;startup_id, bool blind, const QDBusMessage &amp;msg)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>start_service_by_desktop_path</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>b008027fad0566ff293d15e33db50442</anchor>
      <arglist>(const QString &amp;serviceName, const QStringList &amp;urls, const QStringList &amp;envs, const QString &amp;startup_id, bool blind, const QDBusMessage &amp;msg)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>start_service_by_name</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>721d16579e37038fe0f22d52ec947f3c</anchor>
      <arglist>(const QString &amp;serviceName, const QStringList &amp;urls, const QStringList &amp;envs, const QString &amp;startup_id, bool blind, const QDBusMessage &amp;msg)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>waitForSlave</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>b153ea8ae324314b9500d733842ad5d9</anchor>
      <arglist>(int pid, const QDBusMessage &amp;msg)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KLauncher</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>be2808a70893cfe93d6a4dbaa587dbb6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>serviceResult</type>
      <name>requestResult</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>d5663c02f77a9fd8faacb93a38ff0b04</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>cancel_service_startup_info</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>016c77c442edf50b3946d5435456c129</anchor>
      <arglist>(KLaunchRequest *request, const QString &amp;startup_id, const QStringList &amp;envs)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>createArgs</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>1a60ec25ef0b4095a6f3a22519b508d8</anchor>
      <arglist>(KLaunchRequest *request, const KService::Ptr service, const QStringList &amp;url)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>processDied</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>a37723aaacc74c281990b19fb3be920f</anchor>
      <arglist>(pid_t pid, long exitStatus)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>processRequestReturn</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>dea5684eb108e8b93e315579a9126eee</anchor>
      <arglist>(int status, const QByteArray &amp;requestData)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>queueRequest</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>cb243a34d86f3410d870283603f200b6</anchor>
      <arglist>(KLaunchRequest *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>requestDone</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>31b7efd90d5d78863ca021786e5b78b7</anchor>
      <arglist>(KLaunchRequest *request)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>requestStart</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>f4f078c7e48969ba42ea117f6cf6296a</anchor>
      <arglist>(KLaunchRequest *request)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>send_service_startup_info</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>d567d72ff5422c93a2b95bb722287f23</anchor>
      <arglist>(KLaunchRequest *request, KService::Ptr service, const QString &amp;startup_id, const QStringList &amp;envs)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>start_service</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>e3d6184b60ae4142c0f041d5bd8297a2</anchor>
      <arglist>(KService::Ptr service, const QStringList &amp;urls, const QStringList &amp;envs, const QString &amp;startup_id, bool blind, bool autoStart, const QDBusMessage &amp;msg)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>bProcessingQueue</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>5559b845783383b7c1eddbe3676fe74d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>dontBlockReading</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>df81a0ae5c5f1fb7f5d9e8d293799aab</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QSocketNotifier *</type>
      <name>kdeinitNotifier</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>2c81b9e25adf9ada8fd1e93632a547a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>kdeinitSocket</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>b980f95c66f4ab695ab93c3e6315a87d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KLaunchRequest *</type>
      <name>lastRequest</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>c7abc8679496eacc9a5a81b5a705fc52</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>AutoStart</type>
      <name>mAutoStart</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>b0060dbdfe741f38ede22c0a41e0e051</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QTimer</type>
      <name>mAutoTimer</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>44754eea300a81ace48fae374319bfef</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Display *</type>
      <name>mCached_dpy</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>b90b6b518087cac1b4f728d632073fd3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KIO::ConnectionServer</type>
      <name>mConnectionServer</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>a4e4ff91ea214404ceeb30f0fc98f424</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mSlaveDebug</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>8ea4d97cd44e2dd6d90cb4c3ac1b7098</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QList&lt; IdleSlave * &gt;</type>
      <name>mSlaveList</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>7845f1dfb1d4a97113372f7d3ae5cb4b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mSlaveValgrind</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>9a48d423b0da1270633b6cac779263f6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mSlaveValgrindSkin</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>4be862505c5374621c6209bcef0f3d12</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QList&lt; SlaveWaitRequest * &gt;</type>
      <name>mSlaveWaitRequest</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>423025297b04a3c92cffc83a0e52ab47</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QTimer</type>
      <name>mTimer</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>205a6d99a6d531facf66100d6f6c32db</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QList&lt; KLaunchRequest * &gt;</type>
      <name>requestList</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>bd2561e7aa79d5af000838c804c0551d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QList&lt; KLaunchRequest * &gt;</type>
      <name>requestQueue</name>
      <anchorfile>classKLauncher.html</anchorfile>
      <anchor>7aebe1c143d83cf4350d1d0413f58696</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>klauncher_header</name>
    <filename>structklauncher__header.html</filename>
    <member kind="variable">
      <type>long</type>
      <name>arg_length</name>
      <anchorfile>structklauncher__header.html</anchorfile>
      <anchor>ad5e4f9a7864b425f4c0c160d1ac963b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>long</type>
      <name>cmd</name>
      <anchorfile>structklauncher__header.html</anchorfile>
      <anchor>14a8f07680e656e0d02ef31889c7b846</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KLauncherAdaptor</name>
    <filename>classKLauncherAdaptor.html</filename>
    <base>QDBusAbstractAdaptor</base>
    <member kind="slot">
      <type>void</type>
      <name>autoStart</name>
      <anchorfile>classKLauncherAdaptor.html</anchorfile>
      <anchor>a3b67ec80a5270334333adf223aa38c7</anchor>
      <arglist>(int phase=1)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>exec_blind</name>
      <anchorfile>classKLauncherAdaptor.html</anchorfile>
      <anchor>ce085e706709996abf573cd586d6744c</anchor>
      <arglist>(const QString &amp;name, const QStringList &amp;arg_list, const QStringList &amp;envs, const QString &amp;startup_id)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>exec_blind</name>
      <anchorfile>classKLauncherAdaptor.html</anchorfile>
      <anchor>3389bfb2a93909be58b6bc51849d7897</anchor>
      <arglist>(const QString &amp;name, const QStringList &amp;arg_list)</arglist>
    </member>
    <member kind="slot">
      <type>int</type>
      <name>kdeinit_exec</name>
      <anchorfile>classKLauncherAdaptor.html</anchorfile>
      <anchor>8c2b44d918de97955a247af305416d9a</anchor>
      <arglist>(const QString &amp;app, const QStringList &amp;args, const QStringList &amp;env, const QString &amp;startup_id, const QDBusMessage &amp;msg, QString &amp;dbusServiceName, QString &amp;error, int &amp;pid)</arglist>
    </member>
    <member kind="slot">
      <type>int</type>
      <name>kdeinit_exec_wait</name>
      <anchorfile>classKLauncherAdaptor.html</anchorfile>
      <anchor>35c2423f016e3b5696b0e4b17da763e2</anchor>
      <arglist>(const QString &amp;app, const QStringList &amp;args, const QStringList &amp;env, const QString &amp;startup_id, const QDBusMessage &amp;msg, QString &amp;dbusServiceName, QString &amp;error, int &amp;pid)</arglist>
    </member>
    <member kind="slot">
      <type>int</type>
      <name>kdeinit_exec_with_workdir</name>
      <anchorfile>classKLauncherAdaptor.html</anchorfile>
      <anchor>8fcb9bd2c85207dbcef625c7aaa0ec6d</anchor>
      <arglist>(const QString &amp;app, const QStringList &amp;args, const QString &amp;workdir, const QStringList &amp;env, const QString &amp;startup_id, const QDBusMessage &amp;msg, QString &amp;dbusServiceName, QString &amp;error, int &amp;pid)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>reparseConfiguration</name>
      <anchorfile>classKLauncherAdaptor.html</anchorfile>
      <anchor>9f8336ccd3a12cf808453f4ad8ac1edf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>int</type>
      <name>requestHoldSlave</name>
      <anchorfile>classKLauncherAdaptor.html</anchorfile>
      <anchor>7ee40af3303dbd97030eea2705a338df</anchor>
      <arglist>(const QString &amp;url, const QString &amp;app_socket)</arglist>
    </member>
    <member kind="slot">
      <type>int</type>
      <name>requestSlave</name>
      <anchorfile>classKLauncherAdaptor.html</anchorfile>
      <anchor>366f34f5ed659761f5fb508495698f99</anchor>
      <arglist>(const QString &amp;protocol, const QString &amp;host, const QString &amp;app_socket, QString &amp;error)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setLaunchEnv</name>
      <anchorfile>classKLauncherAdaptor.html</anchorfile>
      <anchor>365154c05e57f0450bedd0e944dc764c</anchor>
      <arglist>(const QString &amp;name, const QString &amp;value)</arglist>
    </member>
    <member kind="slot">
      <type>int</type>
      <name>start_service_by_desktop_name</name>
      <anchorfile>classKLauncherAdaptor.html</anchorfile>
      <anchor>2b945d141c831322cecdce3cb2341073</anchor>
      <arglist>(const QString &amp;serviceName, const QStringList &amp;urls, const QStringList &amp;envs, const QString &amp;startup_id, bool blind, const QDBusMessage &amp;msg, QString &amp;dbusServiceName, QString &amp;error, int &amp;pid)</arglist>
    </member>
    <member kind="slot">
      <type>int</type>
      <name>start_service_by_desktop_path</name>
      <anchorfile>classKLauncherAdaptor.html</anchorfile>
      <anchor>40e8e1b5d2706ec4ca3520d9fc0dab34</anchor>
      <arglist>(const QString &amp;serviceName, const QStringList &amp;urls, const QStringList &amp;envs, const QString &amp;startup_id, bool blind, const QDBusMessage &amp;msg, QString &amp;dbusServiceName, QString &amp;error, int &amp;pid)</arglist>
    </member>
    <member kind="slot">
      <type>int</type>
      <name>start_service_by_name</name>
      <anchorfile>classKLauncherAdaptor.html</anchorfile>
      <anchor>d65ed1e4a3cabc32c74646762a29f548</anchor>
      <arglist>(const QString &amp;serviceName, const QStringList &amp;urls, const QStringList &amp;envs, const QString &amp;startup_id, bool blind, const QDBusMessage &amp;msg, QString &amp;dbusServiceName, QString &amp;error, int &amp;pid)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>waitForSlave</name>
      <anchorfile>classKLauncherAdaptor.html</anchorfile>
      <anchor>b8d889a04f65065ac21de93589263504</anchor>
      <arglist>(int pid, const QDBusMessage &amp;msg)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>autoStart0Done</name>
      <anchorfile>classKLauncherAdaptor.html</anchorfile>
      <anchor>b0def7eaa36d6f403a697a681a14fa03</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>autoStart1Done</name>
      <anchorfile>classKLauncherAdaptor.html</anchorfile>
      <anchor>7322c5a2ba2de892be21b7d15e214c44</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>autoStart2Done</name>
      <anchorfile>classKLauncherAdaptor.html</anchorfile>
      <anchor>b40a248bbaf162a1c7784b06e5a55593</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KLauncherAdaptor</name>
      <anchorfile>classKLauncherAdaptor.html</anchorfile>
      <anchor>a7c152b96b58ebc4cab1f2e616c04ab9</anchor>
      <arglist>(QObject *parent)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KLauncherAdaptor</name>
      <anchorfile>classKLauncherAdaptor.html</anchorfile>
      <anchor>74be37c8d8936134cc3c55b0bed329e9</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KLaunchRequest</name>
    <filename>classKLaunchRequest.html</filename>
    <member kind="enumeration">
      <name>status_t</name>
      <anchorfile>classKLaunchRequest.html</anchorfile>
      <anchor>8e1f0c0d600ca377f076421e8ed8bcf8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Init</name>
      <anchorfile>classKLaunchRequest.html</anchorfile>
      <anchor>8e1f0c0d600ca377f076421e8ed8bcf8887d9bab5e8f81478e364d11fcc2ec0f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Launching</name>
      <anchorfile>classKLaunchRequest.html</anchorfile>
      <anchor>8e1f0c0d600ca377f076421e8ed8bcf8bee3dffe15c794ee25096138e80f19a7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Running</name>
      <anchorfile>classKLaunchRequest.html</anchorfile>
      <anchor>8e1f0c0d600ca377f076421e8ed8bcf81ad1ac99d8240d15bfc23da857853397</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Error</name>
      <anchorfile>classKLaunchRequest.html</anchorfile>
      <anchor>8e1f0c0d600ca377f076421e8ed8bcf8beec380eaa01f740f2f9fd3e48117273</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Done</name>
      <anchorfile>classKLaunchRequest.html</anchorfile>
      <anchor>8e1f0c0d600ca377f076421e8ed8bcf852715d4c6836890e8cb29e84e4704403</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QStringList</type>
      <name>arg_list</name>
      <anchorfile>classKLaunchRequest.html</anchorfile>
      <anchor>3093fc44ca3fea6fe6763368f8910e80</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>autoStart</name>
      <anchorfile>classKLaunchRequest.html</anchorfile>
      <anchor>5e9d0f462e89c960448ac7cc3c098fd3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>cwd</name>
      <anchorfile>classKLaunchRequest.html</anchorfile>
      <anchor>1bca9271a58c327938f1b0ab656787d9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>dbus_name</name>
      <anchorfile>classKLaunchRequest.html</anchorfile>
      <anchor>a1cc076a335f1d941d5d6d623e166f8b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KService::DBusStartupType</type>
      <name>dbus_startup_type</name>
      <anchorfile>classKLaunchRequest.html</anchorfile>
      <anchor>239c2af3d7e0f983fffec6d286fb85aa</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QStringList</type>
      <name>envs</name>
      <anchorfile>classKLaunchRequest.html</anchorfile>
      <anchor>acaa7cd19f5a0080a82abcf1be2d611f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>errorMsg</name>
      <anchorfile>classKLaunchRequest.html</anchorfile>
      <anchor>b22fe3d1ec8a548d07b69838ab9f78f3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classKLaunchRequest.html</anchorfile>
      <anchor>e6966e7e51ae9fe203b760e0967bceef</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>pid_t</type>
      <name>pid</name>
      <anchorfile>classKLaunchRequest.html</anchorfile>
      <anchor>b24f453619e644e77aa1be6c3883877c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>startup_dpy</name>
      <anchorfile>classKLaunchRequest.html</anchorfile>
      <anchor>e4e03fb678159b0e9598e9c1162068cd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>startup_id</name>
      <anchorfile>classKLaunchRequest.html</anchorfile>
      <anchor>648adf3665c3de7d39ce61b10d6325c3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>status_t</type>
      <name>status</name>
      <anchorfile>classKLaunchRequest.html</anchorfile>
      <anchor>e76f3c4455a86a70b3ee93c674b0e842</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QDBusMessage</type>
      <name>transaction</name>
      <anchorfile>classKLaunchRequest.html</anchorfile>
      <anchor>836c8f4465b51aac4d53b80a771c96c4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>serviceResult</name>
    <filename>structserviceResult.html</filename>
    <member kind="variable">
      <type>QString</type>
      <name>dbusName</name>
      <anchorfile>structserviceResult.html</anchorfile>
      <anchor>3d5a260ca1813ae974b7ab9d1ab9ca55</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>error</name>
      <anchorfile>structserviceResult.html</anchorfile>
      <anchor>0c31bb5db2e23b866f8e04ec9d57c89b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>pid_t</type>
      <name>pid</name>
      <anchorfile>structserviceResult.html</anchorfile>
      <anchor>5e1c879a931ea9f51c0dc67960da7c39</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>result</name>
      <anchorfile>structserviceResult.html</anchorfile>
      <anchor>d6f345e0a13ff222bf0d47d4ac5eb960</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SlaveWaitRequest</name>
    <filename>classSlaveWaitRequest.html</filename>
    <member kind="variable">
      <type>pid_t</type>
      <name>pid</name>
      <anchorfile>classSlaveWaitRequest.html</anchorfile>
      <anchor>7f3af06defb720d768fedba96566025d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QDBusMessage</type>
      <name>transaction</name>
      <anchorfile>classSlaveWaitRequest.html</anchorfile>
      <anchor>0b72dc05a194dcb706502c5634db09b4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KIO</name>
    <filename>namespaceKIO.html</filename>
  </compound>
</tagfile>
