<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>index</name>
    <title>Task management library</title>
    <filename>index</filename>
  </compound>
  <compound kind="file">
    <name>Mainpage.dox</name>
    <path>/usr/local/src/kde-4.1/kdebase-workspace/libs/taskmanager/</path>
    <filename>Mainpage_8dox</filename>
  </compound>
  <compound kind="file">
    <name>startup.cpp</name>
    <path>/usr/local/src/kde-4.1/kdebase-workspace/libs/taskmanager/</path>
    <filename>startup_8cpp</filename>
    <includes id="startup_8h" name="startup.h" local="yes" imported="no">startup.h</includes>
    <namespace>TaskManager</namespace>
  </compound>
  <compound kind="file">
    <name>startup.h</name>
    <path>/usr/local/src/kde-4.1/kdebase-workspace/libs/taskmanager/</path>
    <filename>startup_8h</filename>
    <namespace>TaskManager</namespace>
    <class kind="class">TaskManager::Startup</class>
    <member kind="typedef">
      <type>QVector&lt; StartupPtr &gt;</type>
      <name>StartupList</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>25428c0e74b78625409a1ea67ca5c91e</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>KSharedPtr&lt; Startup &gt;</type>
      <name>StartupPtr</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>fb62d2ac1a6e7da3e91ff1711b39be64</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>task.cpp</name>
    <path>/usr/local/src/kde-4.1/kdebase-workspace/libs/taskmanager/</path>
    <filename>task_8cpp</filename>
    <includes id="task_8h" name="task.h" local="yes" imported="no">task.h</includes>
    <includes id="taskmanager_8h" name="taskmanager.h" local="yes" imported="no">taskmanager.h</includes>
    <namespace>TaskManager</namespace>
    <member kind="function">
      <type>int</type>
      <name>currentDesktop</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>77ec89e70775cb0cb49d7a12457dc2ec</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>task.h</name>
    <path>/usr/local/src/kde-4.1/kdebase-workspace/libs/taskmanager/</path>
    <filename>task_8h</filename>
    <namespace>TaskManager</namespace>
    <class kind="class">TaskManager::Task</class>
    <class kind="class">TaskManager::TaskDrag</class>
    <member kind="typedef">
      <type>QMap&lt; WId, TaskPtr &gt;</type>
      <name>TaskDict</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>fb64f41b76836201132afd74f355b816</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QVector&lt; TaskPtr &gt;</type>
      <name>TaskList</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>a15be08388616df1dbbec50f287a3aad</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>KSharedPtr&lt; Task &gt;</type>
      <name>TaskPtr</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>e1714f9bffb7e9ace0de66705ccb8f62</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QList&lt; WId &gt;</type>
      <name>WindowList</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>951eab5da39f93100f5783d9f3493b47</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>tasklmbmenu.cpp</name>
    <path>/usr/local/src/kde-4.1/kdebase-workspace/libs/taskmanager/old/</path>
    <filename>tasklmbmenu_8cpp</filename>
    <includes id="tasklmbmenu_8h" name="tasklmbmenu.h" local="yes" imported="no">tasklmbmenu.h</includes>
  </compound>
  <compound kind="file">
    <name>tasklmbmenu.h</name>
    <path>/usr/local/src/kde-4.1/kdebase-workspace/libs/taskmanager/old/</path>
    <filename>tasklmbmenu_8h</filename>
    <includes id="taskmanager_8h" name="taskmanager.h" local="yes" imported="no">taskmanager.h</includes>
    <class kind="class">TaskLMBMenu</class>
    <member kind="typedef">
      <type>QAction</type>
      <name>TaskMenuItem</name>
      <anchorfile>tasklmbmenu_8h.html</anchorfile>
      <anchor>4e6a6966e7bddc68fa4dcaa52874d64f</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>taskmanager.cpp</name>
    <path>/usr/local/src/kde-4.1/kdebase-workspace/libs/taskmanager/</path>
    <filename>taskmanager_8cpp</filename>
    <includes id="taskmanager_8h" name="taskmanager.h" local="yes" imported="no">taskmanager.h</includes>
    <namespace>TaskManager</namespace>
    <member kind="function">
      <type>void</type>
      <name>activeWindowChanged</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>3d3c312927d8f67936a2ee006c47d6e4</anchor>
      <arglist>(WId w)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>configure_startup</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>270269926b1458fa3466c3103ccbcc03</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>currentDesktopChanged</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>cd1aa0b004799bdde59d8360b85d45d6</anchor>
      <arglist>(int desktop)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>desktopName</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>652aefa0218a00e542eca0e91026bc01</anchor>
      <arglist>(int desk) const </arglist>
    </member>
    <member kind="function">
      <type>TaskPtr</type>
      <name>findTask</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>92c54246498bc8d76bedc0f503361df7</anchor>
      <arglist>(int desktop, const QPoint &amp;p)</arglist>
    </member>
    <member kind="function">
      <type>TaskPtr</type>
      <name>findTask</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>ebe49a4a3c5f516e6d9ce37adbf6b4a4</anchor>
      <arglist>(WId w)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>gotNewStartup</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>100f31e6b680772b1d140eb8d847397b</anchor>
      <arglist>(const KStartupInfoId &amp;id, const KStartupInfoData &amp;data)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>gotStartupChange</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>c1da8bb28814f9c4b473eec4b12c0d57</anchor>
      <arglist>(const KStartupInfoId &amp;id, const KStartupInfoData &amp;data)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isOnScreen</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>968a41b5b9a6437a250490b8f73b5686</anchor>
      <arglist>(int screen, const WId wid)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isOnTop</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>81016493152b4ca3c464ccaefb3ccd98</anchor>
      <arglist>(const Task *task)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>killStartup</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>a8298d649572547762e28629727a3ebc</anchor>
      <arglist>(StartupPtr s)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>killStartup</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>b83e5f0fcd513163ab56add674b7835a</anchor>
      <arglist>(const KStartupInfoId &amp;id)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>numberOfDesktops</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>18890cdc4eda4f8a35bd247b9c58385b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TaskManager *</type>
      <name>self</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>fea9beb1b94f979a6c3680345eaebe9c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>StartupList</type>
      <name>startups</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>76c5f570ec5e2d39ecebcdcd7d2bef05</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TaskManager</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>491dc7a77a5381675f614a411755ef64</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TaskDict</type>
      <name>tasks</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>2fb04c343f88c534500ca14ee116323d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>trackGeometry</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>280af1d8282ae630ed38f1ff778509fc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateWindowPixmap</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>935bc901106ce0c347901f1e12e9be22</anchor>
      <arglist>(WId w)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>windowAdded</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>cbedcdaa29cb2086dfd17bba68b956c7</anchor>
      <arglist>(WId w)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>windowChanged</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>966748a55bb49fddfa22bd06aa1ad2a7</anchor>
      <arglist>(WId w, unsigned int dirty)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>windowRemoved</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>ee186e78b253e70ff397a3af497ee327</anchor>
      <arglist>(WId w)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TaskManager</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>6ecdd2b8a6b7545eae64da180ba80c53</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>taskmanager.h</name>
    <path>/usr/local/src/kde-4.1/kdebase-workspace/libs/taskmanager/</path>
    <filename>taskmanager_8h</filename>
    <includes id="startup_8h" name="startup.h" local="yes" imported="no">startup.h</includes>
    <includes id="task_8h" name="task.h" local="yes" imported="no">task.h</includes>
    <namespace>TaskManager</namespace>
    <class kind="class">TaskManager::TaskManager</class>
  </compound>
  <compound kind="file">
    <name>taskrmbmenu.cpp</name>
    <path>/usr/local/src/kde-4.1/kdebase-workspace/libs/taskmanager/</path>
    <filename>taskrmbmenu_8cpp</filename>
    <includes id="taskmanager_8h" name="taskmanager.h" local="yes" imported="no">taskmanager.h</includes>
    <includes id="taskrmbmenu_8h" name="taskrmbmenu.h" local="yes" imported="no">taskrmbmenu.h</includes>
    <namespace>TaskManager</namespace>
  </compound>
  <compound kind="file">
    <name>taskrmbmenu.h</name>
    <path>/usr/local/src/kde-4.1/kdebase-workspace/libs/taskmanager/</path>
    <filename>taskrmbmenu_8h</filename>
    <includes id="task_8h" name="task.h" local="yes" imported="no">task.h</includes>
    <namespace>TaskManager</namespace>
    <class kind="class">TaskManager::TaskRMBMenu</class>
  </compound>
  <compound kind="class">
    <name>KShared</name>
    <filename>classKShared.html</filename>
  </compound>
  <compound kind="class">
    <name>TaskLMBMenu</name>
    <filename>classTaskLMBMenu.html</filename>
    <base>QMenu</base>
    <member kind="function">
      <type></type>
      <name>TaskLMBMenu</name>
      <anchorfile>classTaskLMBMenu.html</anchorfile>
      <anchor>d5777a97616560c79f1679b17c386f69</anchor>
      <arglist>(const Task::List &amp;list, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>attentionTimeout</name>
      <anchorfile>classTaskLMBMenu.html</anchorfile>
      <anchor>d2f7b2e0a4b4d3a0ad49f23a9960e9ae</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>dragSwitch</name>
      <anchorfile>classTaskLMBMenu.html</anchorfile>
      <anchor>7231bb0d679e3784f525dcbfd5217fd1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>dragEnterEvent</name>
      <anchorfile>classTaskLMBMenu.html</anchorfile>
      <anchor>0928b40f213a5c5af3c37b7043bc7670</anchor>
      <arglist>(QDragEnterEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>dragLeaveEvent</name>
      <anchorfile>classTaskLMBMenu.html</anchorfile>
      <anchor>a659c89f5ff86966c9ecddfa3fdd5579</anchor>
      <arglist>(QDragLeaveEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>dragMoveEvent</name>
      <anchorfile>classTaskLMBMenu.html</anchorfile>
      <anchor>771598dbe02a2596aa49347d11d93ba6</anchor>
      <arglist>(QDragMoveEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>mouseMoveEvent</name>
      <anchorfile>classTaskLMBMenu.html</anchorfile>
      <anchor>3626abd00e0cb1510868391ca615f13a</anchor>
      <arglist>(QMouseEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>mousePressEvent</name>
      <anchorfile>classTaskLMBMenu.html</anchorfile>
      <anchor>954190092bb6938d61a14605761bc02e</anchor>
      <arglist>(QMouseEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>mouseReleaseEvent</name>
      <anchorfile>classTaskLMBMenu.html</anchorfile>
      <anchor>8e2d2543f2fcffb38666b81b5e4fa743</anchor>
      <arglist>(QMouseEvent *)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>TaskManager</name>
    <filename>namespaceTaskManager.html</filename>
    <class kind="class">TaskManager::Startup</class>
    <class kind="class">TaskManager::Task</class>
    <class kind="class">TaskManager::TaskDrag</class>
    <class kind="class">TaskManager::TaskManager</class>
    <class kind="class">TaskManager::TaskRMBMenu</class>
    <member kind="typedef">
      <type>QVector&lt; StartupPtr &gt;</type>
      <name>StartupList</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>25428c0e74b78625409a1ea67ca5c91e</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>KSharedPtr&lt; Startup &gt;</type>
      <name>StartupPtr</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>fb62d2ac1a6e7da3e91ff1711b39be64</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QMap&lt; WId, TaskPtr &gt;</type>
      <name>TaskDict</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>fb64f41b76836201132afd74f355b816</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QVector&lt; TaskPtr &gt;</type>
      <name>TaskList</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>a15be08388616df1dbbec50f287a3aad</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>KSharedPtr&lt; Task &gt;</type>
      <name>TaskPtr</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>e1714f9bffb7e9ace0de66705ccb8f62</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QList&lt; WId &gt;</type>
      <name>WindowList</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>951eab5da39f93100f5783d9f3493b47</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>activeWindowChanged</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>3d3c312927d8f67936a2ee006c47d6e4</anchor>
      <arglist>(WId w)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>configure_startup</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>270269926b1458fa3466c3103ccbcc03</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>currentDesktop</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>77ec89e70775cb0cb49d7a12457dc2ec</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>currentDesktopChanged</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>cd1aa0b004799bdde59d8360b85d45d6</anchor>
      <arglist>(int desktop)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>desktopName</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>652aefa0218a00e542eca0e91026bc01</anchor>
      <arglist>(int desk) const </arglist>
    </member>
    <member kind="function">
      <type>TaskPtr</type>
      <name>findTask</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>92c54246498bc8d76bedc0f503361df7</anchor>
      <arglist>(int desktop, const QPoint &amp;p)</arglist>
    </member>
    <member kind="function">
      <type>TaskPtr</type>
      <name>findTask</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>ebe49a4a3c5f516e6d9ce37adbf6b4a4</anchor>
      <arglist>(WId w)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>gotNewStartup</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>100f31e6b680772b1d140eb8d847397b</anchor>
      <arglist>(const KStartupInfoId &amp;id, const KStartupInfoData &amp;data)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>gotStartupChange</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>c1da8bb28814f9c4b473eec4b12c0d57</anchor>
      <arglist>(const KStartupInfoId &amp;id, const KStartupInfoData &amp;data)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isOnScreen</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>968a41b5b9a6437a250490b8f73b5686</anchor>
      <arglist>(int screen, const WId wid)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isOnTop</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>81016493152b4ca3c464ccaefb3ccd98</anchor>
      <arglist>(const Task *task)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>killStartup</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>a8298d649572547762e28629727a3ebc</anchor>
      <arglist>(StartupPtr s)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>killStartup</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>b83e5f0fcd513163ab56add674b7835a</anchor>
      <arglist>(const KStartupInfoId &amp;id)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>numberOfDesktops</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>18890cdc4eda4f8a35bd247b9c58385b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TaskManager *</type>
      <name>self</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>fea9beb1b94f979a6c3680345eaebe9c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>StartupList</type>
      <name>startups</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>76c5f570ec5e2d39ecebcdcd7d2bef05</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TaskManager</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>491dc7a77a5381675f614a411755ef64</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TaskDict</type>
      <name>tasks</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>2fb04c343f88c534500ca14ee116323d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>trackGeometry</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>280af1d8282ae630ed38f1ff778509fc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateWindowPixmap</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>935bc901106ce0c347901f1e12e9be22</anchor>
      <arglist>(WId w)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>windowAdded</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>cbedcdaa29cb2086dfd17bba68b956c7</anchor>
      <arglist>(WId w)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>windowChanged</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>966748a55bb49fddfa22bd06aa1ad2a7</anchor>
      <arglist>(WId w, unsigned int dirty)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>windowRemoved</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>ee186e78b253e70ff397a3af497ee327</anchor>
      <arglist>(WId w)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TaskManager</name>
      <anchorfile>namespaceTaskManager.html</anchorfile>
      <anchor>6ecdd2b8a6b7545eae64da180ba80c53</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TaskManager::Startup</name>
    <filename>classTaskManager_1_1Startup.html</filename>
    <base>QObject</base>
    <base>KShared</base>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classTaskManager_1_1Startup.html</anchorfile>
      <anchor>36794ff424fbfd24cc94671f58e59041</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addWindowMatch</name>
      <anchorfile>classTaskManager_1_1Startup.html</anchorfile>
      <anchor>b97514e790f6e006976684e093c5ad72</anchor>
      <arglist>(WId window)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>bin</name>
      <anchorfile>classTaskManager_1_1Startup.html</anchorfile>
      <anchor>7b3843c75bbe5ff696d1777f702157f0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>icon</name>
      <anchorfile>classTaskManager_1_1Startup.html</anchorfile>
      <anchor>e6fa784cf664f5b29d489f6474c1e3bf</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KStartupInfoId</type>
      <name>id</name>
      <anchorfile>classTaskManager_1_1Startup.html</anchorfile>
      <anchor>18d901ca81cf40206335fc28accdaefc</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>matchesWindow</name>
      <anchorfile>classTaskManager_1_1Startup.html</anchorfile>
      <anchor>904a32373a4888af8d892b7a597bedea</anchor>
      <arglist>(WId window) const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Startup</name>
      <anchorfile>classTaskManager_1_1Startup.html</anchorfile>
      <anchor>6509188a941091460382bce07934601c</anchor>
      <arglist>(const KStartupInfoId &amp;id, const KStartupInfoData &amp;data, QObject *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>text</name>
      <anchorfile>classTaskManager_1_1Startup.html</anchorfile>
      <anchor>422bf80b6dcaa6d3121b6b440ae32112</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>update</name>
      <anchorfile>classTaskManager_1_1Startup.html</anchorfile>
      <anchor>3205019be45fba97da280f9e5225b1b1</anchor>
      <arglist>(const KStartupInfoData &amp;data)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Startup</name>
      <anchorfile>classTaskManager_1_1Startup.html</anchorfile>
      <anchor>28108421102b9f84eee3e2413d637e85</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="property">
      <type>QString</type>
      <name>bin</name>
      <anchorfile>classTaskManager_1_1Startup.html</anchorfile>
      <anchor>60ca74ce03e3c82db9c7aaafd416c50c</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>QString</type>
      <name>icon</name>
      <anchorfile>classTaskManager_1_1Startup.html</anchorfile>
      <anchor>fe594466396140a70676bce2226257ad</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>QString</type>
      <name>text</name>
      <anchorfile>classTaskManager_1_1Startup.html</anchorfile>
      <anchor>f7c29dbe0e002e309c9a196ea0625b6c</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TaskManager::Task</name>
    <filename>classTaskManager_1_1Task.html</filename>
    <base>QObject</base>
    <base>KShared</base>
    <member kind="slot">
      <type>void</type>
      <name>activate</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>69413adf782f56e7e9bdd08299409e6b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>activateRaiseOrIconify</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>10108db874bc3a941fa96373919a59df</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>close</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>4cd0bd5e666c044130bccd833b510bab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>lower</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>b121d6fec796baa42e856269dbf8d1f8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>move</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>2f1e508c344e7d88cb8f3cdc62b14ced</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>publishIconGeometry</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>34844ade0c02449fd84b6585e3d6b8ac</anchor>
      <arglist>(QRect)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>raise</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>26dbefa95656cdce4e2974f0c88a067b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>resize</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>6f9585442949f549b965796ab936e60a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>restore</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>56946075e8b0d969304bcd547fd0f372</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setAlwaysOnTop</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>1ec3b75045628c5e642a0e8fee95be43</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setFullScreen</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>60735eef9ba122081f0562247ee30107</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setIconified</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>e3931173bd4c9bac44878f60d00f1561</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setKeptBelowOthers</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>96b2f6e90cf5192f817c7ff8ddd2f2f3</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setMaximized</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>c3145b65141cac75c0322001f5e5653c</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setShaded</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>d4e392a57c9ceb81fceb6cc7af437cc1</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>toCurrentDesktop</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>19d740d66503818e2fc90d93e1ba982d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>toDesktop</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>e203a23fe7c1e710214c63fdb1e65b80</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>toggleAlwaysOnTop</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>dbbd4ef0feb3a9ea8e3d5d57ee97383b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>toggleFullScreen</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>63189ab3e6efcca8298103603a823ecd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>toggleIconified</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>8f4600bd432d22a6f744418f83fe0061</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>toggleKeptBelowOthers</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>a149193edfe3960b9e6c85c54a275e63</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>toggleMaximized</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>244d0fd39f5e447cb6e7b83c1db9958a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>toggleShaded</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>e0b6ed3fd643f63e3756ec428af05642</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>updateThumbnail</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>517e1e59af38eb0e9949d0a3033b62d4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>activated</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>50b29f5df60c5c8a082694099a3a8fc3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>35528ca51af08d82a00860c375512f64</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>deactivated</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>bc21e0f203e034b27297de6d66687503</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>iconChanged</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>9b56eb444e5998cf3a841b4f7146d71a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>thumbnailChanged</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>fb7fb97dea181957fc919a5c12896073</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addTransient</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>2a013ac7c6a370ac2c972ee564ea6d7e</anchor>
      <arglist>(WId w, const NETWinInfo &amp;info)</arglist>
    </member>
    <member kind="function">
      <type>QPixmap</type>
      <name>bestIcon</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>2570d37d572d1bb49c65b368b62b11cb</anchor>
      <arglist>(int size, bool &amp;isStaticIcon)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>classClass</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>301bbdb53f414dda9aa112a46549ee76</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>className</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>5b1504b87247dd09ddb086ab4e538eee</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demandsAttention</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>8e7312b334449e5298b299efd2b2ee2a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>desktop</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>aad5aebfa3bce48f4169079a5885a34f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QRect</type>
      <name>geometry</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>d54fecb4908600069b5971b03cdb48a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasThumbnail</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>62c59967a44b93e531a8ee938f3a7772</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasTransient</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>d5643a4081df5864f12713cfec528eb4</anchor>
      <arglist>(WId w) const </arglist>
    </member>
    <member kind="function">
      <type>QPixmap</type>
      <name>icon</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>f4bc13f64a72845aee161e247656d1a6</anchor>
      <arglist>(int width, int height, bool allowResize=false)</arglist>
    </member>
    <member kind="function">
      <type>KWindowInfo</type>
      <name>info</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>96c58d059a9bf16a139836d4cd906df8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isActive</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>39c57b8472d4880d9455da29d2c18c11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isAlwaysOnTop</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>a30c61210abf5767f76a762e556ba442</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isFullScreen</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>a006ad3ab2d9d958550411b71e242590</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isIconified</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>f59f5810c137ae94154ce94f0e0cbd31</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isKeptBelowOthers</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>1a9c8edb63126766e5a9c2776610b4c9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isMaximized</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>bb33c26565377784b83f49ffbdf65242</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isMinimized</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>09f96f2376c59898121b87246d0cc4c2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isModified</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>bda41380afc56a0993da584dcb4b897d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isOnAllDesktops</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>5930a88ce7e2abbd746c44f474a9b2ed</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isOnCurrentDesktop</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>07de62a1b67128088bcc22de2d0a33fb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isOnScreen</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>3af51b610ebf5f6aba76d9b908b59daa</anchor>
      <arglist>(int screen) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isOnTop</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>57aae9da3218d89a9397dae69c8d93cf</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isShaded</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>394d15d0d5607b462f1f554907b925a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>3acdde2cd4da0d580f96bb7bb0b9790c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QPixmap</type>
      <name>pixmap</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>2f5791cd98b60f2746a197d77593c7dc</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>refresh</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>8c6c1ea36b3899927d479a73778f1b4e</anchor>
      <arglist>(unsigned int dirty)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>refreshIcon</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>1a0ac04bc16902ed62264bffa74d0b9f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeTransient</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>d92296e7b00b87a8b28a59a82958794f</anchor>
      <arglist>(WId w)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setActive</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>32ada9f69be1eea13b6e2a5e7ba50097</anchor>
      <arglist>(bool a)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setThumbnailSize</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>46909497b5bd66fd8e69a22a495b0f07</anchor>
      <arglist>(double size)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showInPager</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>19c74cead39c7988f77ea97fb2666ddb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showInTaskbar</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>f7671acbee364b41be3adef9a09992f5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Task</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>548f53167c651db49a7f161e6a1e412c</anchor>
      <arglist>(WId win, QObject *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>QPixmap</type>
      <name>thumbnail</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>883472805422242a042ebe823c54be20</anchor>
      <arglist>(int maxDimension)</arglist>
    </member>
    <member kind="function">
      <type>QPixmap</type>
      <name>thumbnail</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>fe0b74a3c8f94e20c627d2cc944d97d9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>thumbnailSize</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>1e35a4bc7382525220332cde4ae9b925</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>WindowList</type>
      <name>transients</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>7b299a5a06de7e8cce2c0f60b9e83b8d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateDemandsAttentionState</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>b919026c1ea2d0e5201ccfbd2206e478</anchor>
      <arglist>(WId w)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateWindowPixmap</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>d3ccd2dbd3d6dc5b00b63d33a9dc925c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>visibleName</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>0e4a7fada200f47c82fbe806eca5be86</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>visibleNameWithState</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>ddb63b0bfca3e29a7d281e572183563f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>WId</type>
      <name>window</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>1adfe5785d0d9f8d5e9906d83a19e7ea</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Task</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>ec70e98697ccf1a1152c9f8795a0d846</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>idMatch</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>d2ece6c2124357e9da64af938a4a5fe9</anchor>
      <arglist>(const QString &amp;, const QString &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>generateThumbnail</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>7ecf2c1b847a3008ab77f55277a871a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>findWindowFrameId</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>8ac6eafb3d7859b93dec5ed492f865fb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="property">
      <type>bool</type>
      <name>active</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>2e1f895e93ce475eae7813512d4b929d</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>bool</type>
      <name>alwaysOnTop</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>ed7edeb91815fb3c7f6b53bd0b29b1a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>QString</type>
      <name>className</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>4bb0bd167686780ca767b27cfeafcde6</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>bool</type>
      <name>demandsAttention</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>f26c259f1c252775cd1ae5863df56eae</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>int</type>
      <name>desktop</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>7d3255655931771cce5c3ef411a91737</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>bool</type>
      <name>hasThumbnail</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>7e9ea7aed0abe9bc2794bef0de3b9098</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>bool</type>
      <name>iconified</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>a5c8369899ee41f0e2383b73714db841</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>bool</type>
      <name>maximized</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>09c50a80559ec635352dd9d2c3822282</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>bool</type>
      <name>minimized</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>23c0da8c7b87f7de58950628c364af99</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>bool</type>
      <name>modified</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>3c148c9a7b102412db9bc13c18220754</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>c325cf388f2feeb31b80ffa62cb6bd19</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>bool</type>
      <name>onAllDesktops</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>dc7f7d80c53bde7636ad553f32936c39</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>bool</type>
      <name>onCurrentDesktop</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>25dc9e617affdec600c8c6da4b36cac1</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>QPixmap</type>
      <name>pixmap</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>02d60177ab6386413e26f4bf6e4ad9a9</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>bool</type>
      <name>shaded</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>5e67d3bbe491f5f59a2b349bf4f8b0a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>QPixmap</type>
      <name>thumbnail</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>356807b27a011e0abd876878e80ca7e6</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>double</type>
      <name>thumbnailSize</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>9194d9b561051534886a7d217eea2887</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>QString</type>
      <name>visibleName</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>d47eff0bc847f7c0abc174a190756e0d</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>QString</type>
      <name>visibleNameWithState</name>
      <anchorfile>classTaskManager_1_1Task.html</anchorfile>
      <anchor>cd91e750a72664d69c3b84b849647bc4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TaskManager::TaskDrag</name>
    <filename>classTaskManager_1_1TaskDrag.html</filename>
    <base>QDrag</base>
    <member kind="function">
      <type></type>
      <name>TaskDrag</name>
      <anchorfile>classTaskManager_1_1TaskDrag.html</anchorfile>
      <anchor>0933710ab3f592e91862d217153673c5</anchor>
      <arglist>(const TaskList &amp;tasks, QWidget *source=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TaskDrag</name>
      <anchorfile>classTaskManager_1_1TaskDrag.html</anchorfile>
      <anchor>1a79b95c3908e2f868f9bf673cb6e1c6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>canDecode</name>
      <anchorfile>classTaskManager_1_1TaskDrag.html</anchorfile>
      <anchor>269a09d08da37c8da1d63c0c1a51d34b</anchor>
      <arglist>(const QMimeData *e)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TaskList</type>
      <name>decode</name>
      <anchorfile>classTaskManager_1_1TaskDrag.html</anchorfile>
      <anchor>5ab2d1389648105c8e383e5491369d51</anchor>
      <arglist>(const QMimeData *e)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TaskManager::TaskManager</name>
    <filename>classTaskManager_1_1TaskManager.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>desktopChanged</name>
      <anchorfile>classTaskManager_1_1TaskManager.html</anchorfile>
      <anchor>abed15ca1a56ee57f5fd42dee8c5399e</anchor>
      <arglist>(int desktop)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>startupAdded</name>
      <anchorfile>classTaskManager_1_1TaskManager.html</anchorfile>
      <anchor>2036f361ee88622191c008d0b3901988</anchor>
      <arglist>(StartupPtr)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>startupRemoved</name>
      <anchorfile>classTaskManager_1_1TaskManager.html</anchorfile>
      <anchor>51a2b9a6f1732872ea8c68d8035358bf</anchor>
      <arglist>(StartupPtr)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>taskAdded</name>
      <anchorfile>classTaskManager_1_1TaskManager.html</anchorfile>
      <anchor>e0d37d9914a293024437b873e13c672b</anchor>
      <arglist>(TaskPtr)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>taskRemoved</name>
      <anchorfile>classTaskManager_1_1TaskManager.html</anchorfile>
      <anchor>bf32b64a78501bea00b1e3dda51d2d26</anchor>
      <arglist>(TaskPtr)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>windowChanged</name>
      <anchorfile>classTaskManager_1_1TaskManager.html</anchorfile>
      <anchor>6fc74902135de9543fecfdcc6e8872ee</anchor>
      <arglist>(TaskPtr)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>windowChangedGeometry</name>
      <anchorfile>classTaskManager_1_1TaskManager.html</anchorfile>
      <anchor>a56e4b5593cafa21ed366849a8e2df20</anchor>
      <arglist>(TaskPtr)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>currentDesktop</name>
      <anchorfile>classTaskManager_1_1TaskManager.html</anchorfile>
      <anchor>37fb3a58becd0d1e1a205859c6cc68bf</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>desktopName</name>
      <anchorfile>classTaskManager_1_1TaskManager.html</anchorfile>
      <anchor>21f8741123314d3e20b4d07600053146</anchor>
      <arglist>(int n) const </arglist>
    </member>
    <member kind="function">
      <type>TaskPtr</type>
      <name>findTask</name>
      <anchorfile>classTaskManager_1_1TaskManager.html</anchorfile>
      <anchor>96932e4129148e5afc021d5238a82297</anchor>
      <arglist>(int desktop, const QPoint &amp;p)</arglist>
    </member>
    <member kind="function">
      <type>TaskPtr</type>
      <name>findTask</name>
      <anchorfile>classTaskManager_1_1TaskManager.html</anchorfile>
      <anchor>20805b05a4165b0423afd58e7c32c5df</anchor>
      <arglist>(WId w)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isOnTop</name>
      <anchorfile>classTaskManager_1_1TaskManager.html</anchorfile>
      <anchor>aea9888ef21ba9dcf1665508061a0e74</anchor>
      <arglist>(const Task *)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>numberOfDesktops</name>
      <anchorfile>classTaskManager_1_1TaskManager.html</anchorfile>
      <anchor>0909f934886ac03e0cd1620fce7f40aa</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>StartupList</type>
      <name>startups</name>
      <anchorfile>classTaskManager_1_1TaskManager.html</anchorfile>
      <anchor>7a4e05c3901265d5e83064c0324535ca</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TaskManager</name>
      <anchorfile>classTaskManager_1_1TaskManager.html</anchorfile>
      <anchor>4a7edfdc92032f9afc0af5ea66d0c233</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TaskDict</type>
      <name>tasks</name>
      <anchorfile>classTaskManager_1_1TaskManager.html</anchorfile>
      <anchor>85b19c1492b16191756c34cce99782f8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>trackGeometry</name>
      <anchorfile>classTaskManager_1_1TaskManager.html</anchorfile>
      <anchor>481660251881796f3fb44fbbb7686654</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TaskManager</name>
      <anchorfile>classTaskManager_1_1TaskManager.html</anchorfile>
      <anchor>fd103bf4ee98d948b4d7bf6bb589ccbf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>isOnScreen</name>
      <anchorfile>classTaskManager_1_1TaskManager.html</anchorfile>
      <anchor>550dc35a0e6f61a9c769cea610d2c809</anchor>
      <arglist>(int screen, const WId wid)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TaskManager *</type>
      <name>self</name>
      <anchorfile>classTaskManager_1_1TaskManager.html</anchorfile>
      <anchor>28c262097b042e11b81a28636b7f1ae6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>activeWindowChanged</name>
      <anchorfile>classTaskManager_1_1TaskManager.html</anchorfile>
      <anchor>31407b2c57ff3e6fee1d34f6a7731278</anchor>
      <arglist>(WId)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>currentDesktopChanged</name>
      <anchorfile>classTaskManager_1_1TaskManager.html</anchorfile>
      <anchor>82a3f4ac48e934d75399b4a6e6c0912c</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>gotNewStartup</name>
      <anchorfile>classTaskManager_1_1TaskManager.html</anchorfile>
      <anchor>47e4f88d66036ab6943978a837e5fd73</anchor>
      <arglist>(const KStartupInfoId &amp;, const KStartupInfoData &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>gotStartupChange</name>
      <anchorfile>classTaskManager_1_1TaskManager.html</anchorfile>
      <anchor>ac9b07aff2563d44af5b39c091f38549</anchor>
      <arglist>(const KStartupInfoId &amp;, const KStartupInfoData &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>killStartup</name>
      <anchorfile>classTaskManager_1_1TaskManager.html</anchorfile>
      <anchor>16a12f9134a4e4fb660a9bcd380f6cc5</anchor>
      <arglist>(StartupPtr)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>killStartup</name>
      <anchorfile>classTaskManager_1_1TaskManager.html</anchorfile>
      <anchor>57cafdd241868657e7f762c36bd2b2da</anchor>
      <arglist>(const KStartupInfoId &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>windowAdded</name>
      <anchorfile>classTaskManager_1_1TaskManager.html</anchorfile>
      <anchor>bf134c1906e80baf9767c7e0f2776ac9</anchor>
      <arglist>(WId)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>windowChanged</name>
      <anchorfile>classTaskManager_1_1TaskManager.html</anchorfile>
      <anchor>8a47b99b0e7206be14c10f9b8ec344ca</anchor>
      <arglist>(WId, unsigned int)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>windowRemoved</name>
      <anchorfile>classTaskManager_1_1TaskManager.html</anchorfile>
      <anchor>9c24d8edf6997de7f42c6c082700eb30</anchor>
      <arglist>(WId)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>configure_startup</name>
      <anchorfile>classTaskManager_1_1TaskManager.html</anchorfile>
      <anchor>b349b96838d42797491086b420df9f94</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>updateWindowPixmap</name>
      <anchorfile>classTaskManager_1_1TaskManager.html</anchorfile>
      <anchor>fb23d187ded66dec900a5e7e8a565db8</anchor>
      <arglist>(WId)</arglist>
    </member>
    <member kind="property">
      <type>int</type>
      <name>currentDesktop</name>
      <anchorfile>classTaskManager_1_1TaskManager.html</anchorfile>
      <anchor>b7f446c250400c19d3d88400f8d103cd</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>int</type>
      <name>numberOfDesktops</name>
      <anchorfile>classTaskManager_1_1TaskManager.html</anchorfile>
      <anchor>ef8a0925ea1ce406623ed5dd1914d769</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TaskManager::TaskRMBMenu</name>
    <filename>classTaskManager_1_1TaskRMBMenu.html</filename>
    <base>QMenu</base>
    <member kind="function">
      <type></type>
      <name>TaskRMBMenu</name>
      <anchorfile>classTaskManager_1_1TaskRMBMenu.html</anchorfile>
      <anchor>7dae17171d7bee635ffad0e059d669db</anchor>
      <arglist>(TaskPtr, bool showAll=true, QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TaskRMBMenu</name>
      <anchorfile>classTaskManager_1_1TaskRMBMenu.html</anchorfile>
      <anchor>db2d357f5ada6d65b20dfd4bb882dcf7</anchor>
      <arglist>(const TaskList &amp;, bool showAll=true, QWidget *parent=0)</arglist>
    </member>
  </compound>
</tagfile>
