<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>index</name>
    <title>DNSSD</title>
    <filename>index</filename>
  </compound>
  <compound kind="file">
    <name>avahi-domainbrowser.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/dnssd/</path>
    <filename>avahi-domainbrowser_8cpp</filename>
    <includes id="avahi__server__interface_8h" name="avahi_server_interface.h" local="yes" imported="no">avahi_server_interface.h</includes>
    <includes id="domainbrowser_8h" name="domainbrowser.h" local="yes" imported="no">domainbrowser.h</includes>
    <namespace>DNSSD</namespace>
  </compound>
  <compound kind="file">
    <name>avahi-publicservice.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/dnssd/</path>
    <filename>avahi-publicservice_8cpp</filename>
    <includes id="publicservice_8h" name="publicservice.h" local="yes" imported="no">publicservice.h</includes>
    <includes id="servicebrowser_8h" name="servicebrowser.h" local="yes" imported="no">servicebrowser.h</includes>
    <includes id="avahi__server__interface_8h" name="avahi_server_interface.h" local="yes" imported="no">avahi_server_interface.h</includes>
    <includes id="avahi__entrygroup__interface_8h" name="avahi_entrygroup_interface.h" local="yes" imported="no">avahi_entrygroup_interface.h</includes>
    <namespace>DNSSD</namespace>
  </compound>
  <compound kind="file">
    <name>avahi-remoteservice.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/dnssd/</path>
    <filename>avahi-remoteservice_8cpp</filename>
    <includes id="remoteservice_8h" name="remoteservice.h" local="yes" imported="no">remoteservice.h</includes>
    <includes id="avahi__server__interface_8h" name="avahi_server_interface.h" local="yes" imported="no">avahi_server_interface.h</includes>
    <includes id="avahi__serviceresolver__interface_8h" name="avahi_serviceresolver_interface.h" local="yes" imported="no">avahi_serviceresolver_interface.h</includes>
    <namespace>DNSSD</namespace>
  </compound>
  <compound kind="file">
    <name>avahi-servicebrowser.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/dnssd/</path>
    <filename>avahi-servicebrowser_8cpp</filename>
    <includes id="servicebrowser_8h" name="servicebrowser.h" local="yes" imported="no">servicebrowser.h</includes>
    <includes id="avahi__server__interface_8h" name="avahi_server_interface.h" local="yes" imported="no">avahi_server_interface.h</includes>
    <namespace>DNSSD</namespace>
  </compound>
  <compound kind="file">
    <name>avahi-servicetypebrowser.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/dnssd/</path>
    <filename>avahi-servicetypebrowser_8cpp</filename>
    <includes id="avahi__server__interface_8h" name="avahi_server_interface.h" local="yes" imported="no">avahi_server_interface.h</includes>
    <includes id="servicetypebrowser_8h" name="servicetypebrowser.h" local="yes" imported="no">servicetypebrowser.h</includes>
    <namespace>DNSSD</namespace>
    <member kind="define">
      <type>#define</type>
      <name>UNSPEC</name>
      <anchorfile>avahi-servicetypebrowser_8cpp.html</anchorfile>
      <anchor>bdbc9d37706d1cd50471c8c559a4a4a6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>avahi_entrygroup_interface.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/dnssd/</path>
    <filename>avahi__entrygroup__interface_8cpp</filename>
    <includes id="avahi__entrygroup__interface_8h" name="avahi_entrygroup_interface.h" local="yes" imported="no">avahi_entrygroup_interface.h</includes>
  </compound>
  <compound kind="file">
    <name>avahi_entrygroup_interface.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/dnssd/</path>
    <filename>avahi__entrygroup__interface_8h</filename>
    <namespace>org</namespace>
    <namespace>org::freedesktop</namespace>
    <namespace>org::freedesktop::Avahi</namespace>
    <class kind="class">OrgFreedesktopAvahiEntryGroupInterface</class>
    <member kind="typedef">
      <type>::OrgFreedesktopAvahiEntryGroupInterface</type>
      <name>EntryGroup</name>
      <anchorfile>namespaceorg_1_1freedesktop_1_1Avahi.html</anchorfile>
      <anchor>2a8404714210c0a12c44f84526e5330a</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>avahi_server_interface.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/dnssd/</path>
    <filename>avahi__server__interface_8cpp</filename>
    <includes id="avahi__server__interface_8h" name="avahi_server_interface.h" local="yes" imported="no">avahi_server_interface.h</includes>
    <includes id="servicebase_8h" name="servicebase.h" local="yes" imported="no">servicebase.h</includes>
    <namespace>DNSSD</namespace>
    <member kind="function">
      <type>QString</type>
      <name>DNSToDomain</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>8cdb62c38b4e3c9bcff12f3e5410f62d</anchor>
      <arglist>(const QString &amp;domain)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>domainToDNS</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>7fad77e2bca2049fd9a6496f9f5ce904</anchor>
      <arglist>(const QString &amp;domain)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>registerTypes</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>d365fda149f794b109ce8cc9f81ec745</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>avahi_server_interface.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/dnssd/</path>
    <filename>avahi__server__interface_8h</filename>
    <namespace>DNSSD</namespace>
    <namespace>org</namespace>
    <namespace>org::freedesktop</namespace>
    <namespace>org::freedesktop::Avahi</namespace>
    <class kind="class">OrgFreedesktopAvahiServerInterface</class>
    <member kind="define">
      <type>#define</type>
      <name>TIMEOUT_LAN</name>
      <anchorfile>avahi__server__interface_8h.html</anchorfile>
      <anchor>2ecce3f75aee42dda493e330cb3e718e</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>::OrgFreedesktopAvahiServerInterface</type>
      <name>Server</name>
      <anchorfile>namespaceorg_1_1freedesktop_1_1Avahi.html</anchorfile>
      <anchor>3d2c3cdd700931612af0bc132a6c3a09</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>DNSToDomain</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>8cdb62c38b4e3c9bcff12f3e5410f62d</anchor>
      <arglist>(const QString &amp;domain)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>domainToDNS</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>7fad77e2bca2049fd9a6496f9f5ce904</anchor>
      <arglist>(const QString &amp;domain)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>registerTypes</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>d365fda149f794b109ce8cc9f81ec745</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>avahi_serviceresolver_interface.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/dnssd/</path>
    <filename>avahi__serviceresolver__interface_8cpp</filename>
    <includes id="avahi__serviceresolver__interface_8h" name="avahi_serviceresolver_interface.h" local="yes" imported="no">avahi_serviceresolver_interface.h</includes>
  </compound>
  <compound kind="file">
    <name>avahi_serviceresolver_interface.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/dnssd/</path>
    <filename>avahi__serviceresolver__interface_8h</filename>
    <namespace>org</namespace>
    <namespace>org::freedesktop</namespace>
    <namespace>org::freedesktop::Avahi</namespace>
    <class kind="class">OrgFreedesktopAvahiServiceResolverInterface</class>
    <member kind="typedef">
      <type>::OrgFreedesktopAvahiServiceResolverInterface</type>
      <name>ServiceResolver</name>
      <anchorfile>namespaceorg_1_1freedesktop_1_1Avahi.html</anchorfile>
      <anchor>7778805be1393a97f00d639258e0a294</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>dnssd_export.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/dnssd/</path>
    <filename>dnssd__export_8h</filename>
  </compound>
  <compound kind="file">
    <name>domainbrowser.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/dnssd/</path>
    <filename>domainbrowser_8h</filename>
    <includes id="remoteservice_8h" name="remoteservice.h" local="no" imported="no">dnssd/remoteservice.h</includes>
    <namespace>DNSSD</namespace>
    <class kind="class">DNSSD::DomainBrowser</class>
  </compound>
  <compound kind="file">
    <name>domainmodel.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/dnssd/</path>
    <filename>domainmodel_8cpp</filename>
    <includes id="domainmodel_8h" name="domainmodel.h" local="yes" imported="no">domainmodel.h</includes>
    <includes id="domainbrowser_8h" name="domainbrowser.h" local="yes" imported="no">domainbrowser.h</includes>
    <namespace>DNSSD</namespace>
  </compound>
  <compound kind="file">
    <name>domainmodel.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/dnssd/</path>
    <filename>domainmodel_8h</filename>
    <includes id="dnssd__export_8h" name="dnssd_export.h" local="no" imported="no">dnssd/dnssd_export.h</includes>
    <namespace>DNSSD</namespace>
    <class kind="class">DNSSD::DomainModel</class>
  </compound>
  <compound kind="file">
    <name>dummy-domainbrowser.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/dnssd/</path>
    <filename>dummy-domainbrowser_8cpp</filename>
    <includes id="domainbrowser_8h" name="domainbrowser.h" local="yes" imported="no">domainbrowser.h</includes>
    <namespace>DNSSD</namespace>
  </compound>
  <compound kind="file">
    <name>dummy-publicservice.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/dnssd/</path>
    <filename>dummy-publicservice_8cpp</filename>
    <includes id="publicservice_8h" name="publicservice.h" local="yes" imported="no">publicservice.h</includes>
    <namespace>DNSSD</namespace>
  </compound>
  <compound kind="file">
    <name>dummy-remoteservice.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/dnssd/</path>
    <filename>dummy-remoteservice_8cpp</filename>
    <includes id="remoteservice_8h" name="remoteservice.h" local="yes" imported="no">remoteservice.h</includes>
    <namespace>DNSSD</namespace>
  </compound>
  <compound kind="file">
    <name>dummy-servicebrowser.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/dnssd/</path>
    <filename>dummy-servicebrowser_8cpp</filename>
    <includes id="domainbrowser_8h" name="domainbrowser.h" local="yes" imported="no">domainbrowser.h</includes>
    <includes id="servicebrowser_8h" name="servicebrowser.h" local="yes" imported="no">servicebrowser.h</includes>
    <namespace>DNSSD</namespace>
  </compound>
  <compound kind="file">
    <name>dummy-servicetypebrowser.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/dnssd/</path>
    <filename>dummy-servicetypebrowser_8cpp</filename>
    <includes id="servicetypebrowser_8h" name="servicetypebrowser.h" local="yes" imported="no">servicetypebrowser.h</includes>
    <namespace>DNSSD</namespace>
  </compound>
  <compound kind="file">
    <name>Mainpage.dox</name>
    <path>/usr/local/src/kde-4.1/kdelibs/dnssd/</path>
    <filename>Mainpage_8dox</filename>
  </compound>
  <compound kind="file">
    <name>mdnsd-domainbrowser.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/dnssd/</path>
    <filename>mdnsd-domainbrowser_8cpp</filename>
    <includes id="domainbrowser_8h" name="domainbrowser.h" local="yes" imported="no">domainbrowser.h</includes>
    <includes id="remoteservice_8h" name="remoteservice.h" local="yes" imported="no">remoteservice.h</includes>
    <includes id="mdnsd-responder_8h" name="mdnsd-responder.h" local="yes" imported="no">mdnsd-responder.h</includes>
    <includes id="mdnsd-sdevent_8h" name="mdnsd-sdevent.h" local="yes" imported="no">mdnsd-sdevent.h</includes>
    <namespace>DNSSD</namespace>
    <member kind="function">
      <type>void</type>
      <name>domain_callback</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>01cc22a5e0efd654622ce3f6252debd2</anchor>
      <arglist>(DNSServiceRef, DNSServiceFlags flags, uint32_t, DNSServiceErrorType errorCode, const char *replyDomain, void *context)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>mdnsd-publicservice.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/dnssd/</path>
    <filename>mdnsd-publicservice_8cpp</filename>
    <includes id="publicservice_8h" name="publicservice.h" local="yes" imported="no">publicservice.h</includes>
    <includes id="mdnsd-sdevent_8h" name="mdnsd-sdevent.h" local="yes" imported="no">mdnsd-sdevent.h</includes>
    <includes id="mdnsd-responder_8h" name="mdnsd-responder.h" local="yes" imported="no">mdnsd-responder.h</includes>
    <namespace>DNSSD</namespace>
    <member kind="define">
      <type>#define</type>
      <name>K_D</name>
      <anchorfile>mdnsd-publicservice_8cpp.html</anchorfile>
      <anchor>0b9e481775b5a7ecdd0dbb43cacc1a09</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>publish_callback</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>2ad08ac5d9a1cc96177045e5fd737e29</anchor>
      <arglist>(DNSServiceRef, DNSServiceFlags, DNSServiceErrorType errorCode, const char *name, const char *, const char *, void *context)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>mdnsd-remoteservice.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/dnssd/</path>
    <filename>mdnsd-remoteservice_8cpp</filename>
    <includes id="remoteservice_8h" name="remoteservice.h" local="yes" imported="no">remoteservice.h</includes>
    <includes id="mdnsd-responder_8h" name="mdnsd-responder.h" local="yes" imported="no">mdnsd-responder.h</includes>
    <includes id="mdnsd-sdevent_8h" name="mdnsd-sdevent.h" local="yes" imported="no">mdnsd-sdevent.h</includes>
    <namespace>DNSSD</namespace>
    <member kind="define">
      <type>#define</type>
      <name>K_D</name>
      <anchorfile>mdnsd-remoteservice_8cpp.html</anchorfile>
      <anchor>0b9e481775b5a7ecdd0dbb43cacc1a09</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resolve_callback</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>76215583f377e5ddec5ca83d2c4b102f</anchor>
      <arglist>(DNSServiceRef, DNSServiceFlags, uint32_t, DNSServiceErrorType errorCode, const char *, const char *hosttarget, uint16_t port, uint16_t txtLen, const unsigned char *txtRecord, void *context)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>mdnsd-responder.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/dnssd/</path>
    <filename>mdnsd-responder_8cpp</filename>
    <includes id="mdnsd-responder_8h" name="mdnsd-responder.h" local="yes" imported="no">mdnsd-responder.h</includes>
    <includes id="servicebase_8h" name="servicebase.h" local="yes" imported="no">servicebase.h</includes>
    <namespace>DNSSD</namespace>
    <member kind="function">
      <type>QString</type>
      <name>DNSToDomain</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>4a321bc9b6f42d90ac08af6d4bfcc4b6</anchor>
      <arglist>(const char *domain)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>domainToDNS</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>7fad77e2bca2049fd9a6496f9f5ce904</anchor>
      <arglist>(const QString &amp;domain)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>mdnsd-responder.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/dnssd/</path>
    <filename>mdnsd-responder_8h</filename>
    <namespace>DNSSD</namespace>
    <class kind="class">DNSSD::Responder</class>
    <member kind="function">
      <type>QString</type>
      <name>DNSToDomain</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>4a321bc9b6f42d90ac08af6d4bfcc4b6</anchor>
      <arglist>(const char *domain)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>domainToDNS</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>7fad77e2bca2049fd9a6496f9f5ce904</anchor>
      <arglist>(const QString &amp;domain)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>mdnsd-sdevent.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/dnssd/</path>
    <filename>mdnsd-sdevent_8h</filename>
    <namespace>DNSSD</namespace>
    <class kind="class">DNSSD::AddRemoveEvent</class>
    <class kind="class">DNSSD::ErrorEvent</class>
    <class kind="class">DNSSD::PublishEvent</class>
    <class kind="class">DNSSD::ResolveEvent</class>
    <member kind="enumeration">
      <name>Operation</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>51dd9a0d5c7aeb0ad7aed741c7449787</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SD_ERROR</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>51dd9a0d5c7aeb0ad7aed741c744978767c11f0cc83a375a1fb13b7b3f5cf1a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SD_ADDREMOVE</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>51dd9a0d5c7aeb0ad7aed741c7449787c9e326ed3ed2d45bf494dbc3dc4af094</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SD_PUBLISH</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>51dd9a0d5c7aeb0ad7aed741c7449787e8ebf6b5742ff5a7923863b07d09ad9c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SD_RESOLVE</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>51dd9a0d5c7aeb0ad7aed741c7449787769a5f1bb0fb2e617cfd8c60231234ba</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>mdnsd-servicebrowser.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/dnssd/</path>
    <filename>mdnsd-servicebrowser_8cpp</filename>
    <includes id="domainbrowser_8h" name="domainbrowser.h" local="yes" imported="no">domainbrowser.h</includes>
    <includes id="servicebrowser_8h" name="servicebrowser.h" local="yes" imported="no">servicebrowser.h</includes>
    <includes id="mdnsd-responder_8h" name="mdnsd-responder.h" local="yes" imported="no">mdnsd-responder.h</includes>
    <includes id="remoteservice_8h" name="remoteservice.h" local="yes" imported="no">remoteservice.h</includes>
    <includes id="mdnsd-sdevent_8h" name="mdnsd-sdevent.h" local="yes" imported="no">mdnsd-sdevent.h</includes>
    <namespace>DNSSD</namespace>
    <member kind="define">
      <type>#define</type>
      <name>TIMEOUT_LAN</name>
      <anchorfile>mdnsd-servicebrowser_8cpp.html</anchorfile>
      <anchor>2ecce3f75aee42dda493e330cb3e718e</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TIMEOUT_WAN</name>
      <anchorfile>mdnsd-servicebrowser_8cpp.html</anchorfile>
      <anchor>0a4a4480412698ae34401aadb677a0e9</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>query_callback</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>7ba45765ab43b112101d0f28d8a26198</anchor>
      <arglist>(DNSServiceRef, DNSServiceFlags flags, uint32_t, DNSServiceErrorType errorCode, const char *serviceName, const char *regtype, const char *replyDomain, void *context)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>mdnsd-servicetypebrowser.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/dnssd/</path>
    <filename>mdnsd-servicetypebrowser_8cpp</filename>
    <includes id="servicetypebrowser_8h" name="servicetypebrowser.h" local="yes" imported="no">servicetypebrowser.h</includes>
    <includes id="servicebrowser_8h" name="servicebrowser.h" local="yes" imported="no">servicebrowser.h</includes>
    <namespace>DNSSD</namespace>
  </compound>
  <compound kind="file">
    <name>publicservice.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/dnssd/</path>
    <filename>publicservice_8h</filename>
    <includes id="servicebase_8h" name="servicebase.h" local="no" imported="no">dnssd/servicebase.h</includes>
    <namespace>DNSSD</namespace>
    <class kind="class">DNSSD::PublicService</class>
  </compound>
  <compound kind="file">
    <name>remoteservice.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/dnssd/</path>
    <filename>remoteservice_8h</filename>
    <includes id="servicebase_8h" name="servicebase.h" local="no" imported="no">dnssd/servicebase.h</includes>
    <namespace>DNSSD</namespace>
    <class kind="class">DNSSD::RemoteService</class>
  </compound>
  <compound kind="file">
    <name>servicebase.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/dnssd/</path>
    <filename>servicebase_8cpp</filename>
    <includes id="servicebase_8h" name="servicebase.h" local="yes" imported="no">servicebase.h</includes>
    <namespace>DNSSD</namespace>
    <member kind="function">
      <type>bool</type>
      <name>domainIsLocal</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>97542a265fdc401397f6a4f8a3d8d3f7</anchor>
      <arglist>(const QString &amp;domain)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>servicebase.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/dnssd/</path>
    <filename>servicebase_8h</filename>
    <includes id="dnssd__export_8h" name="dnssd_export.h" local="no" imported="no">dnssd/dnssd_export.h</includes>
    <namespace>DNSSD</namespace>
    <class kind="class">DNSSD::ServiceBase</class>
    <member kind="function">
      <type>bool</type>
      <name>domainIsLocal</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>97542a265fdc401397f6a4f8a3d8d3f7</anchor>
      <arglist>(const QString &amp;domain)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>servicebrowser.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/dnssd/</path>
    <filename>servicebrowser_8h</filename>
    <includes id="remoteservice_8h" name="remoteservice.h" local="no" imported="no">dnssd/remoteservice.h</includes>
    <namespace>DNSSD</namespace>
    <class kind="class">DNSSD::ServiceBrowser</class>
  </compound>
  <compound kind="file">
    <name>servicemodel.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/dnssd/</path>
    <filename>servicemodel_8cpp</filename>
    <includes id="servicemodel_8h" name="servicemodel.h" local="yes" imported="no">servicemodel.h</includes>
    <includes id="servicebrowser_8h" name="servicebrowser.h" local="yes" imported="no">servicebrowser.h</includes>
    <namespace>DNSSD</namespace>
  </compound>
  <compound kind="file">
    <name>servicemodel.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/dnssd/</path>
    <filename>servicemodel_8h</filename>
    <includes id="dnssd__export_8h" name="dnssd_export.h" local="no" imported="no">dnssd/dnssd_export.h</includes>
    <includes id="remoteservice_8h" name="remoteservice.h" local="no" imported="no">dnssd/remoteservice.h</includes>
    <namespace>DNSSD</namespace>
    <class kind="class">DNSSD::ServiceModel</class>
  </compound>
  <compound kind="file">
    <name>servicetypebrowser.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/dnssd/</path>
    <filename>servicetypebrowser_8h</filename>
    <includes id="remoteservice_8h" name="remoteservice.h" local="no" imported="no">dnssd/remoteservice.h</includes>
    <namespace>DNSSD</namespace>
    <class kind="class">DNSSD::ServiceTypeBrowser</class>
  </compound>
  <compound kind="class">
    <name>OrgFreedesktopAvahiEntryGroupInterface</name>
    <filename>classOrgFreedesktopAvahiEntryGroupInterface.html</filename>
    <base>QDBusAbstractInterface</base>
    <member kind="slot">
      <type>QDBusReply&lt; void &gt;</type>
      <name>AddAddress</name>
      <anchorfile>classOrgFreedesktopAvahiEntryGroupInterface.html</anchorfile>
      <anchor>01244e948b7780db1ee5a1d8ccd4deea</anchor>
      <arglist>(int interface, int protocol, uint flags, const QString &amp;name, const QString &amp;address)</arglist>
    </member>
    <member kind="slot">
      <type>QDBusReply&lt; void &gt;</type>
      <name>AddRecord</name>
      <anchorfile>classOrgFreedesktopAvahiEntryGroupInterface.html</anchorfile>
      <anchor>e4b499001c4a516cd8f3fd2f55b6fc04</anchor>
      <arglist>(int interface, int protocol, uint flags, const QString &amp;name, ushort clazz, ushort type, uint ttl, const QByteArray &amp;rdata)</arglist>
    </member>
    <member kind="slot">
      <type>QDBusReply&lt; void &gt;</type>
      <name>AddService</name>
      <anchorfile>classOrgFreedesktopAvahiEntryGroupInterface.html</anchorfile>
      <anchor>45ed4654e7400ad3df72e36def3a0df8</anchor>
      <arglist>(int interface, int protocol, uint flags, const QString &amp;name, const QString &amp;type, const QString &amp;domain, const QString &amp;host, ushort port, const QList&lt; QByteArray &gt; &amp;txt)</arglist>
    </member>
    <member kind="slot">
      <type>QDBusReply&lt; void &gt;</type>
      <name>AddServiceSubtype</name>
      <anchorfile>classOrgFreedesktopAvahiEntryGroupInterface.html</anchorfile>
      <anchor>4e76d8204f83f0d9cd14462472c93f20</anchor>
      <arglist>(int interface, int protocol, uint flags, const QString &amp;name, const QString &amp;type, const QString &amp;domain, const QString &amp;subtype)</arglist>
    </member>
    <member kind="slot">
      <type>QDBusReply&lt; void &gt;</type>
      <name>Commit</name>
      <anchorfile>classOrgFreedesktopAvahiEntryGroupInterface.html</anchorfile>
      <anchor>5c61b9f409e77980426c058dd96a7b12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>QDBusReply&lt; void &gt;</type>
      <name>Free</name>
      <anchorfile>classOrgFreedesktopAvahiEntryGroupInterface.html</anchorfile>
      <anchor>7247169b15fce632bfc4452e8b58d0e2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>QDBusReply&lt; int &gt;</type>
      <name>GetState</name>
      <anchorfile>classOrgFreedesktopAvahiEntryGroupInterface.html</anchorfile>
      <anchor>362a2cef037cb8bcd1ce1370b1d771a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>QDBusReply&lt; bool &gt;</type>
      <name>IsEmpty</name>
      <anchorfile>classOrgFreedesktopAvahiEntryGroupInterface.html</anchorfile>
      <anchor>c09df82ebd5fff888c2daf39d67157c7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>QDBusReply&lt; void &gt;</type>
      <name>Reset</name>
      <anchorfile>classOrgFreedesktopAvahiEntryGroupInterface.html</anchorfile>
      <anchor>0d6c9d08b34f0abf571d0ef9e8461ab7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>QDBusReply&lt; void &gt;</type>
      <name>UpdateServiceTxt</name>
      <anchorfile>classOrgFreedesktopAvahiEntryGroupInterface.html</anchorfile>
      <anchor>999624e6ef70f3d912cd185c27f2f7ac</anchor>
      <arglist>(int interface, int protocol, uint flags, const QString &amp;name, const QString &amp;type, const QString &amp;domain, const QList&lt; QByteArray &gt; &amp;txt)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>StateChanged</name>
      <anchorfile>classOrgFreedesktopAvahiEntryGroupInterface.html</anchorfile>
      <anchor>ab69c62a340e6da5f1cb9113cb22cbfa</anchor>
      <arglist>(int state, const QString &amp;error)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>OrgFreedesktopAvahiEntryGroupInterface</name>
      <anchorfile>classOrgFreedesktopAvahiEntryGroupInterface.html</anchorfile>
      <anchor>da01883496c70b4eb280e35d336ba931</anchor>
      <arglist>(const QString &amp;service, const QString &amp;path, const QDBusConnection &amp;connection, QObject *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~OrgFreedesktopAvahiEntryGroupInterface</name>
      <anchorfile>classOrgFreedesktopAvahiEntryGroupInterface.html</anchorfile>
      <anchor>5430e7a60e3a610e4dcb0f4790adfb9c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const char *</type>
      <name>staticInterfaceName</name>
      <anchorfile>classOrgFreedesktopAvahiEntryGroupInterface.html</anchorfile>
      <anchor>0e597f68ecbc25a13b025af4ef7ae0ea</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>OrgFreedesktopAvahiServerInterface</name>
    <filename>classOrgFreedesktopAvahiServerInterface.html</filename>
    <base>QDBusAbstractInterface</base>
    <member kind="slot">
      <type>QDBusReply&lt; QDBusObjectPath &gt;</type>
      <name>AddressResolverNew</name>
      <anchorfile>classOrgFreedesktopAvahiServerInterface.html</anchorfile>
      <anchor>a99101ed57129e8424a8f84b5e4a4921</anchor>
      <arglist>(int interface, int protocol, const QString &amp;address, uint flags)</arglist>
    </member>
    <member kind="slot">
      <type>QDBusReply&lt; QDBusObjectPath &gt;</type>
      <name>DomainBrowserNew</name>
      <anchorfile>classOrgFreedesktopAvahiServerInterface.html</anchorfile>
      <anchor>714003ebabbf9616b120d26941f0a332</anchor>
      <arglist>(int interface, int protocol, const QString &amp;domain, int btype, uint flags)</arglist>
    </member>
    <member kind="slot">
      <type>QDBusReply&lt; QDBusObjectPath &gt;</type>
      <name>EntryGroupNew</name>
      <anchorfile>classOrgFreedesktopAvahiServerInterface.html</anchorfile>
      <anchor>56ce662ee9923ed6380ff48d9cd50a4f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>QDBusReply&lt; QString &gt;</type>
      <name>GetAlternativeHostName</name>
      <anchorfile>classOrgFreedesktopAvahiServerInterface.html</anchorfile>
      <anchor>ebedfb0e6b47692407ece1ce4036dec1</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="slot">
      <type>QDBusReply&lt; QString &gt;</type>
      <name>GetAlternativeServiceName</name>
      <anchorfile>classOrgFreedesktopAvahiServerInterface.html</anchorfile>
      <anchor>6450063b9e521dac226cd8cdcc05623e</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="slot">
      <type>QDBusReply&lt; uint &gt;</type>
      <name>GetAPIVersion</name>
      <anchorfile>classOrgFreedesktopAvahiServerInterface.html</anchorfile>
      <anchor>25d1e599a6eeb6dadc1906dad126b242</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>QDBusReply&lt; QString &gt;</type>
      <name>GetDomainName</name>
      <anchorfile>classOrgFreedesktopAvahiServerInterface.html</anchorfile>
      <anchor>51b699cb21ce6ffb82484bc295ad9ba6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>QDBusReply&lt; QString &gt;</type>
      <name>GetHostName</name>
      <anchorfile>classOrgFreedesktopAvahiServerInterface.html</anchorfile>
      <anchor>32cb61a0091043bf7ce063c6872811c5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>QDBusReply&lt; QString &gt;</type>
      <name>GetHostNameFqdn</name>
      <anchorfile>classOrgFreedesktopAvahiServerInterface.html</anchorfile>
      <anchor>1fd6551e4d37bab0f2f46f6ce256f0ba</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>QDBusReply&lt; uint &gt;</type>
      <name>GetLocalServiceCookie</name>
      <anchorfile>classOrgFreedesktopAvahiServerInterface.html</anchorfile>
      <anchor>67e21e64fad3bfeec9279d761c3acb5f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>QDBusReply&lt; int &gt;</type>
      <name>GetNetworkInterfaceIndexByName</name>
      <anchorfile>classOrgFreedesktopAvahiServerInterface.html</anchorfile>
      <anchor>fb92a2fb8921c8abc3a9a460be6cd11e</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="slot">
      <type>QDBusReply&lt; QString &gt;</type>
      <name>GetNetworkInterfaceNameByIndex</name>
      <anchorfile>classOrgFreedesktopAvahiServerInterface.html</anchorfile>
      <anchor>f7b0920ff661c3a4c552d33dfb425283</anchor>
      <arglist>(int index)</arglist>
    </member>
    <member kind="slot">
      <type>QDBusReply&lt; int &gt;</type>
      <name>GetState</name>
      <anchorfile>classOrgFreedesktopAvahiServerInterface.html</anchorfile>
      <anchor>616a75c3b9f4dacbd5fb7028ddac1a86</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>QDBusReply&lt; QString &gt;</type>
      <name>GetVersionString</name>
      <anchorfile>classOrgFreedesktopAvahiServerInterface.html</anchorfile>
      <anchor>8fda67067fda55b2e71ac6f27d4e1877</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>QDBusReply&lt; QDBusObjectPath &gt;</type>
      <name>HostNameResolverNew</name>
      <anchorfile>classOrgFreedesktopAvahiServerInterface.html</anchorfile>
      <anchor>d837421b1e21a8a7065606239fc1b1a5</anchor>
      <arglist>(int interface, int protocol, const QString &amp;name, int aprotocol, uint flags)</arglist>
    </member>
    <member kind="slot">
      <type>QDBusReply&lt; bool &gt;</type>
      <name>IsNSSSupportAvailable</name>
      <anchorfile>classOrgFreedesktopAvahiServerInterface.html</anchorfile>
      <anchor>4f3ed7067e670040f150ece04b4c00ad</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>QDBusReply&lt; QDBusObjectPath &gt;</type>
      <name>RecordBrowserNew</name>
      <anchorfile>classOrgFreedesktopAvahiServerInterface.html</anchorfile>
      <anchor>dacb5b0345b99cd608709f611e055aa4</anchor>
      <arglist>(int interface, int protocol, const QString &amp;name, ushort clazz, ushort type, uint flags)</arglist>
    </member>
    <member kind="slot">
      <type>QDBusReply&lt; int &gt;</type>
      <name>ResolveAddress</name>
      <anchorfile>classOrgFreedesktopAvahiServerInterface.html</anchorfile>
      <anchor>14e422ad68385aef1c7002113466f736</anchor>
      <arglist>(int interface, int protocol, const QString &amp;address, uint flags, int &amp;protocol_, int &amp;aprotocol, QString &amp;address_, QString &amp;name, uint &amp;flags_)</arglist>
    </member>
    <member kind="slot">
      <type>QDBusReply&lt; int &gt;</type>
      <name>ResolveHostName</name>
      <anchorfile>classOrgFreedesktopAvahiServerInterface.html</anchorfile>
      <anchor>ae2737d8a18beee403d831ac25fbe2c2</anchor>
      <arglist>(int interface, int protocol, const QString &amp;name, int aprotocol, uint flags, int &amp;protocol_, QString &amp;name_, int &amp;aprotocol_, QString &amp;address, uint &amp;flags_)</arglist>
    </member>
    <member kind="slot">
      <type>QDBusReply&lt; int &gt;</type>
      <name>ResolveService</name>
      <anchorfile>classOrgFreedesktopAvahiServerInterface.html</anchorfile>
      <anchor>219caa8341fa866eb8f22b337bf6255a</anchor>
      <arglist>(int interface, int protocol, const QString &amp;name, const QString &amp;type, const QString &amp;domain, int aprotocol, uint flags, int &amp;protocol_, QString &amp;name_, QString &amp;type_, QString &amp;domain_, QString &amp;host, int &amp;aprotocol_, QString &amp;address, ushort &amp;port, QList&lt; QByteArray &gt; &amp;txt, uint &amp;flags_)</arglist>
    </member>
    <member kind="slot">
      <type>QDBusReply&lt; QDBusObjectPath &gt;</type>
      <name>ServiceBrowserNew</name>
      <anchorfile>classOrgFreedesktopAvahiServerInterface.html</anchorfile>
      <anchor>863b91e16f97ff5cebed5ff77e5af295</anchor>
      <arglist>(int interface, int protocol, const QString &amp;type, const QString &amp;domain, uint flags)</arglist>
    </member>
    <member kind="slot">
      <type>QDBusReply&lt; QDBusObjectPath &gt;</type>
      <name>ServiceResolverNew</name>
      <anchorfile>classOrgFreedesktopAvahiServerInterface.html</anchorfile>
      <anchor>cd727639b487d767e55f50405cd42bda</anchor>
      <arglist>(int interface, int protocol, const QString &amp;name, const QString &amp;type, const QString &amp;domain, int aprotocol, uint flags)</arglist>
    </member>
    <member kind="slot">
      <type>QDBusReply&lt; QDBusObjectPath &gt;</type>
      <name>ServiceTypeBrowserNew</name>
      <anchorfile>classOrgFreedesktopAvahiServerInterface.html</anchorfile>
      <anchor>d4baa3132077152807d40381ee276a19</anchor>
      <arglist>(int interface, int protocol, const QString &amp;domain, uint flags)</arglist>
    </member>
    <member kind="slot">
      <type>QDBusReply&lt; void &gt;</type>
      <name>SetHostName</name>
      <anchorfile>classOrgFreedesktopAvahiServerInterface.html</anchorfile>
      <anchor>1c776425dc7b7502d93d1de74d7e3806</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>StateChanged</name>
      <anchorfile>classOrgFreedesktopAvahiServerInterface.html</anchorfile>
      <anchor>74ff7c49a0eb6a7bfdeb164f24930840</anchor>
      <arglist>(int state, const QString &amp;error)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>OrgFreedesktopAvahiServerInterface</name>
      <anchorfile>classOrgFreedesktopAvahiServerInterface.html</anchorfile>
      <anchor>ae64677e1e158c84dbdf40e00f746ba3</anchor>
      <arglist>(const QString &amp;service, const QString &amp;path, const QDBusConnection &amp;connection, QObject *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~OrgFreedesktopAvahiServerInterface</name>
      <anchorfile>classOrgFreedesktopAvahiServerInterface.html</anchorfile>
      <anchor>2f9a6cf369f6ff813573c60e672a8c89</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const char *</type>
      <name>staticInterfaceName</name>
      <anchorfile>classOrgFreedesktopAvahiServerInterface.html</anchorfile>
      <anchor>12e081d0adfedf079ec275d83eb27e77</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>OrgFreedesktopAvahiServiceResolverInterface</name>
    <filename>classOrgFreedesktopAvahiServiceResolverInterface.html</filename>
    <base>QDBusAbstractInterface</base>
    <member kind="slot">
      <type>QDBusReply&lt; void &gt;</type>
      <name>Free</name>
      <anchorfile>classOrgFreedesktopAvahiServiceResolverInterface.html</anchorfile>
      <anchor>b54202428042dc979e910b51850dcd2d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>Failure</name>
      <anchorfile>classOrgFreedesktopAvahiServiceResolverInterface.html</anchorfile>
      <anchor>6fdaa6c6b76b0b0268091351615cfc84</anchor>
      <arglist>(const QString &amp;error)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>Found</name>
      <anchorfile>classOrgFreedesktopAvahiServiceResolverInterface.html</anchorfile>
      <anchor>b20d27407ce8b4c934d903623543ec62</anchor>
      <arglist>(int interface, int protocol, const QString &amp;name, const QString &amp;type, const QString &amp;domain, const QString &amp;host, int aprotocol, const QString &amp;address, ushort port, const QList&lt; QByteArray &gt; &amp;txt, uint flags)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>OrgFreedesktopAvahiServiceResolverInterface</name>
      <anchorfile>classOrgFreedesktopAvahiServiceResolverInterface.html</anchorfile>
      <anchor>0190303190231b5b44d29f544924b0fa</anchor>
      <arglist>(const QString &amp;service, const QString &amp;path, const QDBusConnection &amp;connection, QObject *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~OrgFreedesktopAvahiServiceResolverInterface</name>
      <anchorfile>classOrgFreedesktopAvahiServiceResolverInterface.html</anchorfile>
      <anchor>a57634488cabd27c309dee4049423f41</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const char *</type>
      <name>staticInterfaceName</name>
      <anchorfile>classOrgFreedesktopAvahiServiceResolverInterface.html</anchorfile>
      <anchor>addaad87db2608594d5e21d74ba0d029</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>DNSSD</name>
    <filename>namespaceDNSSD.html</filename>
    <class kind="class">DNSSD::AddRemoveEvent</class>
    <class kind="class">DNSSD::DomainBrowser</class>
    <class kind="class">DNSSD::DomainModel</class>
    <class kind="class">DNSSD::ErrorEvent</class>
    <class kind="class">DNSSD::PublicService</class>
    <class kind="class">DNSSD::PublishEvent</class>
    <class kind="class">DNSSD::RemoteService</class>
    <class kind="class">DNSSD::ResolveEvent</class>
    <class kind="class">DNSSD::Responder</class>
    <class kind="class">DNSSD::ServiceBase</class>
    <class kind="class">DNSSD::ServiceBrowser</class>
    <class kind="class">DNSSD::ServiceModel</class>
    <class kind="class">DNSSD::ServiceTypeBrowser</class>
    <member kind="enumeration">
      <name>Operation</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>51dd9a0d5c7aeb0ad7aed741c7449787</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SD_ERROR</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>51dd9a0d5c7aeb0ad7aed741c744978767c11f0cc83a375a1fb13b7b3f5cf1a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SD_ADDREMOVE</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>51dd9a0d5c7aeb0ad7aed741c7449787c9e326ed3ed2d45bf494dbc3dc4af094</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SD_PUBLISH</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>51dd9a0d5c7aeb0ad7aed741c7449787e8ebf6b5742ff5a7923863b07d09ad9c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SD_RESOLVE</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>51dd9a0d5c7aeb0ad7aed741c7449787769a5f1bb0fb2e617cfd8c60231234ba</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>DNSToDomain</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>4a321bc9b6f42d90ac08af6d4bfcc4b6</anchor>
      <arglist>(const char *domain)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>DNSToDomain</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>8cdb62c38b4e3c9bcff12f3e5410f62d</anchor>
      <arglist>(const QString &amp;domain)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>domain_callback</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>01cc22a5e0efd654622ce3f6252debd2</anchor>
      <arglist>(DNSServiceRef, DNSServiceFlags flags, uint32_t, DNSServiceErrorType errorCode, const char *replyDomain, void *context)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>domainIsLocal</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>97542a265fdc401397f6a4f8a3d8d3f7</anchor>
      <arglist>(const QString &amp;domain)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>domainToDNS</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>7fad77e2bca2049fd9a6496f9f5ce904</anchor>
      <arglist>(const QString &amp;domain)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>publish_callback</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>2ad08ac5d9a1cc96177045e5fd737e29</anchor>
      <arglist>(DNSServiceRef, DNSServiceFlags, DNSServiceErrorType errorCode, const char *name, const char *, const char *, void *context)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>query_callback</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>7ba45765ab43b112101d0f28d8a26198</anchor>
      <arglist>(DNSServiceRef, DNSServiceFlags flags, uint32_t, DNSServiceErrorType errorCode, const char *serviceName, const char *regtype, const char *replyDomain, void *context)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>registerTypes</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>d365fda149f794b109ce8cc9f81ec745</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resolve_callback</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>76215583f377e5ddec5ca83d2c4b102f</anchor>
      <arglist>(DNSServiceRef, DNSServiceFlags, uint32_t, DNSServiceErrorType errorCode, const char *, const char *hosttarget, uint16_t port, uint16_t txtLen, const unsigned char *txtRecord, void *context)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::AddRemoveEvent</name>
    <filename>classDNSSD_1_1AddRemoveEvent.html</filename>
    <base>QEvent</base>
    <member kind="enumeration">
      <name>Operation</name>
      <anchorfile>classDNSSD_1_1AddRemoveEvent.html</anchorfile>
      <anchor>784396c7e22d312e622dff7c7cc60bff</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Add</name>
      <anchorfile>classDNSSD_1_1AddRemoveEvent.html</anchorfile>
      <anchor>784396c7e22d312e622dff7c7cc60bff0ed7efdea2d177f6a507f125b08d94d8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Remove</name>
      <anchorfile>classDNSSD_1_1AddRemoveEvent.html</anchorfile>
      <anchor>784396c7e22d312e622dff7c7cc60bff6b72fd75edac2df1212a7acd35eeabe0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>AddRemoveEvent</name>
      <anchorfile>classDNSSD_1_1AddRemoveEvent.html</anchorfile>
      <anchor>f1aa0e1cd12840a4fdfaf408fc3e4dae</anchor>
      <arglist>(Operation op, const QString &amp;name, const QString &amp;type, const QString &amp;domain, bool last)</arglist>
    </member>
    <member kind="variable">
      <type>const QString</type>
      <name>m_domain</name>
      <anchorfile>classDNSSD_1_1AddRemoveEvent.html</anchorfile>
      <anchor>3d981d37bf5cd3d55cc3b2db0a00a54e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const bool</type>
      <name>m_last</name>
      <anchorfile>classDNSSD_1_1AddRemoveEvent.html</anchorfile>
      <anchor>9d9592023f4981e8a001971eb2993308</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const QString</type>
      <name>m_name</name>
      <anchorfile>classDNSSD_1_1AddRemoveEvent.html</anchorfile>
      <anchor>fb7af81713ba16ec076ff5949de5e192</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const Operation</type>
      <name>m_op</name>
      <anchorfile>classDNSSD_1_1AddRemoveEvent.html</anchorfile>
      <anchor>28e4b5570bc5f4a62bcab218c7be256c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const QString</type>
      <name>m_type</name>
      <anchorfile>classDNSSD_1_1AddRemoveEvent.html</anchorfile>
      <anchor>a9334b89749ef667724533706ba97fe2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::DomainBrowser</name>
    <filename>classDNSSD_1_1DomainBrowser.html</filename>
    <base>QObject</base>
    <member kind="enumeration">
      <name>DomainType</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>7b8cb02700c95d88999a8b90aa4993df</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Browsing</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>7b8cb02700c95d88999a8b90aa4993dfbd99f080bf64f6bb5fccac6719bc72de</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Publishing</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>7b8cb02700c95d88999a8b90aa4993df80e0c64ee06969f6d5a631e44fc7ce72</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>domainAdded</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>8a75dbe0dfe08f31fdf15df5b337c7ea</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>domainRemoved</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>08723a839a5d8fb8b134ef5919acaa8d</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DomainBrowser</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>b3a720dc662cfc7d27f6fff2511f7038</anchor>
      <arglist>(DomainType type, QObject *parent=0)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>domains</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>a156fa663e49d2d6649302e437e3dab1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isRunning</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>d41dfb1aa7e3069264446a7b7c64394f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>startBrowse</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>12fb240ff7116909446af3dc7d8e41c8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~DomainBrowser</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>83bc29ba8fef61d22d580878b0025ccf</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::DomainModel</name>
    <filename>classDNSSD_1_1DomainModel.html</filename>
    <base>QAbstractItemModel</base>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>columnCount</name>
      <anchorfile>classDNSSD_1_1DomainModel.html</anchorfile>
      <anchor>65b8ea8923214430c52cff97dee5a294</anchor>
      <arglist>(const QModelIndex &amp;parent=QModelIndex()) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QVariant</type>
      <name>data</name>
      <anchorfile>classDNSSD_1_1DomainModel.html</anchorfile>
      <anchor>e76150ba310e8383ae445fd42add86e6</anchor>
      <arglist>(const QModelIndex &amp;index, int role=Qt::DisplayRole) const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DomainModel</name>
      <anchorfile>classDNSSD_1_1DomainModel.html</anchorfile>
      <anchor>9b2b6611010ce5d7cc12690582e27ec1</anchor>
      <arglist>(DomainBrowser *browser, QObject *parent=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>hasIndex</name>
      <anchorfile>classDNSSD_1_1DomainModel.html</anchorfile>
      <anchor>547476fea07845137a1b1c6f60bfbdb2</anchor>
      <arglist>(int row, int column, const QModelIndex &amp;parent) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QModelIndex</type>
      <name>index</name>
      <anchorfile>classDNSSD_1_1DomainModel.html</anchorfile>
      <anchor>b83402187fa1692c15400d14593e7114</anchor>
      <arglist>(int row, int column, const QModelIndex &amp;parent=QModelIndex()) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QModelIndex</type>
      <name>parent</name>
      <anchorfile>classDNSSD_1_1DomainModel.html</anchorfile>
      <anchor>3453e8924d9fe284ac775e25b2be40a6</anchor>
      <arglist>(const QModelIndex &amp;index) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>rowCount</name>
      <anchorfile>classDNSSD_1_1DomainModel.html</anchorfile>
      <anchor>a4c14ef789b1a46b19249b0f637310ae</anchor>
      <arglist>(const QModelIndex &amp;parent=QModelIndex()) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~DomainModel</name>
      <anchorfile>classDNSSD_1_1DomainModel.html</anchorfile>
      <anchor>f76a735d8d4d8c89778b19b2b8b20459</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::ErrorEvent</name>
    <filename>classDNSSD_1_1ErrorEvent.html</filename>
    <base>QEvent</base>
    <member kind="function">
      <type></type>
      <name>ErrorEvent</name>
      <anchorfile>classDNSSD_1_1ErrorEvent.html</anchorfile>
      <anchor>0cab748bd74282ffc7e8d6b812ea6ba5</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::PublicService</name>
    <filename>classDNSSD_1_1PublicService.html</filename>
    <base>QObject</base>
    <base>DNSSD::ServiceBase</base>
    <member kind="signal">
      <type>void</type>
      <name>published</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>82b92721e5e16120025e7ca227d3acd4</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isPublished</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>0a4924307783876dfc2ac2a57745697b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PublicService</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>76779f6b9ed00f685cf2aa67dc9d77b1</anchor>
      <arglist>(const QString &amp;name=QString(), const QString &amp;type=QString(), unsigned int port=0, const QString &amp;domain=QString(), const QStringList &amp;subtypes=QStringList())</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>publish</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>b6bf6a8885e05b524fe0e11f74d76e7f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>publishAsync</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>aba2dcc58ba948a47e59e3096fb9ba8b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDomain</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>fa21e3f76b3c84290df092230d5f71ee</anchor>
      <arglist>(const QString &amp;domain)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPort</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>88997bcde16f96ef432e5465ceee6be0</anchor>
      <arglist>(unsigned short port)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setServiceName</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>f6cd9f52c82dd09c99faf26f453bcb75</anchor>
      <arglist>(const QString &amp;serviceName)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSubTypes</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>a14041f478f6ceb9e6c9898adb16f882</anchor>
      <arglist>(const QStringList &amp;subtypes)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTextData</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>d0eed12f351e5a6f38054c062d180117</anchor>
      <arglist>(const QMap&lt; QString, QByteArray &gt; &amp;textData)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setType</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>e255307df0186652abd3895d9766095f</anchor>
      <arglist>(const QString &amp;type)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>stop</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>dd2848571a063846abd8c2ad9a6a5db5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>subtypes</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>d37cbc5e29bb06c54138a2fdfc5e50e6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~PublicService</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>73e59d1daac8bda25e21659eb1363f72</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>995bc985b35cd38f325fe107028abe5c</anchor>
      <arglist>(int, void *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::PublishEvent</name>
    <filename>classDNSSD_1_1PublishEvent.html</filename>
    <base>QEvent</base>
    <member kind="function">
      <type></type>
      <name>PublishEvent</name>
      <anchorfile>classDNSSD_1_1PublishEvent.html</anchorfile>
      <anchor>82577319ec7fa61cb155c3d709a2181b</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="variable">
      <type>const QString</type>
      <name>m_name</name>
      <anchorfile>classDNSSD_1_1PublishEvent.html</anchorfile>
      <anchor>6c2a586ff2b06602aa9c142502707b3a</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::RemoteService</name>
    <filename>classDNSSD_1_1RemoteService.html</filename>
    <base>QObject</base>
    <base>DNSSD::ServiceBase</base>
    <member kind="typedef">
      <type>KSharedPtr&lt; RemoteService &gt;</type>
      <name>Ptr</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>69b7cb209efdfc9d6a292a8152134577</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>resolved</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>1582e9715e8e0765cd661a7280ce0650</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isResolved</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>e91c0f6fd988555ff573e679d51f3987</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>RemoteService</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>cfbb6fad28c33d0237a787c356c2846b</anchor>
      <arglist>(const QString &amp;name, const QString &amp;type, const QString &amp;domain)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>resolve</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>6c13d09c59beb4bb258fd1327852c4cf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resolveAsync</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>232681da1e7feb37068f1738b39c774f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~RemoteService</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>ea062ed4820ae0c1d974039d476a9161</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>4d937a40a6f173873ebbfd7c44b64527</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::ResolveEvent</name>
    <filename>classDNSSD_1_1ResolveEvent.html</filename>
    <base>QEvent</base>
    <member kind="function">
      <type></type>
      <name>ResolveEvent</name>
      <anchorfile>classDNSSD_1_1ResolveEvent.html</anchorfile>
      <anchor>6669805f66d9274d2887eb4811a385a8</anchor>
      <arglist>(const QString &amp;hostname, unsigned short port, const QMap&lt; QString, QByteArray &gt; &amp;txtdata)</arglist>
    </member>
    <member kind="variable">
      <type>const QString</type>
      <name>m_hostname</name>
      <anchorfile>classDNSSD_1_1ResolveEvent.html</anchorfile>
      <anchor>4ef341c4108341c03163832808c765e3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const unsigned short</type>
      <name>m_port</name>
      <anchorfile>classDNSSD_1_1ResolveEvent.html</anchorfile>
      <anchor>5a67c6ba20399313f409ae8f9e0d9a3b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const QMap&lt; QString, QByteArray &gt;</type>
      <name>m_txtdata</name>
      <anchorfile>classDNSSD_1_1ResolveEvent.html</anchorfile>
      <anchor>78efa7151f209421b56e4ec4e6c74040</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::Responder</name>
    <filename>classDNSSD_1_1Responder.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>void</type>
      <name>process</name>
      <anchorfile>classDNSSD_1_1Responder.html</anchorfile>
      <anchor>97157809b498d2752bdb93dba2295e30</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isRunning</name>
      <anchorfile>classDNSSD_1_1Responder.html</anchorfile>
      <anchor>c2f324e5372a2c872812cd1421616cbb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Responder</name>
      <anchorfile>classDNSSD_1_1Responder.html</anchorfile>
      <anchor>15fc15adf4100c12115bcacfff180a3b</anchor>
      <arglist>(DNSServiceRef ref=0, QObject *parent=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRef</name>
      <anchorfile>classDNSSD_1_1Responder.html</anchorfile>
      <anchor>9960f206af06bb72a0582ff25e3ecce2</anchor>
      <arglist>(DNSServiceRef ref)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>stop</name>
      <anchorfile>classDNSSD_1_1Responder.html</anchorfile>
      <anchor>3a10f3ae1373c2df00189ee53e5f7dcc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Responder</name>
      <anchorfile>classDNSSD_1_1Responder.html</anchorfile>
      <anchor>cf15cf91deed0f28df3b4654de888274</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>DNSServiceRef</type>
      <name>m_ref</name>
      <anchorfile>classDNSSD_1_1Responder.html</anchorfile>
      <anchor>97f085f454eeac7c017b5646a779c236</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_running</name>
      <anchorfile>classDNSSD_1_1Responder.html</anchorfile>
      <anchor>f92ce11eafc78c84c0652a4197531927</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QSocketNotifier *</type>
      <name>m_socket</name>
      <anchorfile>classDNSSD_1_1Responder.html</anchorfile>
      <anchor>b740e29e461040243ad9e2b7c20931a9</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::ServiceBase</name>
    <filename>classDNSSD_1_1ServiceBase.html</filename>
    <base>QSharedData</base>
    <member kind="typedef">
      <type>KSharedPtr&lt; ServiceBase &gt;</type>
      <name>Ptr</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>a21dbfb50e950df6819ac1a123228d05</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>domain</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>0a3e0a0fa48109d5d12e7791f3fedbb2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>hostName</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>47bd71b889e7c4d3ff16d2e887fd2c16</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>0b7f26e1f8e048a5cf13be6b0f618042</anchor>
      <arglist>(const ServiceBase &amp;o) const </arglist>
    </member>
    <member kind="function">
      <type>unsigned short</type>
      <name>port</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>a026ea0c761590c01a3c6d443efe301b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ServiceBase</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>c03b1c6908d6dc449124c01eb17dda98</anchor>
      <arglist>(const QString &amp;name=QString(), const QString &amp;type=QString(), const QString &amp;domain=QString(), const QString &amp;host=QString(), unsigned short port=0)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>serviceName</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>fdd6d8b3c368b4b571c9575f035565b7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QMap&lt; QString, QByteArray &gt;</type>
      <name>textData</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>15af8bbd2a3a0c98bce0b7f4377155b0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>type</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>e59f086f184b78f1c76773fb291b7f0b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ServiceBase</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>7d01bb8f170a848d55a694c7a3786eb2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>ServiceBase</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>c98056375add182b9d6f953113a9321f</anchor>
      <arglist>(ServiceBasePrivate *const d)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>c7a4b66efc685cd7f04d22895e40ee63</anchor>
      <arglist>(int, void *)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ServiceBasePrivate *const</type>
      <name>d</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>05bfc20a7ae4150e419d93ff32208dbc</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::ServiceBrowser</name>
    <filename>classDNSSD_1_1ServiceBrowser.html</filename>
    <base>QObject</base>
    <member kind="enumeration">
      <name>State</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>e9f85071521523b84724e35008de67f3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Working</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>e9f85071521523b84724e35008de67f3994c5c1da977bb5f1f939add9aadfaab</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Stopped</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>e9f85071521523b84724e35008de67f31889d103f90cfad864fb66abb2d78928</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Unsupported</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>e9f85071521523b84724e35008de67f3aa9442694d8a03742ed376a4394cc70d</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>finished</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>3c84a5bef984db1d92ba7c9f01ade76d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>serviceAdded</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>0ec829e711803a1581cbf9bfe3a1c74e</anchor>
      <arglist>(DNSSD::RemoteService::Ptr)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>serviceRemoved</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>55ffe360c6e153270c00ed812d7dd21c</anchor>
      <arglist>(DNSSD::RemoteService::Ptr)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isAutoResolving</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>4ed0088be3591073c18aa6e9ef7bac8f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ServiceBrowser</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>9346c177b61a31e15afd4bbac540fecb</anchor>
      <arglist>(const QString &amp;type, bool autoResolve=false, const QString &amp;domain=QString(), const QString &amp;subtype=QString())</arglist>
    </member>
    <member kind="function">
      <type>QList&lt; RemoteService::Ptr &gt;</type>
      <name>services</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>e7392e33b2d666d48a676df5870ba1ad</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>startBrowse</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>0cac558b7221b7be7f5ce2c92ce9cf06</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ServiceBrowser</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>7839c16fcc00fbb2f9597ee46d7e7388</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static State</type>
      <name>isAvailable</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>e553388ae4b84f178f2dbaade3fb9fbd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>7c42a6eeca5160ece54de1007129577f</anchor>
      <arglist>(int, void *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::ServiceModel</name>
    <filename>classDNSSD_1_1ServiceModel.html</filename>
    <base>QAbstractItemModel</base>
    <member kind="enumeration">
      <name>AdditionalRoles</name>
      <anchorfile>classDNSSD_1_1ServiceModel.html</anchorfile>
      <anchor>21917256b113a9c506609f286c9e6a94</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ServicePtrRole</name>
      <anchorfile>classDNSSD_1_1ServiceModel.html</anchorfile>
      <anchor>21917256b113a9c506609f286c9e6a949e67f07e1b39fd2c71deb7250951a55b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>ModelColumns</name>
      <anchorfile>classDNSSD_1_1ServiceModel.html</anchorfile>
      <anchor>bda204027acb08f3271c0401d9b52ac5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ServiceName</name>
      <anchorfile>classDNSSD_1_1ServiceModel.html</anchorfile>
      <anchor>bda204027acb08f3271c0401d9b52ac545b5af12ac8a1170d49c78a96427c918</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Host</name>
      <anchorfile>classDNSSD_1_1ServiceModel.html</anchorfile>
      <anchor>bda204027acb08f3271c0401d9b52ac527ef1b4c2f73422957d42e7c2d7b9e45</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Port</name>
      <anchorfile>classDNSSD_1_1ServiceModel.html</anchorfile>
      <anchor>bda204027acb08f3271c0401d9b52ac584c0cb971ad59bb6a6ab267d2224758b</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>columnCount</name>
      <anchorfile>classDNSSD_1_1ServiceModel.html</anchorfile>
      <anchor>be96e4b41e4f772b9451117c02ed44c3</anchor>
      <arglist>(const QModelIndex &amp;parent=QModelIndex()) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QVariant</type>
      <name>data</name>
      <anchorfile>classDNSSD_1_1ServiceModel.html</anchorfile>
      <anchor>0cadbae75cc58a2ad98763391cac9707</anchor>
      <arglist>(const QModelIndex &amp;index, int role=Qt::DisplayRole) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>hasIndex</name>
      <anchorfile>classDNSSD_1_1ServiceModel.html</anchorfile>
      <anchor>e6454d9fea36e6ae78be3bcc137c280d</anchor>
      <arglist>(int row, int column, const QModelIndex &amp;parent) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QVariant</type>
      <name>headerData</name>
      <anchorfile>classDNSSD_1_1ServiceModel.html</anchorfile>
      <anchor>da455bbe9e1b5b7eb5d3e183b0c6d900</anchor>
      <arglist>(int section, Qt::Orientation orientation, int role=Qt::DisplayRole) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QModelIndex</type>
      <name>index</name>
      <anchorfile>classDNSSD_1_1ServiceModel.html</anchorfile>
      <anchor>23916b838b09435eb818356fa0dc6bb9</anchor>
      <arglist>(int row, int column, const QModelIndex &amp;parent=QModelIndex()) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QModelIndex</type>
      <name>parent</name>
      <anchorfile>classDNSSD_1_1ServiceModel.html</anchorfile>
      <anchor>3d7fdaabbd33983c1e3cafc873fa86c3</anchor>
      <arglist>(const QModelIndex &amp;index) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>rowCount</name>
      <anchorfile>classDNSSD_1_1ServiceModel.html</anchorfile>
      <anchor>dfe18179006141c932040d0c7bda86fc</anchor>
      <arglist>(const QModelIndex &amp;parent=QModelIndex()) const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ServiceModel</name>
      <anchorfile>classDNSSD_1_1ServiceModel.html</anchorfile>
      <anchor>a386207b8f007ae1eca4b2e031123178</anchor>
      <arglist>(ServiceBrowser *browser, QObject *parent=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ServiceModel</name>
      <anchorfile>classDNSSD_1_1ServiceModel.html</anchorfile>
      <anchor>ae9bd870ea29ee7ad7aff8e2ec8e24c6</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::ServiceTypeBrowser</name>
    <filename>classDNSSD_1_1ServiceTypeBrowser.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>finished</name>
      <anchorfile>classDNSSD_1_1ServiceTypeBrowser.html</anchorfile>
      <anchor>979c19f157d21ea6d4427bb3b35e7a2b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>serviceTypeAdded</name>
      <anchorfile>classDNSSD_1_1ServiceTypeBrowser.html</anchorfile>
      <anchor>794a7988a4693a1407267eec4a682f05</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>serviceTypeRemoved</name>
      <anchorfile>classDNSSD_1_1ServiceTypeBrowser.html</anchorfile>
      <anchor>6134698e5243d011022eecab9757bcce</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isRunning</name>
      <anchorfile>classDNSSD_1_1ServiceTypeBrowser.html</anchorfile>
      <anchor>e2ec10f769d1832f3ce261df0a9a087a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ServiceTypeBrowser</name>
      <anchorfile>classDNSSD_1_1ServiceTypeBrowser.html</anchorfile>
      <anchor>ec5ef2122fa5fd7bd0305518819583c5</anchor>
      <arglist>(const QString &amp;domain=QString(), QObject *parent=0)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>serviceTypes</name>
      <anchorfile>classDNSSD_1_1ServiceTypeBrowser.html</anchorfile>
      <anchor>83455f5027bbcee330862f79946df762</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>startBrowse</name>
      <anchorfile>classDNSSD_1_1ServiceTypeBrowser.html</anchorfile>
      <anchor>c3f86b07ae4ad6d568170fbbf15e849f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ServiceTypeBrowser</name>
      <anchorfile>classDNSSD_1_1ServiceTypeBrowser.html</anchorfile>
      <anchor>51044145092bf2ef24ab8263895b33c0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>org::freedesktop</name>
    <filename>namespaceorg_1_1freedesktop.html</filename>
    <namespace>org::freedesktop::Avahi</namespace>
  </compound>
  <compound kind="namespace">
    <name>org::freedesktop::Avahi</name>
    <filename>namespaceorg_1_1freedesktop_1_1Avahi.html</filename>
    <member kind="typedef">
      <type>::OrgFreedesktopAvahiEntryGroupInterface</type>
      <name>EntryGroup</name>
      <anchorfile>namespaceorg_1_1freedesktop_1_1Avahi.html</anchorfile>
      <anchor>2a8404714210c0a12c44f84526e5330a</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>::OrgFreedesktopAvahiServerInterface</type>
      <name>Server</name>
      <anchorfile>namespaceorg_1_1freedesktop_1_1Avahi.html</anchorfile>
      <anchor>3d2c3cdd700931612af0bc132a6c3a09</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>::OrgFreedesktopAvahiServiceResolverInterface</type>
      <name>ServiceResolver</name>
      <anchorfile>namespaceorg_1_1freedesktop_1_1Avahi.html</anchorfile>
      <anchor>7778805be1393a97f00d639258e0a294</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
