<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>index</name>
    <title>KIO Slaves</title>
    <filename>index</filename>
  </compound>
  <compound kind="file">
    <name>file.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kioslave/file/</path>
    <filename>file_8cpp</filename>
    <includes id="file_8h" name="file.h" local="yes" imported="no">file.h</includes>
    <member kind="define">
      <type>#define</type>
      <name>MAX_IPC_SIZE</name>
      <anchorfile>file_8cpp.html</anchorfile>
      <anchor>e7e4116d37732534e17c24eaa80f516f</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>int KDE_EXPORT</type>
      <name>kdemain</name>
      <anchorfile>file_8cpp.html</anchorfile>
      <anchor>6204d1e24c6f5cc2ec66cdffa9cdf1cd</anchor>
      <arglist>(int argc, char **argv)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>same_inode</name>
      <anchorfile>file_8cpp.html</anchorfile>
      <anchor>b5f445afd25dc69d248182ac8b3beb1e</anchor>
      <arglist>(const KDE_struct_stat &amp;src, const KDE_struct_stat &amp;dest)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>testLogFile</name>
      <anchorfile>file_8cpp.html</anchorfile>
      <anchor>a08e6225441657b8b5499c05a6692167</anchor>
      <arglist>(const QByteArray &amp;_filename)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>write_all</name>
      <anchorfile>file_8cpp.html</anchorfile>
      <anchor>cdd0beae3ed79219783441a3bba09b9a</anchor>
      <arglist>(int fd, const char *buf, size_t len)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>file.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kioslave/file/</path>
    <filename>file_8h</filename>
    <includes id="kioslave__file__export_8h" name="kioslave_file_export.h" local="yes" imported="no">kioslave_file_export.h</includes>
    <class kind="class">FileProtocol</class>
  </compound>
  <compound kind="file">
    <name>file_win.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kioslave/file/</path>
    <filename>file__win_8cpp</filename>
    <includes id="file_8h" name="file.h" local="yes" imported="no">file.h</includes>
    <member kind="define">
      <type>#define</type>
      <name>_WIN32_WINNT</name>
      <anchorfile>file__win_8cpp.html</anchorfile>
      <anchor>c50762666aa00bd3a4308158510f1748</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" static="yes">
      <type>static DWORD CALLBACK</type>
      <name>CopyProgressRoutine</name>
      <anchorfile>file__win_8cpp.html</anchorfile>
      <anchor>155483256a56d956a84cb98d7de6a5a9</anchor>
      <arglist>(LARGE_INTEGER TotalFileSize, LARGE_INTEGER TotalBytesTransferred, LARGE_INTEGER StreamSize, LARGE_INTEGER StreamBytesTransferred, DWORD dwStreamNumber, DWORD dwCallbackReason, HANDLE hSourceFile, HANDLE hDestinationFile, LPVOID lpData)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>ftp.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kioslave/ftp/</path>
    <filename>ftp_8cpp</filename>
    <includes id="ftp_8h" name="ftp.h" local="yes" imported="no">ftp.h</includes>
    <namespace>KIO</namespace>
    <member kind="define">
      <type>#define</type>
      <name>charToLongLong</name>
      <anchorfile>ftp_8cpp.html</anchorfile>
      <anchor>eaabc3d14fb4fd5b9099fdbcbfe86e25</anchor>
      <arglist>(a)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>ENABLE_CAN_RESUME</name>
      <anchorfile>ftp_8cpp.html</anchorfile>
      <anchor>1fce106de2f8b387b04491555b9af5e9</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>FTP_LOGIN</name>
      <anchorfile>ftp_8cpp.html</anchorfile>
      <anchor>31bbe8057b5fc275901146ee809fa9cf</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>FTP_PASSWD</name>
      <anchorfile>ftp_8cpp.html</anchorfile>
      <anchor>4d769941b6d4fbc29ad6364bb7631e81</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KIO_FTP_PRIVATE_INCLUDE</name>
      <anchorfile>ftp_8cpp.html</anchorfile>
      <anchor>33b419e1288f19eaa94f95bf6dc2d79f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>maximumIpcSize</name>
      <anchorfile>namespaceKIO.html</anchorfile>
      <anchor>ce3e7d3f8f1c9694500cc47b0b21582e46051fb5ecae605936ec73561c649f04</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>initialIpcSize</name>
      <anchorfile>namespaceKIO.html</anchorfile>
      <anchor>ce3e7d3f8f1c9694500cc47b0b21582e8d14ade607142551814f19d90ae164dc</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>mimimumMimeSize</name>
      <anchorfile>namespaceKIO.html</anchorfile>
      <anchor>ce3e7d3f8f1c9694500cc47b0b21582e89ff0a55df8754fb7f0d09047cf617aa</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>int KDE_EXPORT</type>
      <name>kdemain</name>
      <anchorfile>ftp_8cpp.html</anchorfile>
      <anchor>6204d1e24c6f5cc2ec66cdffa9cdf1cd</anchor>
      <arglist>(int argc, char **argv)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>WriteToFile</name>
      <anchorfile>namespaceKIO.html</anchorfile>
      <anchor>9de3a623354312bacef4bd7d2840add3</anchor>
      <arglist>(int fd, const char *buf, size_t len)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>ftp.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kioslave/ftp/</path>
    <filename>ftp_8h</filename>
    <class kind="class">Ftp</class>
    <class kind="struct">FtpEntry</class>
  </compound>
  <compound kind="file">
    <name>http.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kioslave/http/</path>
    <filename>http_8cpp</filename>
    <includes id="http_8h" name="http.h" local="yes" imported="no">http.h</includes>
    <member kind="define">
      <type>#define</type>
      <name>NO_SIZE</name>
      <anchorfile>http_8cpp.html</anchorfile>
      <anchor>37860d98da64e1caef532c21c0754d48</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>STRTOLL</name>
      <anchorfile>http_8cpp.html</anchorfile>
      <anchor>54480074bc6e6355a1b21ba8880caaa1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>extractMaybeQuotedUntil</name>
      <anchorfile>http_8cpp.html</anchorfile>
      <anchor>7a4f00732cf1412276720546b6254ac6</anchor>
      <arglist>(const QString &amp;str, unsigned char term, int &amp;pos)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>extractUntil</name>
      <anchorfile>http_8cpp.html</anchorfile>
      <anchor>70665948a7d06ce48dc611eaf8b9e6bc</anchor>
      <arglist>(const QString &amp;str, unsigned char term, int &amp;pos)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>isCrossDomainRequest</name>
      <anchorfile>http_8cpp.html</anchorfile>
      <anchor>96473d2a29d467371b971840bbbe2688</anchor>
      <arglist>(const QString &amp;fqdn, const QString &amp;originURL)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>isEncryptedHttpVariety</name>
      <anchorfile>http_8cpp.html</anchorfile>
      <anchor>c4a00894cb33caf4d91663edcd609361</anchor>
      <arglist>(const QString &amp;p)</arglist>
    </member>
    <member kind="function">
      <type>int KDE_EXPORT</type>
      <name>kdemain</name>
      <anchorfile>http_8cpp.html</anchorfile>
      <anchor>6204d1e24c6f5cc2ec66cdffa9cdf1cd</anchor>
      <arglist>(int argc, char **argv)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>sanitizeCustomHTTPHeader</name>
      <anchorfile>http_8cpp.html</anchorfile>
      <anchor>4693a0d881f62e30abc3f095810b3613</anchor>
      <arglist>(const QString &amp;_header)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>skipLWS</name>
      <anchorfile>http_8cpp.html</anchorfile>
      <anchor>710aa0a343e8c15183352115b80578a0</anchor>
      <arglist>(const QString &amp;str, int &amp;pos)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static char *</type>
      <name>trimLead</name>
      <anchorfile>http_8cpp.html</anchorfile>
      <anchor>6f80f805d60fe41d510c23cc8a553233</anchor>
      <arglist>(char *orig_string)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>http.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kioslave/http/</path>
    <filename>http_8h</filename>
    <namespace>KIO</namespace>
    <class kind="class">HTTPProtocol</class>
    <class kind="struct">HTTPProtocol::DAVRequest</class>
    <class kind="struct">HTTPProtocol::DigestAuthInfo</class>
    <class kind="struct">HTTPProtocol::HTTPRequest</class>
    <class kind="struct">HTTPProtocol::HTTPState</class>
  </compound>
  <compound kind="file">
    <name>http_cache_cleaner.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kioslave/http/</path>
    <filename>http__cache__cleaner_8cpp</filename>
    <member kind="define">
      <type>#define</type>
      <name>CACHE_REVISION</name>
      <anchorfile>http__cache__cleaner_8cpp.html</anchorfile>
      <anchor>50ae648ed1a0a8b6804a2a812a19e5d6</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT int</type>
      <name>kdemain</name>
      <anchorfile>http__cache__cleaner_8cpp.html</anchorfile>
      <anchor>eb236030df3cb3728f129a567707f648</anchor>
      <arglist>(int argc, char **argv)</arglist>
    </member>
    <member kind="function">
      <type>FileInfo *</type>
      <name>readEntry</name>
      <anchorfile>http__cache__cleaner_8cpp.html</anchorfile>
      <anchor>cd9da346d57fbae56c522745cb03e169</anchor>
      <arglist>(const QString &amp;filename)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>scanDirectory</name>
      <anchorfile>http__cache__cleaner_8cpp.html</anchorfile>
      <anchor>9b08d8d964eb4d7c62df4999ef101267</anchor>
      <arglist>(FileInfoList &amp;fileEntries, const QString &amp;name, const QString &amp;strDir)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static const char</type>
      <name>appFullName</name>
      <anchorfile>http__cache__cleaner_8cpp.html</anchorfile>
      <anchor>ac96a98489c73a149b4a40198422b7ae</anchor>
      <arglist>[]</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static const char</type>
      <name>appName</name>
      <anchorfile>http__cache__cleaner_8cpp.html</anchorfile>
      <anchor>3a4c8420c81c14819c08f26f44c48da4</anchor>
      <arglist>[]</arglist>
    </member>
    <member kind="variable">
      <type>time_t</type>
      <name>currentDate</name>
      <anchorfile>http__cache__cleaner_8cpp.html</anchorfile>
      <anchor>34827a4c39b7fd12193bf3882a5aa7d9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>m_maxCacheAge</name>
      <anchorfile>http__cache__cleaner_8cpp.html</anchorfile>
      <anchor>c9866ffa2f50a07edd5823fd6656ac2e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>m_maxCacheSize</name>
      <anchorfile>http__cache__cleaner_8cpp.html</anchorfile>
      <anchor>baeb87e119f434dcda77b21e8a0e5e6e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static const char</type>
      <name>version</name>
      <anchorfile>http__cache__cleaner_8cpp.html</anchorfile>
      <anchor>c91cf940e10a61b95cabc3258a06186b</anchor>
      <arglist>[]</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>kcookiejar.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kioslave/http/kcookiejar/</path>
    <filename>kcookiejar_8cpp</filename>
    <includes id="kcookiejar_8h" name="kcookiejar.h" local="yes" imported="no">kcookiejar.h</includes>
    <member kind="define">
      <type>#define</type>
      <name>IP_ADDRESS_EXPRESSION</name>
      <anchorfile>kcookiejar_8cpp.html</anchorfile>
      <anchor>77390ac596f450154c65fb83b9ab7d1a</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>L1</name>
      <anchorfile>kcookiejar_8cpp.html</anchorfile>
      <anchor>9e0d61ead43858323f547aa3c51420d4</anchor>
      <arglist>(x)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>MAX_COOKIES_PER_HOST</name>
      <anchorfile>kcookiejar_8cpp.html</anchorfile>
      <anchor>66cd583b7ce02a9d6ad04ea94e38b734</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>READ_BUFFER_SIZE</name>
      <anchorfile>kcookiejar_8cpp.html</anchorfile>
      <anchor>46167a977503a51eb6efe97e870568c3</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>compareCookies</name>
      <anchorfile>kcookiejar_8cpp.html</anchorfile>
      <anchor>fa1c9870b1f94a56a5e4f1f0be0f4ce4</anchor>
      <arglist>(const KHttpCookie &amp;item1, const KHttpCookie &amp;item2)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>fixupDateTime</name>
      <anchorfile>kcookiejar_8cpp.html</anchorfile>
      <anchor>7a64fa269bd240b6fecca24c4e00f24d</anchor>
      <arglist>(const QString &amp;date)</arglist>
    </member>
    <member kind="function">
      <type>QDebug</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>kcookiejar_8cpp.html</anchorfile>
      <anchor>c7777fed2dca7307be72d8092c4ac583</anchor>
      <arglist>(QDebug dbg, const KHttpCookieList &amp;list)</arglist>
    </member>
    <member kind="function">
      <type>QDebug</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>kcookiejar_8cpp.html</anchorfile>
      <anchor>bdb3dbc855c36926853693ead57f7a45</anchor>
      <arglist>(QDebug dbg, const KHttpCookie &amp;cookie)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const char *</type>
      <name>parseField</name>
      <anchorfile>kcookiejar_8cpp.html</anchorfile>
      <anchor>c089482f5998c83489f0e02047e36435</anchor>
      <arglist>(char *&amp;buffer, bool keepQuotes=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const char *</type>
      <name>parseNameValue</name>
      <anchorfile>kcookiejar_8cpp.html</anchorfile>
      <anchor>29cd05932f67ed0221e10c4b866d2dd3</anchor>
      <arglist>(const char *header, QString &amp;Name, QString &amp;Value, bool keepQuotes=false, bool rfcQuotes=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>removeDuplicateFromList</name>
      <anchorfile>kcookiejar_8cpp.html</anchorfile>
      <anchor>9c84695bbbe9bd666e34c8654e57353f</anchor>
      <arglist>(KHttpCookieList *list, KHttpCookie &amp;cookiePtr, bool nameMatchOnly=false, bool updateWindowId=false)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>kcookiejar.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kioslave/http/kcookiejar/</path>
    <filename>kcookiejar_8h</filename>
    <class kind="class">KCookieJar</class>
    <class kind="class">KHttpCookie</class>
    <class kind="class">KHttpCookieList</class>
    <member kind="typedef">
      <type>KHttpCookie *</type>
      <name>KHttpCookiePtr</name>
      <anchorfile>kcookiejar_8h.html</anchorfile>
      <anchor>34017a8270b383c6fafbc842251495cc</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>KCookieAdvice</name>
      <anchorfile>kcookiejar_8h.html</anchorfile>
      <anchor>f90e0f5f536288882c10ddca6d6de371</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>KCookieDunno</name>
      <anchorfile>kcookiejar_8h.html</anchorfile>
      <anchor>f90e0f5f536288882c10ddca6d6de371e4d438141b180f870101df0661ecd05d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>KCookieAccept</name>
      <anchorfile>kcookiejar_8h.html</anchorfile>
      <anchor>f90e0f5f536288882c10ddca6d6de371a2f0d0b6a74eb32c599debeec26ebf78</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>KCookieReject</name>
      <anchorfile>kcookiejar_8h.html</anchorfile>
      <anchor>f90e0f5f536288882c10ddca6d6de371a9d975c8955f58a6137dee70abe864ea</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>KCookieAsk</name>
      <anchorfile>kcookiejar_8h.html</anchorfile>
      <anchor>f90e0f5f536288882c10ddca6d6de37195c6e6ba8d01b15a41259d826aa76890</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>QDebug</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>kcookiejar_8h.html</anchorfile>
      <anchor>3b470fb473a504b79a938e14fda52bd4</anchor>
      <arglist>(QDebug, const KHttpCookieList &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QDebug</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>kcookiejar_8h.html</anchorfile>
      <anchor>49dd0b292ffb14efeb9cfea6837c45e7</anchor>
      <arglist>(QDebug, const KHttpCookie &amp;)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>kcookieserver.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kioslave/http/kcookiejar/</path>
    <filename>kcookieserver_8cpp</filename>
    <includes id="kcookieserver_8h" name="kcookieserver.h" local="yes" imported="no">kcookieserver.h</includes>
    <includes id="kcookiejar_8h" name="kcookiejar.h" local="yes" imported="no">kcookiejar.h</includes>
    <includes id="kcookiewin_8h" name="kcookiewin.h" local="yes" imported="no">kcookiewin.h</includes>
    <member kind="define">
      <type>#define</type>
      <name>SAVE_DELAY</name>
      <anchorfile>kcookieserver_8cpp.html</anchorfile>
      <anchor>6f360ed0f4bb2421b5487fd95f0cb5a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>K_PLUGIN_FACTORY</name>
      <anchorfile>kcookieserver_8cpp.html</anchorfile>
      <anchor>2016669834198e9dcfd9359b910252af</anchor>
      <arglist>(KdedCookieServerFactory, registerPlugin&lt; KCookieServer &gt;();) K_EXPORT_PLUGIN(KdedCookieServerFactory(&quot;kcookiejar&quot;)) enum CookieDetails</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>kcookieserver.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kioslave/http/kcookiejar/</path>
    <filename>kcookieserver_8h</filename>
    <class kind="class">KCookieServer</class>
  </compound>
  <compound kind="file">
    <name>kcookiewin.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kioslave/http/kcookiejar/</path>
    <filename>kcookiewin_8cpp</filename>
    <includes id="kcookiewin_8h" name="kcookiewin.h" local="yes" imported="no">kcookiewin.h</includes>
    <includes id="kcookiejar_8h" name="kcookiejar.h" local="yes" imported="no">kcookiejar.h</includes>
  </compound>
  <compound kind="file">
    <name>kcookiewin.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kioslave/http/kcookiejar/</path>
    <filename>kcookiewin_8h</filename>
    <includes id="kcookiejar_8h" name="kcookiejar.h" local="yes" imported="no">kcookiejar.h</includes>
    <class kind="class">KCookieDetail</class>
    <class kind="class">KCookieWin</class>
  </compound>
  <compound kind="file">
    <name>kioslave_file_export.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kioslave/file/</path>
    <filename>kioslave__file__export_8h</filename>
    <member kind="define">
      <type>#define</type>
      <name>KIOSLAVE_FILE_EXPORT_DEPRECATED</name>
      <anchorfile>kioslave__file__export_8h.html</anchorfile>
      <anchor>e922b657b53089110c6863fe1e51e3ee</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>main.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kioslave/http/kcookiejar/</path>
    <filename>main_8cpp</filename>
    <member kind="function">
      <type>int</type>
      <name>main</name>
      <anchorfile>main_8cpp.html</anchorfile>
      <anchor>0ddf1224851353fc92bfbff6f499fa97</anchor>
      <arglist>(int argc, char *argv[])</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>Mainpage.dox</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kioslave/</path>
    <filename>Mainpage_8dox</filename>
  </compound>
  <compound kind="file">
    <name>metainfo.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kioslave/metainfo/</path>
    <filename>metainfo_8cpp</filename>
    <includes id="metainfo_8h" name="metainfo.h" local="yes" imported="no">metainfo.h</includes>
    <member kind="function">
      <type>int KDE_EXPORT</type>
      <name>kdemain</name>
      <anchorfile>metainfo_8cpp.html</anchorfile>
      <anchor>6204d1e24c6f5cc2ec66cdffa9cdf1cd</anchor>
      <arglist>(int argc, char **argv)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>metainfo.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kioslave/metainfo/</path>
    <filename>metainfo_8h</filename>
    <class kind="class">MetaInfoProtocol</class>
  </compound>
  <compound kind="file">
    <name>qdeclareqlistint_hack.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kioslave/http/kcookiejar/</path>
    <filename>qdeclareqlistint__hack_8h</filename>
  </compound>
  <compound kind="class">
    <name>FileProtocol</name>
    <filename>classFileProtocol.html</filename>
    <base>QObject</base>
    <base>KIO::SlaveBase</base>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>chmod</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>cb42d54f5268b0dd1849615d9d9471fb</anchor>
      <arglist>(const KUrl &amp;url, int permissions)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>chown</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>94210ca7a41747dcee5fdf55eefec25d</anchor>
      <arglist>(const KUrl &amp;url, const QString &amp;owner, const QString &amp;group)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>close</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>488fd5c717242ca3b0bb5c389080c846</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>copy</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>3e89e57c25b9bf2409cff99705f9994b</anchor>
      <arglist>(const KUrl &amp;src, const KUrl &amp;dest, int mode, KIO::JobFlags flags)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>del</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>8894ebab1544192f1802e1f6742ab939</anchor>
      <arglist>(const KUrl &amp;url, bool isfile)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>FileProtocol</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>a5d933c86c61e3f01950a49e22410bf7</anchor>
      <arglist>(const QByteArray &amp;pool, const QByteArray &amp;app)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>get</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>492b93bf835b2ed5fcbd8c7c60672ad9</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>listDir</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>793bb3a1b87763b0f48bd4a8c7ceea44</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>mkdir</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>0b1d750527d7e3f486c9bd6091fc4a77</anchor>
      <arglist>(const KUrl &amp;url, int permissions)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>mount</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>82d725406ec3004f520bc071fb23bf3d</anchor>
      <arglist>(bool _ro, const char *_fstype, const QString &amp;dev, const QString &amp;point)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>open</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>e43699bc049717c439d61794ca7f14c1</anchor>
      <arglist>(const KUrl &amp;url, QIODevice::OpenMode mode)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>pmount</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>892d938c2ce39b2ce52ab99eff7f1755</anchor>
      <arglist>(const QString &amp;dev)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>pumount</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>3a0de92efad40167a5cdbcfbde9bd7fa</anchor>
      <arglist>(const QString &amp;point)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>put</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>26d1b1402e587f25ce54b5058d82eca1</anchor>
      <arglist>(const KUrl &amp;url, int _mode, KIO::JobFlags _flags)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>read</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>f85fd52210472c93998385b2c766af4e</anchor>
      <arglist>(KIO::filesize_t size)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>rename</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>283d46fe2b5a4176625de703443fd69b</anchor>
      <arglist>(const KUrl &amp;src, const KUrl &amp;dest, KIO::JobFlags flags)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>seek</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>5a2417e2bccb55f03bb66a5fc98ebf41</anchor>
      <arglist>(KIO::filesize_t offset)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setModificationTime</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>93c59e495e74d8992cbab6fd69828a9e</anchor>
      <arglist>(const KUrl &amp;url, const QDateTime &amp;mtime)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>special</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>2f74a94d70eb24fc32aad7ce0f732a81</anchor>
      <arglist>(const QByteArray &amp;data)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>stat</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>9bee9051ea974bdcf98a09966a4b6e42</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>symlink</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>0a4b3e4bf07e4385b5c16a1c28a87a9d</anchor>
      <arglist>(const QString &amp;target, const KUrl &amp;dest, KIO::JobFlags flags)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>unmount</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>ee1e5d604f18464b02d609970d3d2960</anchor>
      <arglist>(const QString &amp;point)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>write</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>1bc845b8805f7eca4f3461fadf6b4c4a</anchor>
      <arglist>(const QByteArray &amp;data)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~FileProtocol</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>73c5db391c73cef425c5d9c96ac6258e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotInfoMessage</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>2bed9625ab1ae6143fe66c8236e85813</anchor>
      <arglist>(const QString &amp;msg)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotProcessedSize</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>ee72baa8238fe23eed73fe698171bfc0</anchor>
      <arglist>(KIO::filesize_t _bytes)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>createUDSEntry</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>76206c6508d206f9ec3b762db8e4809c</anchor>
      <arglist>(const QString &amp;filename, const QByteArray &amp;path, KIO::UDSEntry &amp;entry, short int details, bool withACL)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>getGroupName</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>5f1ffc6f1f1ff56eb7503c46335d97e5</anchor>
      <arglist>(gid_t gid) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>getUserName</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>a073e459e2804bf8abba127fdea16023</anchor>
      <arglist>(uid_t uid) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>setACL</name>
      <anchorfile>classFileProtocol.html</anchorfile>
      <anchor>7512b80241474928afa2a0d9190efea0</anchor>
      <arglist>(const char *path, mode_t perm, bool _directoryDefault)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Ftp</name>
    <filename>classFtp.html</filename>
    <base>KIO::SlaveBase</base>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>chmod</name>
      <anchorfile>classFtp.html</anchorfile>
      <anchor>2f30e44ab6b3e944d9368494d79fa153</anchor>
      <arglist>(const KUrl &amp;url, int permissions)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>closeConnection</name>
      <anchorfile>classFtp.html</anchorfile>
      <anchor>7e55f38ad6a42b9eb949e36ee501b5cd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>copy</name>
      <anchorfile>classFtp.html</anchorfile>
      <anchor>a80aa1cdded34b279ac58f056f9de587</anchor>
      <arglist>(const KUrl &amp;src, const KUrl &amp;dest, int permissions, KIO::JobFlags flags)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>del</name>
      <anchorfile>classFtp.html</anchorfile>
      <anchor>2377832ee609492a668477570b858873</anchor>
      <arglist>(const KUrl &amp;url, bool isfile)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Ftp</name>
      <anchorfile>classFtp.html</anchorfile>
      <anchor>c18540c6bd65daa4e42edfe440045619</anchor>
      <arglist>(const QByteArray &amp;pool, const QByteArray &amp;app)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>get</name>
      <anchorfile>classFtp.html</anchorfile>
      <anchor>cfc3c5b0cb26eec65978cee8b20f6cd9</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>listDir</name>
      <anchorfile>classFtp.html</anchorfile>
      <anchor>58dde307bc5570b4ed921e36fe7119b3</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>mkdir</name>
      <anchorfile>classFtp.html</anchorfile>
      <anchor>566b930086adb8b0d8807839ec643098</anchor>
      <arglist>(const KUrl &amp;url, int permissions)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>openConnection</name>
      <anchorfile>classFtp.html</anchorfile>
      <anchor>b7ea394034c93fe4bea9bcaf22734763</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>put</name>
      <anchorfile>classFtp.html</anchorfile>
      <anchor>349df58c62fc3cbded737f4ee599cb54</anchor>
      <arglist>(const KUrl &amp;url, int permissions, KIO::JobFlags flags)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>rename</name>
      <anchorfile>classFtp.html</anchorfile>
      <anchor>12c35fa87ba6316e92fd94dfb8b3bfb1</anchor>
      <arglist>(const KUrl &amp;src, const KUrl &amp;dst, KIO::JobFlags flags)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setHost</name>
      <anchorfile>classFtp.html</anchorfile>
      <anchor>364ff5127855ff03f4904604ef97fdcf</anchor>
      <arglist>(const QString &amp;host, quint16 port, const QString &amp;user, const QString &amp;pass)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>slave_status</name>
      <anchorfile>classFtp.html</anchorfile>
      <anchor>f8b0975869578384e0db8ea70504e94d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>stat</name>
      <anchorfile>classFtp.html</anchorfile>
      <anchor>f0aa590b33f5b2dcef93055e54f4d73b</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Ftp</name>
      <anchorfile>classFtp.html</anchorfile>
      <anchor>26fa8d19bfcc5d0471fd2444da36f8bc</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>FtpEntry</name>
    <filename>structFtpEntry.html</filename>
    <member kind="variable">
      <type>mode_t</type>
      <name>access</name>
      <anchorfile>structFtpEntry.html</anchorfile>
      <anchor>ae5278e22d7ab0e2d6aef16c2cb2e99d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>time_t</type>
      <name>date</name>
      <anchorfile>structFtpEntry.html</anchorfile>
      <anchor>937b227a77917ec260b1e9ed093b6a1e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>group</name>
      <anchorfile>structFtpEntry.html</anchorfile>
      <anchor>1bba157116d9fb036335469dda811e8c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>link</name>
      <anchorfile>structFtpEntry.html</anchorfile>
      <anchor>b6efc0294c3978421a94b3ce02c53207</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>name</name>
      <anchorfile>structFtpEntry.html</anchorfile>
      <anchor>208b1c90bbe38a1830dd4de1d1c2da46</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>owner</name>
      <anchorfile>structFtpEntry.html</anchorfile>
      <anchor>0844ef3803c924bed0f8da8a19ad8f99</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KIO::filesize_t</type>
      <name>size</name>
      <anchorfile>structFtpEntry.html</anchorfile>
      <anchor>fc29a222665e5488295ec5af51a736d5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>mode_t</type>
      <name>type</name>
      <anchorfile>structFtpEntry.html</anchorfile>
      <anchor>cae824b7637c0307862efb7444f435c8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>HTTPProtocol</name>
    <filename>classHTTPProtocol.html</filename>
    <base>QObject</base>
    <base>KIO::TCPSlaveBase</base>
    <member kind="enumeration">
      <name>HTTP_AUTH</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>68df1c90aea2be39cfd88091c9a64bcd</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>AUTH_None</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>68df1c90aea2be39cfd88091c9a64bcd3f5e1daa75294c419bca568fe08319f9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>AUTH_Basic</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>68df1c90aea2be39cfd88091c9a64bcd2bc64dececcacfedb9a4e5bce4f08292</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>AUTH_NTLM</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>68df1c90aea2be39cfd88091c9a64bcd359f046ef2ea8b7953fee5cb5f8e1202</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>AUTH_Digest</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>68df1c90aea2be39cfd88091c9a64bcd64e7214c807bc8bac7d48c0dd5151369</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>AUTH_Negotiate</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>68df1c90aea2be39cfd88091c9a64bcd82346655db9042c62d24c7012c5029b7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>HTTP_REV</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>9397d9e5deb3d47b444d07d6bcb9d70a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>HTTP_None</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>9397d9e5deb3d47b444d07d6bcb9d70ab366ff69285ad9e2919ffe7d2b3ff838</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>HTTP_Unknown</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>9397d9e5deb3d47b444d07d6bcb9d70afc18dde7fbb49598f5439932af53156c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>HTTP_10</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>9397d9e5deb3d47b444d07d6bcb9d70ae291385ea69527e4b044e8940944f329</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>HTTP_11</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>9397d9e5deb3d47b444d07d6bcb9d70a5b9699a0199bd27c0c74b865e8029b2d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SHOUTCAST</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>9397d9e5deb3d47b444d07d6bcb9d70afe0cf5bc1adbe010c8f7e1eb773d10a9</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>cacheUpdate</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>78a6cee7fb68ac61376cdcdad3755eb6</anchor>
      <arglist>(const KUrl &amp;url, bool nocache, time_t expireDate)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkRequestUrl</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>16570cc75a78d2d1db7d1bea676db850</anchor>
      <arglist>(const KUrl &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>closeConnection</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>7b763b0f9f9462c582406d86c68a1833</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>copy</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>495033a67e9a2385b8beebe828dbb42e</anchor>
      <arglist>(const KUrl &amp;src, const KUrl &amp;dest, int _permissions, KIO::JobFlags flags)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>davError</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>09e401d049d3efc989dac2f1b86734bc</anchor>
      <arglist>(int code=-1, const QString &amp;url=QString())</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>davFinished</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>ac928dc562c13f08664ca0f4105d5b3c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>davGeneric</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>cae598729fe77005d3e06fb693b25b13</anchor>
      <arglist>(const KUrl &amp;url, KIO::HTTP_METHOD method)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>davHostOk</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>fa897ea335c911231f7194a7b4305725</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>davLock</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>40bf980988cfc09822e19e00a91f3e02</anchor>
      <arglist>(const KUrl &amp;url, const QString &amp;scope, const QString &amp;type, const QString &amp;owner)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>davUnlock</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>7b5debfcc1b2d995a254b3ae58bc676a</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>del</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>663ea46b2bdb9109e3900b53b320f644</anchor>
      <arglist>(const KUrl &amp;url, bool _isfile)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>get</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>b81d7cb8971900c1242613947af5b41c</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>httpError</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>7b721f349938047084415d5934850dd2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>HTTPProtocol</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>53e38bc988331f44b0a9cf2c9c4a7310</anchor>
      <arglist>(const QByteArray &amp;protocol, const QByteArray &amp;pool, const QByteArray &amp;app)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isOffline</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>9e9ce4d1f06d6a833eb13650c0c81a3e</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>listDir</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>92ac278cb5e1f6bbaa3a138bc47d2112</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>mimetype</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>aa024004fc6a8f3f48fb7042b47d442d</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>mkdir</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>b5199c3bd9556914cbcf7fb62300edd6</anchor>
      <arglist>(const KUrl &amp;url, int _permissions)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>multiGet</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>aea2eca6d7a9d5e8685d97f84ebe6bdb</anchor>
      <arglist>(const QByteArray &amp;data)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>post</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>12c234749886e00f150bc8f84ac646c8</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>put</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>284fd4aaa9481d7e7d6f09c019835622</anchor>
      <arglist>(const KUrl &amp;url, int _mode, KIO::JobFlags flags)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>rename</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>e33c8c41e81f382c5afc2f1b59a5061a</anchor>
      <arglist>(const KUrl &amp;src, const KUrl &amp;dest, KIO::JobFlags flags)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>reparseConfiguration</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>cfbc95f009bfce9395e159f0db86b3f9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setHost</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>194a372361cba89c3ba5d67b2637fd6e</anchor>
      <arglist>(const QString &amp;host, quint16 port, const QString &amp;user, const QString &amp;pass)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>slave_status</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>78194f4a542237d3e0a4dca55e0078a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>special</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>e5234395ae10e199cda9fa69659f5bd5</anchor>
      <arglist>(const QByteArray &amp;data)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>stat</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>b289474899cde3473007f36251790110</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~HTTPProtocol</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>ff2cbeb3ea916a1854985f95b1a6a94c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>error</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>ad432603d98c629bdd8407262785d2e7</anchor>
      <arglist>(int _errid, const QString &amp;_text)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotData</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>86fc703aefbbeec82b3d2590b2cbbf11</anchor>
      <arglist>(const QByteArray &amp;)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>addCookies</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>662186820eba8d35add46f3997829671</anchor>
      <arglist>(const QString &amp;url, const QByteArray &amp;cookieHeader)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>addEncoding</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>1471971290db75b06951e8ea3b7ac9ed</anchor>
      <arglist>(const QString &amp;, QStringList &amp;)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>calculateResponse</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>74b416184232dddb68bbf696bc029cad</anchor>
      <arglist>(DigestAuthInfo &amp;info, QByteArray &amp;Response)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>gzFile</type>
      <name>checkCacheEntry</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>4008c91d2dbab021b745d99323a4147d</anchor>
      <arglist>(bool readWrite=false)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>cleanCache</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>4446249808ed9e255ae9ef4d92857130</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>closeCacheEntry</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>964e93edebdf65d350ae835123da319c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>codeFromResponse</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>7042b9fa330e98a9c43ea10ae3eae4b0</anchor>
      <arglist>(const QString &amp;response)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>configAuth</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>b4184174ddc3ac797cc59c26d26741c9</anchor>
      <arglist>(char *, bool)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>createBasicAuth</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>80ff979436852c3c9aa777a4393137ea</anchor>
      <arglist>(bool isForProxy=false)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>createCacheEntry</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>264bdc2fba25fad038a0d176fec976a6</anchor>
      <arglist>(const QString &amp;mimetype, time_t expireDate)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>createDigestAuth</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>03218d7b833fc4a859de692dce6fa7f0</anchor>
      <arglist>(bool isForProxy=false)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>createNegotiateAuth</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>45b1e3745ebda3ca97ae9882b571e724</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>createNTLMAuth</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>5e45b9c895ff12c08c439722debbed84</anchor>
      <arglist>(bool isForProxy=false)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>davParseActiveLocks</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>e1ef1187917fdc26584fb997f6d4be79</anchor>
      <arglist>(const QDomNodeList &amp;activeLocks, uint &amp;lockCount)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>davParsePropstats</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>9cf29c26c11d8735e6d30c56381cfe4f</anchor>
      <arglist>(const QDomNodeList &amp;propstats, KIO::UDSEntry &amp;entry)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>davProcessLocks</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a709bf7cd94a2e89c59ed2fb416e3614</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>davSetRequest</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>95c757ad7fbfcc05ecefa9ea5a553c80</anchor>
      <arglist>(const QByteArray &amp;requestXML)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>davStatList</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>d0902f98613e532a1067459dde80068b</anchor>
      <arglist>(const KUrl &amp;url, bool stat=true)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>findCookies</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>4bbebd2b15fffe0ab72d143d7d1a13ab</anchor>
      <arglist>(const QString &amp;url)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>forwardHttpResponseHeader</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>5d19514d8a30cc31f20c4d4893fdb1a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>getAuthorization</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>2189bbb60d625a58933be848783d3bc0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>char *</type>
      <name>gets</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>b1c24968b86d4b2157c59f93d0690fc0</anchor>
      <arglist>(char *str, int size)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QByteArray</type>
      <name>gssError</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>86a0c9cccd20d7c3a0bd7a120638357f</anchor>
      <arglist>(int major_status, int minor_status)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>httpClose</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>0345410569704c876051692f43775472</anchor>
      <arglist>(bool keepAlive)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>httpCloseConnection</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>25e6d10e2a172feb9ac9a1b2197ecf4d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>httpOpenConnection</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>f9a5694ac44d974b69861d27c7524066</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>httpShouldCloseConnection</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>297f6fc14a434b2a81e208f266906705</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>parseContentDisposition</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>ad5bdc0a1980f0d4b80870606a60d593</anchor>
      <arglist>(const QString &amp;disposition)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>long</type>
      <name>parseDateTime</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>10ce3747d24c224b30b3ade96511728f</anchor>
      <arglist>(const QString &amp;input, const QString &amp;type)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>proceedUntilResponseContent</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>b44cf39e169176051c2ed94f10eafedf</anchor>
      <arglist>(bool dataInternal=false)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>proceedUntilResponseHeader</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>1e7cd69e443e37f906c231e4dfbeb320</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>promptInfo</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>8e02fc476faf70ad316ffba2d3032e96</anchor>
      <arglist>(KIO::AuthInfo &amp;info)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>proxyAuthenticationHeader</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>6c551c2e1046ab11f66263c9014ce3cd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>ssize_t</type>
      <name>read</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>b8eb535f5ee12d79cc92362466226acf</anchor>
      <arglist>(void *b, size_t nbytes)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>readBody</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>1437268627984f41baad6d7ffce037ca</anchor>
      <arglist>(bool dataInternal=false)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>readChunked</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>6e1d27b57f82c4b2939e0a07299f8c11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>readHeaderFromCache</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>11ad75b498ec62bd7cd0be5e1beb666d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>readLimited</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>48b3b12dfe87405591a2aae4800626e7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>readResponseHeader</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>3dd4d507dfc575587cbe44922adca5bf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>readUnlimited</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>6a746938b4d135dc62a02d5eb8112ebd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>resetConnectionSettings</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a2877d00fcfe95ee9c808876e3a945b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>resetResponseSettings</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>1ae850e255efd859fd018008d3f8a654</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>resetSessionSettings</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>76f2359af4628da0c7fed7892043794c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>retryPrompt</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>7d8cad6beac7b4ba84d3eeecb535c0ad</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>rewind</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>3e8e1441d02f77cd92aeefa13111fb10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>saveAuthorization</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>ec9a66b19a4ffc667e873626a56414d6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>sendBody</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>5fa008ee46102ce28076cf8d58d49a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>sendQuery</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>d8f61d85b662518fbc6ea4d5c5d9b2f2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setRewindMarker</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>5670600a3871f3c38ec1770a76f14c39</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>updateExpireDate</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>9dece68d793d62b2417c4e4109808904</anchor>
      <arglist>(time_t expireDate, bool updateCreationDate=false)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>ssize_t</type>
      <name>write</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>845ca9b631e16c939037b53f52b64292</anchor>
      <arglist>(const void *buf, size_t nbytes)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>writeCacheEntry</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>21b6b5cd0a7a8f808f0ea3212566aad3</anchor>
      <arglist>(const char *buffer, int nbytes)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>HTTP_AUTH</type>
      <name>Authentication</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>fd832291d95af2b6c46715f8ad00f118</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_bBusy</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>0c05636fac693a7ccb9c3a9db05d92c3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_bChunked</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>5d05889de1de6864affdc945a0a78697</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_bEOD</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>4fdb3e8e2c62fad7974f0b0e45c48f65</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_bEOF</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>622257e1ceb5ab4119ef5778a1d09b15</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_bError</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>e777abc5697766ac5c313f4ae6bb95d7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_bFirstRequest</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>98dc68525991c18930b63b83f0a56092</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_bIsTunneled</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>70e37e4b9076e3e43a3be258b31b2865</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_bKeepAlive</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a71c77791574878fcf78ba07dc4f707f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_bNeedTunnel</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>f9be8d5e117bb9679a1fea0c9344bb05</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_bPersistentProxyConnection</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>326f2b2ba27837bb2607dcdc098b9780</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_bProxyAuthValid</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>16e63ccba0230faa643ec0e8a94cc816</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_bRedirect</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>5ac516989271917cd7ee35734886f5e6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QByteArray</type>
      <name>m_bufPOST</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>feb824d416b56c4095af0c8c235a0deb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QByteArray</type>
      <name>m_bufReceive</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>2fd92285e600d8acd02cc8e1cbd8c864</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QByteArray</type>
      <name>m_bufWebDavData</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>4d1a9b11da57be910a7d2582429d9926</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_bUnauthorized</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>e1c264677487901299189f08ce9773f7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_bUseProxy</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>8685100c3257aac3686f3c56c196e269</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_cpMimeBuffer</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>8db12ad5b44a140aabc2e5911444e58b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_dataInternal</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a2cfbbf041ad8860dde3930d98d6227c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QStringList</type>
      <name>m_davCapabilities</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>f66c4e68078ea4a7e8bd64ecab2f30cb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_davHostOk</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>de2eeb3450ff3889288ec792384595ee</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_davHostUnsupported</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>da1f26ee01b327472cd3d91d80687e7d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>quint16</type>
      <name>m_defaultPort</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>9f0359067aabc992d8ceff8af81159e5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KIO::filesize_t</type>
      <name>m_iBytesLeft</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>b430c7079569112fb1393cffe6dcf1b8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KIO::filesize_t</type>
      <name>m_iContentLeft</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>68e08835a1d54d3a5c0ffca84bd930f8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>short unsigned int</type>
      <name>m_iProxyAuthCount</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>a28f1e5f489511c600f8b10e8d9a51ad</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>m_iProxyPort</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>81cceb2a24d4f8594b4f01d37c175ff5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KIO::filesize_t</type>
      <name>m_iSize</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>ebb18f04eca498b81b10a10f4b5321b9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>short unsigned int</type>
      <name>m_iWWWAuthCount</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>208dab9bc8e1c06e68207220353e8c5d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>m_keepAliveTimeout</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>4d900178bc93a7f5166b1fc91732f9e5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>char</type>
      <name>m_lineBuf</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>6a1b32122aabee2093e8aee7af80225c</anchor>
      <arglist>[1024]</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>char *</type>
      <name>m_lineBufUnget</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>0795a924b4dd33be7540dd39bd6b5d60</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>size_t</type>
      <name>m_lineCount</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>bfc3c8b9279af11800c5678e5f1ae714</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>size_t</type>
      <name>m_lineCountUnget</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>4d9ef77afa3dd8eb1c3c01d564023b73</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>char *</type>
      <name>m_linePtr</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>f0b2ed0ada40ef341c4ac8618c37513b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>char *</type>
      <name>m_linePtrUnget</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>23d6e427b2b062a0824d48fda8727102</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>m_maxCacheAge</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>654f603d8e3481e7a1514441c1067ca7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>long</type>
      <name>m_maxCacheSize</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>140f76a0c5a9607b73507e87b7fc0c05</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QByteArray</type>
      <name>m_mimeTypeBuffer</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>2e8b56f8887fccb8b7a9c9d23ceca338</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>unsigned int</type>
      <name>m_prevResponseCode</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>7fd2d40a14b233003b9429d9cc2ac374</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QByteArray</type>
      <name>m_protocol</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>0fd99e24ce183850ecc27347c7689afb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KUrl</type>
      <name>m_proxyURL</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>6aa62f535c0084ec8eaa757e5d18f547</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QStringList</type>
      <name>m_qContentEncodings</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>e6f02452811fcae1ad4883b8de397036</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QStringList</type>
      <name>m_qTransferEncodings</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>ef950c12ab52b7955e69858cc216793d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>m_remoteRespTimeout</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>dd4b55db96bacf14a405b9b541344f7b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>HTTPRequest</type>
      <name>m_request</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>94c65961aa0b7c7eec637999d3504713</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QList&lt; HTTPRequest * &gt;</type>
      <name>m_requestQueue</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>0e8ea8166d95675fb272d0ad88763f54</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>unsigned int</type>
      <name>m_responseCode</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>bbeaf2717f3a1a9e77a5a7b37d20aed4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QStringList</type>
      <name>m_responseHeaders</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>468d74057c1d08265088797f805da1da</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>char</type>
      <name>m_rewindBuf</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>7d6d64c8acc7683362f2269e05c71341</anchor>
      <arglist>[8192]</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>size_t</type>
      <name>m_rewindCount</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>8571f6ce869fd1cf7373040615b405c2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_sContentMD5</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>1d51b40519cc56957f94c11a750d6967</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>HTTPState</type>
      <name>m_state</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>b4f6d0c25ef48d8675e2b1c467c93ccd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_strAuthorization</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>595292515a09934ddc0dacb4768a161f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_strCacheDir</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>798c6415b4977f9991a4b464871fd3fe</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_strMimeType</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>5f8eaf964fc67df56e2eb5abbee71961</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_strProxyAuthorization</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>efdba26aa19f1f44bbad5243ea02c640</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_strProxyRealm</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>564e6248a0b9b018ce0719949b73cb83</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_strRealm</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>97b8431f309b26f9c797e46d9279ccb0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>HTTP_AUTH</type>
      <name>ProxyAuthentication</name>
      <anchorfile>classHTTPProtocol.html</anchorfile>
      <anchor>29964cb73311c2b6b0f2bdca6710ce11</anchor>
      <arglist></arglist>
    </member>
    <class kind="struct">HTTPProtocol::DAVRequest</class>
    <class kind="struct">HTTPProtocol::DigestAuthInfo</class>
    <class kind="struct">HTTPProtocol::HTTPRequest</class>
    <class kind="struct">HTTPProtocol::HTTPState</class>
  </compound>
  <compound kind="struct">
    <name>HTTPProtocol::DAVRequest</name>
    <filename>structHTTPProtocol_1_1DAVRequest.html</filename>
    <member kind="function">
      <type></type>
      <name>DAVRequest</name>
      <anchorfile>structHTTPProtocol_1_1DAVRequest.html</anchorfile>
      <anchor>757a92cd3fe67c1260bbea4c8070c12d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>depth</name>
      <anchorfile>structHTTPProtocol_1_1DAVRequest.html</anchorfile>
      <anchor>8bdf8ac220a8a2a266649054f7bff63a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>desturl</name>
      <anchorfile>structHTTPProtocol_1_1DAVRequest.html</anchorfile>
      <anchor>e2d9bf06a294d8a01fc2a9aea91ac8a9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>overwrite</name>
      <anchorfile>structHTTPProtocol_1_1DAVRequest.html</anchorfile>
      <anchor>7d64fc20bab4e6a801627af915f37ded</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>HTTPProtocol::DigestAuthInfo</name>
    <filename>structHTTPProtocol_1_1DigestAuthInfo.html</filename>
    <member kind="variable">
      <type>QByteArray</type>
      <name>algorithm</name>
      <anchorfile>structHTTPProtocol_1_1DigestAuthInfo.html</anchorfile>
      <anchor>0512207a203e52006a667ca74bf30516</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QByteArray</type>
      <name>cnonce</name>
      <anchorfile>structHTTPProtocol_1_1DigestAuthInfo.html</anchorfile>
      <anchor>eedb3acd056256094f6e47d0ecb0ca84</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KUrl::List</type>
      <name>digestURI</name>
      <anchorfile>structHTTPProtocol_1_1DigestAuthInfo.html</anchorfile>
      <anchor>e5b074169f49debada8bb06427ab43fc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QByteArray</type>
      <name>entityBody</name>
      <anchorfile>structHTTPProtocol_1_1DigestAuthInfo.html</anchorfile>
      <anchor>f59e357158b4c36d7da4970821083afe</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QByteArray</type>
      <name>method</name>
      <anchorfile>structHTTPProtocol_1_1DigestAuthInfo.html</anchorfile>
      <anchor>3e9fd7fe67704111fa8efe1ccbbf28f9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QByteArray</type>
      <name>nc</name>
      <anchorfile>structHTTPProtocol_1_1DigestAuthInfo.html</anchorfile>
      <anchor>4ba17ffc107717ac27bc9bb1caef3d22</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QByteArray</type>
      <name>nonce</name>
      <anchorfile>structHTTPProtocol_1_1DigestAuthInfo.html</anchorfile>
      <anchor>595e44030efc2c6c875a7398b1a20699</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QByteArray</type>
      <name>password</name>
      <anchorfile>structHTTPProtocol_1_1DigestAuthInfo.html</anchorfile>
      <anchor>61c23d4e2d457688f6a1cb6f28394cc3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QByteArray</type>
      <name>qop</name>
      <anchorfile>structHTTPProtocol_1_1DigestAuthInfo.html</anchorfile>
      <anchor>0b7e3fcaf9607d32011448cf5deff7e9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QByteArray</type>
      <name>realm</name>
      <anchorfile>structHTTPProtocol_1_1DigestAuthInfo.html</anchorfile>
      <anchor>c4767e83028b3e7c12a47455a6d1833f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QByteArray</type>
      <name>username</name>
      <anchorfile>structHTTPProtocol_1_1DigestAuthInfo.html</anchorfile>
      <anchor>50f015a38b278894097b208755d1de07</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>HTTPProtocol::HTTPRequest</name>
    <filename>structHTTPProtocol_1_1HTTPRequest.html</filename>
    <member kind="enumvalue">
      <name>CookiesAuto</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>2b2d2a3e0efcafe5392e80a803061707f6f1365325aaee4dc3e85d1a64e7125f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>CookiesManual</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>2b2d2a3e0efcafe5392e80a80306170703cdb8687b9d14830ccdebea3a6dd89e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>CookiesNone</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>2b2d2a3e0efcafe5392e80a8030617072d2b6eb85c686c7512575dcfb93a1593</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>HTTPRequest</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>afa2b4c0553c617871ca7872c2a536b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>allowCompressedPage</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>8b05c2bf77ec969cbe01e4d9dbd9b58b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>bCachedRead</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>3d745ef0b194b87ffbf11b28df9a410b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>bCachedWrite</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>3dfdf6e7d887e7f9b12ace6c62295b88</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>bErrorPage</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>98840e8eb3a9b3dcf3618731d005fb2d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>bMustRevalidate</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>998be8e35e5f78bc4ece6026d1fd34ac</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>bNoAuth</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>d796d7bda53c38d48761a325b00e165c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>bUseCache</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>8b7bf45b6000f440da0b35dc2f305d89</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>bUseCookiejar</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>a3e7750a462317aa80a8ec548b7c2305</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>long</type>
      <name>bytesCached</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>e4960aab7d13aee077301c750a5e8e28</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KIO::CacheControl</type>
      <name>cache</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>6b2a7440e290b2d8545a207d5419b90c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>long</type>
      <name>cacheExpireDateOffset</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>e1325e67480cf4ae4e1be4a18d88cd0d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>cef</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>8eb9067f57037f4c8f4276a8f04be71c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>charsets</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>f71d3b5a94b19be24b1e2778ef6c06ab</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>enum HTTPProtocol::HTTPRequest::@1</type>
      <name>cookieMode</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>71850f6c760b88751340b4b6d4fee250</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>time_t</type>
      <name>creationDate</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>42f52f93b962e3a0d5d6819e88a7a26d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>DAVRequest</type>
      <name>davData</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>edab7fc2e58c5d7ed0b78942e2884fb4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>disablePassDlg</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>f93be8ce15cad1566291ac2abbf38162</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>doProxy</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>9d3eceba27792bdbcbed7bf7a4dc1c87</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>encoded_hostname</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>008bc8ab6603b590aa4c70f3672afc95</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KIO::filesize_t</type>
      <name>endoffset</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>3ec954210cc9216ab9e25ec0849c74fb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>etag</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>03e446463cde512d3cd539c35d0ffa27</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>time_t</type>
      <name>expireDate</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>0e035a3cfaaba1901cb472a756c2fb9a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>gzFile</type>
      <name>fcache</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>9e6818f8048367423d01461edf94f79a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>hostname</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>472319e2753ce8e95ca3b7baec160e3f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>id</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>f4c4e377e8bd7e681d83e866cc4e4c6c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>languages</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>8cd2841fa2fdca584e64f6292367d86e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>lastModified</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>69feba783b7f56e5e35e803b5bed5843</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KIO::HTTP_METHOD</type>
      <name>method</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>e54bd0ad3bf31462f2a1537a2e48754d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KIO::filesize_t</type>
      <name>offset</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>ca7e4472654c3f81d585c708b6a1ab60</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>passwd</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>874a8ba3f894d1ae84ba14d09e553556</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>path</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>75608dc28cd569ac163b44cec38b667b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>short unsigned int</type>
      <name>port</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>9158e642601fd6f5225a8560ce28388b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KUrl</type>
      <name>proxyUrl</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>953628555c05b469ecea4ceca0ad2d4b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>query</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>d226653a6b211fab520b49ab2f9632ba</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>referrer</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>1fad78c6d037d13775cdc4ef9704cc7d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>strCharset</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>7a814833f529447bdc61206e7a387918</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KUrl</type>
      <name>url</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>ec9497a8b2d484bb0b6ffe6b18902110</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>user</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>6d8315df4ba99a5243bad77e61f84d06</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>userAgent</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>0d654d6ed5f3aedf2a9e45abc82b11e3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>window</name>
      <anchorfile>structHTTPProtocol_1_1HTTPRequest.html</anchorfile>
      <anchor>5f751c5711132f7cb517b3886e234f51</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>HTTPProtocol::HTTPState</name>
    <filename>structHTTPProtocol_1_1HTTPState.html</filename>
    <member kind="function">
      <type></type>
      <name>HTTPState</name>
      <anchorfile>structHTTPProtocol_1_1HTTPState.html</anchorfile>
      <anchor>4396d223cd4ec8a859510f27d1ac6333</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>doProxy</name>
      <anchorfile>structHTTPProtocol_1_1HTTPState.html</anchorfile>
      <anchor>89ab91f5d80952f755aa1f2e23c9027b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>encoded_hostname</name>
      <anchorfile>structHTTPProtocol_1_1HTTPState.html</anchorfile>
      <anchor>235f5ad810daffad4c7092232fc7e84d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>hostname</name>
      <anchorfile>structHTTPProtocol_1_1HTTPState.html</anchorfile>
      <anchor>13d3e872586ac437e7076262c55da144</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>passwd</name>
      <anchorfile>structHTTPProtocol_1_1HTTPState.html</anchorfile>
      <anchor>d0a74eb2058e881bb8e61166f54c7bd5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>short unsigned int</type>
      <name>port</name>
      <anchorfile>structHTTPProtocol_1_1HTTPState.html</anchorfile>
      <anchor>d903d47ba7158b65e6d05fcb5fc83e6b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KUrl</type>
      <name>proxyUrl</name>
      <anchorfile>structHTTPProtocol_1_1HTTPState.html</anchorfile>
      <anchor>04b3f48db7d0076cfbe575825676589d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>user</name>
      <anchorfile>structHTTPProtocol_1_1HTTPState.html</anchorfile>
      <anchor>ce2983c2c9223f85a4f3103cffc2c7be</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCookieDetail</name>
    <filename>classKCookieDetail.html</filename>
    <base>QGroupBox</base>
    <member kind="function">
      <type></type>
      <name>KCookieDetail</name>
      <anchorfile>classKCookieDetail.html</anchorfile>
      <anchor>469d06e67edaa9792155254b8ba7ef38</anchor>
      <arglist>(KHttpCookieList cookieList, int cookieCount, QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KCookieDetail</name>
      <anchorfile>classKCookieDetail.html</anchorfile>
      <anchor>5995fe9498fe7ed603bb81b365cfa79d</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCookieJar</name>
    <filename>classKCookieJar.html</filename>
    <member kind="function">
      <type>void</type>
      <name>addCookie</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>bb509421bbbaae6a5e105417da8fbe5a</anchor>
      <arglist>(KHttpCookie &amp;cookie)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>changed</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>44e39bf51e739c93d23c9cec768f88c6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KCookieAdvice</type>
      <name>cookieAdvice</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>9f38f51ae161e9f8189dd4b37bf6f8e5</anchor>
      <arglist>(KHttpCookie &amp;cookie)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>eatAllCookies</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>d646e987c38a62b72117b6af78211942</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>eatCookie</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>67e834b6f14f1736b195504439c396ad</anchor>
      <arglist>(KHttpCookieList::iterator cookieIterator)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>eatCookiesForDomain</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>cf52e7fb8569e19401364c885b39df17</anchor>
      <arglist>(const QString &amp;domain)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>eatSessionCookies</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>2b853bd0942a22e60690e45552a81ffc</anchor>
      <arglist>(const QString &amp;fqdn, long windowId, bool isFQDN=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>eatSessionCookies</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>076790ae40ed721c2be6257fb83bb63d</anchor>
      <arglist>(long windowId)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>extractDomains</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>9dddbb6ca8ae459aaa4a7496c38f0cc5</anchor>
      <arglist>(const QString &amp;_fqdn, QStringList &amp;_domainList) const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>findCookies</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>d618785b449190e342a1b0de137ef8e0</anchor>
      <arglist>(const QString &amp;_url, bool useDOMFormat, long windowId, KHttpCookieList *pendingCookies=0)</arglist>
    </member>
    <member kind="function">
      <type>KHttpCookieList *</type>
      <name>getCookieList</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>09aa00df00b1c6e99da9ccb0724c3b66</anchor>
      <arglist>(const QString &amp;_domain, const QString &amp;_fqdn)</arglist>
    </member>
    <member kind="function">
      <type>KCookieAdvice</type>
      <name>getDomainAdvice</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>b311fd22226735d6828f0ba674deec78</anchor>
      <arglist>(const QString &amp;_domain)</arglist>
    </member>
    <member kind="function">
      <type>const QStringList &amp;</type>
      <name>getDomainList</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>77c9f4f70c3a812533c2ad5b907adf2c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KCookieAdvice</type>
      <name>getGlobalAdvice</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>d775844ee72c2d169ef25a5b1522490c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCookieJar</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>b6c5c5166339a29991f1a2f91f4ff4c4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>loadConfig</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>dc2ea2e929b5ed73536549224e9cae8a</anchor>
      <arglist>(KConfig *_config, bool reparse=false)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>loadCookies</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>ddfe86019de0669393452291ddb859fb</anchor>
      <arglist>(const QString &amp;_filename)</arglist>
    </member>
    <member kind="function">
      <type>KHttpCookieList</type>
      <name>makeCookies</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>f175a0f829ff1c7869aa5e4a63c32019</anchor>
      <arglist>(const QString &amp;_url, const QByteArray &amp;cookie_headers, long windowId)</arglist>
    </member>
    <member kind="function">
      <type>KHttpCookieList</type>
      <name>makeDOMCookies</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>e3b15ddd16947380380e30fe5a65f2bc</anchor>
      <arglist>(const QString &amp;_url, const QByteArray &amp;cookie_domstr, long windowId)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>preferredDefaultPolicy</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>514a047e333fbe30acc582b0bcc6a574</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>saveConfig</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>4761ed58d9ccbbb3d4fdbe5e0474b5e9</anchor>
      <arglist>(KConfig *_config)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>saveCookies</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>4bbb3965a27c28480762e421ca139366</anchor>
      <arglist>(const QString &amp;_filename)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDomainAdvice</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>1e1e8f3b7afc63069b2dc5825eda3ae0</anchor>
      <arglist>(const KHttpCookie &amp;_cookie, KCookieAdvice _advice)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDomainAdvice</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>c94549e811617b06f3d834796bb6e6c9</anchor>
      <arglist>(const QString &amp;_domain, KCookieAdvice _advice)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setGlobalAdvice</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>f5cf16858b3e1f7b9d89521ff76b9767</anchor>
      <arglist>(KCookieAdvice _advice)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPreferredDefaultPolicy</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>1c96c0d6273196c47c72697d15ceb7fe</anchor>
      <arglist>(int value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShowCookieDetails</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>e2e0ca01b2b84ce701cb073b5e22dfae</anchor>
      <arglist>(bool value)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showCookieDetails</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>4223edd49f3bce44aaa35d64649ff3d2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KCookieJar</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>65d844d23838d57ced6e604c82ae1df3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>adviceToStr</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>277b561ed739a5f2022fbae4375ccf03</anchor>
      <arglist>(KCookieAdvice _advice)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>parseUrl</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>ef30855d1498d001b3e95f0ba08bcfd5</anchor>
      <arglist>(const QString &amp;_url, QString &amp;_fqdn, QString &amp;_path)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KCookieAdvice</type>
      <name>strToAdvice</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>1bf739b2d7675dd4fed044b86084fceb</anchor>
      <arglist>(const QString &amp;_str)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>stripDomain</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>122c5f8b76817afa7779499f5154589b</anchor>
      <arglist>(const KHttpCookie &amp;cookie)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>stripDomain</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>2c198d178ff5a48b36236320b1f6f12c</anchor>
      <arglist>(const QString &amp;_fqdn, QString &amp;_domain)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_autoAcceptSessionCookies</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>d692f8514fbdf7e46e8bf1b7282ad32f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_configChanged</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>f62cbea6823e3e3c4f09b16ecf393f0d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QHash&lt; QString, KHttpCookieList * &gt;</type>
      <name>m_cookieDomains</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>93267ba53e13139e531281832a10299f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_cookiesChanged</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>ce753fe52d6ba47568b93095bb7685a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QStringList</type>
      <name>m_domainList</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>ae41b17e93373c35fbabb4f13196aedf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KCookieAdvice</type>
      <name>m_globalAdvice</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>11b00bd4926536decbc8a949a4d1041f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_ignoreCookieExpirationDate</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>2cbe1867b24860bedf3a87944880e3da</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>m_preferredPolicy</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>ecf3748dca44148d0030e974f485d73a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_rejectCrossDomainCookies</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>aed0fe28b7f74305c87385e5a612b9ed</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_showCookieDetails</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>dd16651d33c9648200fe45c7d1f0645d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QHash&lt; QString, int &gt;</type>
      <name>m_twoLevelTLD</name>
      <anchorfile>classKCookieJar.html</anchorfile>
      <anchor>edf2644601ea67fdc244937b9bcfe881</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCookieServer</name>
    <filename>classKCookieServer.html</filename>
    <base>KDEDModule</base>
    <base protection="protected">QDBusContext</base>
    <member kind="slot">
      <type>void</type>
      <name>addCookies</name>
      <anchorfile>classKCookieServer.html</anchorfile>
      <anchor>5d448d2f6abdd396239b90ab15be5fe0</anchor>
      <arglist>(const QString &amp;url, const QByteArray &amp;cookieHeader, qlonglong windowId)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>addDOMCookies</name>
      <anchorfile>classKCookieServer.html</anchorfile>
      <anchor>df1553e6e1642ff49656c4db69798c84</anchor>
      <arglist>(const QString &amp;url, const QByteArray &amp;cookieHeader, qlonglong windowId)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>deleteAllCookies</name>
      <anchorfile>classKCookieServer.html</anchorfile>
      <anchor>93a0eff679dbf738a75f403efac208b8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>deleteCookie</name>
      <anchorfile>classKCookieServer.html</anchorfile>
      <anchor>820ff8c347dbe81916d041403965b279</anchor>
      <arglist>(const QString &amp;domain, const QString &amp;fqdn, const QString &amp;path, const QString &amp;name)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>deleteCookiesFromDomain</name>
      <anchorfile>classKCookieServer.html</anchorfile>
      <anchor>ba29c0dc281f3b81e6627ff0fb66df0d</anchor>
      <arglist>(const QString &amp;domain)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>deleteSessionCookies</name>
      <anchorfile>classKCookieServer.html</anchorfile>
      <anchor>6942652e6388576193467791626a3b7e</anchor>
      <arglist>(qlonglong windowId)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>deleteSessionCookiesFor</name>
      <anchorfile>classKCookieServer.html</anchorfile>
      <anchor>d2ec3948ee35987bfd532c938e903ef3</anchor>
      <arglist>(const QString &amp;fqdn, qlonglong windowId)</arglist>
    </member>
    <member kind="slot">
      <type>QStringList</type>
      <name>findCookies</name>
      <anchorfile>classKCookieServer.html</anchorfile>
      <anchor>5fd45f6d4cda158ebaa6f33fc83f3045</anchor>
      <arglist>(const QList&lt; int &gt; &amp;fields, const QString &amp;domain, const QString &amp;fqdn, const QString &amp;path, const QString &amp;name)</arglist>
    </member>
    <member kind="slot">
      <type>QString</type>
      <name>findCookies</name>
      <anchorfile>classKCookieServer.html</anchorfile>
      <anchor>8166f3f3fdbf4533b417b2c978562a6e</anchor>
      <arglist>(const QString &amp;url, qlonglong windowId)</arglist>
    </member>
    <member kind="slot">
      <type>QStringList</type>
      <name>findDomains</name>
      <anchorfile>classKCookieServer.html</anchorfile>
      <anchor>c6342196045fa78d1cb1f6d8cbe3f994</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>QString</type>
      <name>findDOMCookies</name>
      <anchorfile>classKCookieServer.html</anchorfile>
      <anchor>a36ca7bec4c3e74eb5de9aa2401bb025</anchor>
      <arglist>(const QString &amp;url, qlonglong windowId)</arglist>
    </member>
    <member kind="slot">
      <type>QString</type>
      <name>findDOMCookies</name>
      <anchorfile>classKCookieServer.html</anchorfile>
      <anchor>dd2e8b7c917ff741da7929b448e00d85</anchor>
      <arglist>(const QString &amp;url)</arglist>
    </member>
    <member kind="slot">
      <type>QString</type>
      <name>getDomainAdvice</name>
      <anchorfile>classKCookieServer.html</anchorfile>
      <anchor>8e63665a8883e1be8cb4f6225ffc016e</anchor>
      <arglist>(const QString &amp;url)</arglist>
    </member>
    <member kind="slot">
      <type>QString</type>
      <name>listCookies</name>
      <anchorfile>classKCookieServer.html</anchorfile>
      <anchor>79a949422a7673750d185a582c623935</anchor>
      <arglist>(const QString &amp;url)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>reloadPolicy</name>
      <anchorfile>classKCookieServer.html</anchorfile>
      <anchor>3104535f53a448493b17537b840900ef</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setDomainAdvice</name>
      <anchorfile>classKCookieServer.html</anchorfile>
      <anchor>edf5502c540c7b1633ae2a5083d6df26</anchor>
      <arglist>(const QString &amp;url, const QString &amp;advice)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>shutdown</name>
      <anchorfile>classKCookieServer.html</anchorfile>
      <anchor>bf58c3f17aac5c7cf0b82bfb9eeb24ad</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addCookies</name>
      <anchorfile>classKCookieServer.html</anchorfile>
      <anchor>fdce7f851aeda82d1a2b25c63a0eca46</anchor>
      <arglist>(const QString &amp;url, const QByteArray &amp;cookieHeader, qlonglong windowId, bool useDOMFormat)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>checkCookies</name>
      <anchorfile>classKCookieServer.html</anchorfile>
      <anchor>0095c9adad5a4fc62de464d5f3cd0f36</anchor>
      <arglist>(KHttpCookieList *cookieList)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>cookiesPending</name>
      <anchorfile>classKCookieServer.html</anchorfile>
      <anchor>687500d9faa74a5e1c53dec39133b2fd</anchor>
      <arglist>(const QString &amp;url, KHttpCookieList *cookieList=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCookieServer</name>
      <anchorfile>classKCookieServer.html</anchorfile>
      <anchor>656ee057c41671277ec5b0b8041496f4</anchor>
      <arglist>(QObject *parent, const QList&lt; QVariant &gt; &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KCookieServer</name>
      <anchorfile>classKCookieServer.html</anchorfile>
      <anchor>fffd4b23ddb374f1194cd73b6a9650ee</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCookieWin</name>
    <filename>classKCookieWin.html</filename>
    <base>KDialog</base>
    <member kind="function">
      <type>KCookieAdvice</type>
      <name>advice</name>
      <anchorfile>classKCookieWin.html</anchorfile>
      <anchor>7a2d3cb761bc75dbea9622b932d35bbb</anchor>
      <arglist>(KCookieJar *cookiejar, const KHttpCookie &amp;cookie)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCookieWin</name>
      <anchorfile>classKCookieWin.html</anchorfile>
      <anchor>3e4e5acdc01e8c07897df6d9ce6b8ad4</anchor>
      <arglist>(QWidget *parent, KHttpCookieList cookieList, int defaultButton=0, bool showDetails=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KCookieWin</name>
      <anchorfile>classKCookieWin.html</anchorfile>
      <anchor>b41925275c864cbdc5bd9e45ba880842</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KHttpCookie</name>
    <filename>classKHttpCookie.html</filename>
    <member kind="function">
      <type>QString</type>
      <name>domain</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>2c200883417d4125e80416300a2c6d15</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>time_t</type>
      <name>expireDate</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>4de182886ec16b764d0d4fafce90d91f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fixDomain</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>8ab9f21a6739a27e6e42db017ec33834</anchor>
      <arglist>(const QString &amp;domain)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasExplicitPath</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>b4429a5a8fb1a14633c7d7d343eb1bbb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>host</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>1ce2839c1f3838f35ae51e4d25b02607</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isCrossDomain</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>e7dbfe240a56652f372de5cb02bf675a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isExpired</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>6433f3f702b5d82d09cb19f67e31c0af</anchor>
      <arglist>(time_t currentDate) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isHttpOnly</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>8c49967a56098c216c801807a9025fd6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isSecure</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>2aeaca4a116d1cc2bf5ece0d64fdaa13</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KHttpCookie</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>1338113e3f12d47c46108271899b5cea</anchor>
      <arglist>(const QString &amp;_host=QString(), const QString &amp;_domain=QString(), const QString &amp;_path=QString(), const QString &amp;_name=QString(), const QString &amp;_value=QString(), time_t _expireDate=0, int _protocolVersion=0, bool _secure=false, bool _httpOnly=false, bool _explicitPath=false)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>match</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>1abc7d2e4682b663d44ed31694820728</anchor>
      <arglist>(const QString &amp;fqdn, const QStringList &amp;domainList, const QString &amp;path) const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>3c8b378ba42d49e9bfd3b5cb32ef0375</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>path</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>b285df615774c9c119658bac38a8ddff</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>protocolVersion</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>864afcce5e4096943cfa80c6db2b5215</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>value</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>6377a54e608235438171df2fea7a7fc4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QList&lt; long &gt; &amp;</type>
      <name>windowIds</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>09362ddc5c3a68628b9f7c3bc2f50f06</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QList&lt; long &gt; &amp;</type>
      <name>windowIds</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>1640aa3c14165e00ce45a3d32d6519ba</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>cookieStr</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>ad822cf25006ada384254965f08e7df2</anchor>
      <arglist>(bool useDOMFormat) const </arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mCrossDomain</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>8d509837a2f02359a08f56203a626c82</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mDomain</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>8bb9e4af99cedd34e099cbcafc07e07d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>time_t</type>
      <name>mExpireDate</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>9471c1f74532a8e6fe5c3cdc9c353039</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mExplicitPath</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>9960c0d32587554d785cea19fdf9d7c8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mHost</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>c9fbf499237dd68c0e19b245ba296bec</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mHttpOnly</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>22882ed75071c1cb9db74bcd1ce78837</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mName</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>aab53ffbab2e888c87d26d27b47286ab</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mPath</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>b4f644cdcccc89dc4ef9144a2cc0a345</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>mProtocolVersion</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>2208590f6a9154825b693b940adc6653</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mSecure</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>7e636245ca8252584d1a590009bbfa1a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mValue</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>16fc7e018d8efbe7b4a36d0f162ed2bc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QList&lt; long &gt;</type>
      <name>mWindowIds</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>f7b761d264026884c026130d835a9bb2</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend QDebug</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>classKHttpCookie.html</anchorfile>
      <anchor>49dd0b292ffb14efeb9cfea6837c45e7</anchor>
      <arglist>(QDebug, const KHttpCookie &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KHttpCookieList</name>
    <filename>classKHttpCookieList.html</filename>
    <base>QList&lt; KHttpCookie &gt;</base>
    <member kind="function">
      <type>KCookieAdvice</type>
      <name>getAdvice</name>
      <anchorfile>classKHttpCookieList.html</anchorfile>
      <anchor>599f4a551aec2e5047386d9b4e508cdd</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KHttpCookieList</name>
      <anchorfile>classKHttpCookieList.html</anchorfile>
      <anchor>e7baa73ce30d98d74b6f51b87b8d27dc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAdvice</name>
      <anchorfile>classKHttpCookieList.html</anchorfile>
      <anchor>d1e6756f8debbcac634b973f87d02277</anchor>
      <arglist>(KCookieAdvice _advice)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KHttpCookieList</name>
      <anchorfile>classKHttpCookieList.html</anchorfile>
      <anchor>149fda9c0eac15f0fbc26a620bfeed18</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MetaInfoProtocol</name>
    <filename>classMetaInfoProtocol.html</filename>
    <base>KIO::SlaveBase</base>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>get</name>
      <anchorfile>classMetaInfoProtocol.html</anchorfile>
      <anchor>521c6a46922764247fdb9d33d7743c23</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MetaInfoProtocol</name>
      <anchorfile>classMetaInfoProtocol.html</anchorfile>
      <anchor>9276df859a3ac797dd41bcf34c808f56</anchor>
      <arglist>(const QByteArray &amp;pool, const QByteArray &amp;app)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>put</name>
      <anchorfile>classMetaInfoProtocol.html</anchorfile>
      <anchor>0e89b0a7c2d8d8b5784f989ce8747765</anchor>
      <arglist>(const KUrl &amp;url, int permissions, KIO::JobFlags flags)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~MetaInfoProtocol</name>
      <anchorfile>classMetaInfoProtocol.html</anchorfile>
      <anchor>3b11a422780210331d26d38335342a9c</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
</tagfile>
