<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>index</name>
    <title>Kross - a Scripting Framework for Applications</title>
    <filename>index</filename>
  </compound>
  <compound kind="file">
    <name>action.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kross/core/</path>
    <filename>action_8cpp</filename>
    <includes id="action_8h" name="action.h" local="yes" imported="no">action.h</includes>
    <includes id="core_2interpreter_8h" name="core/interpreter.h" local="yes" imported="no">interpreter.h</includes>
    <includes id="core_2script_8h" name="core/script.h" local="yes" imported="no">script.h</includes>
    <includes id="manager_8h" name="manager.h" local="yes" imported="no">manager.h</includes>
    <namespace>Kross</namespace>
  </compound>
  <compound kind="file">
    <name>action.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kross/core/</path>
    <filename>action_8h</filename>
    <includes id="errorinterface_8h" name="errorinterface.h" local="yes" imported="no">errorinterface.h</includes>
    <includes id="childreninterface_8h" name="childreninterface.h" local="yes" imported="no">childreninterface.h</includes>
    <namespace>Kross</namespace>
    <class kind="class">Kross::Action</class>
  </compound>
  <compound kind="file">
    <name>actioncollection.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kross/core/</path>
    <filename>actioncollection_8cpp</filename>
    <includes id="actioncollection_8h" name="actioncollection.h" local="yes" imported="no">actioncollection.h</includes>
    <includes id="action_8h" name="action.h" local="yes" imported="no">action.h</includes>
    <includes id="manager_8h" name="manager.h" local="yes" imported="no">manager.h</includes>
    <namespace>Kross</namespace>
  </compound>
  <compound kind="file">
    <name>actioncollection.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kross/core/</path>
    <filename>actioncollection_8h</filename>
    <includes id="krossconfig_8h" name="krossconfig.h" local="yes" imported="no">krossconfig.h</includes>
    <includes id="action_8h" name="action.h" local="yes" imported="no">action.h</includes>
    <namespace>Kross</namespace>
    <class kind="class">Kross::ActionCollection</class>
  </compound>
  <compound kind="file">
    <name>childreninterface.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kross/core/</path>
    <filename>childreninterface_8h</filename>
    <includes id="krossconfig_8h" name="krossconfig.h" local="yes" imported="no">krossconfig.h</includes>
    <namespace>Kross</namespace>
    <class kind="class">Kross::ChildrenInterface</class>
  </compound>
  <compound kind="file">
    <name>console.dox</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kross/console/</path>
    <filename>console_8dox</filename>
  </compound>
  <compound kind="file">
    <name>core.dox</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kross/core/</path>
    <filename>core_8dox</filename>
  </compound>
  <compound kind="file">
    <name>errorinterface.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kross/core/</path>
    <filename>errorinterface_8h</filename>
    <includes id="krossconfig_8h" name="krossconfig.h" local="yes" imported="no">krossconfig.h</includes>
    <namespace>Kross</namespace>
    <class kind="class">Kross::ErrorInterface</class>
  </compound>
  <compound kind="file">
    <name>form.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kross/modules/</path>
    <filename>form_8cpp</filename>
    <includes id="form_8h" name="form.h" local="yes" imported="no">form.h</includes>
    <namespace>Kross</namespace>
    <member kind="function">
      <type>KDE_EXPORT QObject *</type>
      <name>krossmodule</name>
      <anchorfile>form_8cpp.html</anchorfile>
      <anchor>769b307560096cdcfc33d74f7ff27bf0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>form.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kross/modules/</path>
    <filename>form_8h</filename>
    <namespace>Kross</namespace>
    <class kind="class">Kross::FormDialog</class>
    <class kind="class">Kross::FormFileWidget</class>
    <class kind="class">Kross::FormModule</class>
    <class kind="class">Kross::FormProgressDialog</class>
  </compound>
  <compound kind="file">
    <name>core/interpreter.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kross/core/</path>
    <filename>core_2interpreter_8cpp</filename>
    <includes id="core_2interpreter_8h" name="core/interpreter.h" local="yes" imported="no">interpreter.h</includes>
    <includes id="core_2script_8h" name="core/script.h" local="yes" imported="no">script.h</includes>
    <includes id="action_8h" name="action.h" local="yes" imported="no">action.h</includes>
    <includes id="manager_8h" name="manager.h" local="yes" imported="no">manager.h</includes>
    <namespace>Kross</namespace>
    <member kind="typedef">
      <type>void *(*</type>
      <name>def_interpreter_func</name>
      <anchorfile>core_2interpreter_8cpp.html</anchorfile>
      <anchor>0074b2ddc7559564283e15fce3875408</anchor>
      <arglist>)(int version, Kross::InterpreterInfo *)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>qts/interpreter.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kross/qts/</path>
    <filename>qts_2interpreter_8cpp</filename>
    <includes id="qts_2interpreter_8h" name="qts/interpreter.h" local="yes" imported="no">interpreter.h</includes>
    <includes id="qts_2script_8h" name="qts/script.h" local="yes" imported="no">script.h</includes>
    <namespace>Kross</namespace>
  </compound>
  <compound kind="file">
    <name>core/interpreter.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kross/core/</path>
    <filename>core_2interpreter_8h</filename>
    <includes id="errorinterface_8h" name="errorinterface.h" local="yes" imported="no">errorinterface.h</includes>
    <namespace>Kross</namespace>
    <class kind="class">Kross::Interpreter</class>
    <class kind="class">Kross::InterpreterInfo</class>
    <class kind="class">Kross::InterpreterInfo::Option</class>
  </compound>
  <compound kind="file">
    <name>qts/interpreter.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kross/qts/</path>
    <filename>qts_2interpreter_8h</filename>
    <includes id="krossconfig_8h" name="krossconfig.h" local="no" imported="no">kross/core/krossconfig.h</includes>
    <includes id="core_2interpreter_8h" name="core/interpreter.h" local="no" imported="no">kross/core/interpreter.h</includes>
    <includes id="core_2script_8h" name="core/script.h" local="no" imported="no">kross/core/script.h</includes>
    <includes id="action_8h" name="action.h" local="no" imported="no">kross/core/action.h</includes>
    <namespace>Kross</namespace>
    <class kind="class">Kross::EcmaInterpreter</class>
  </compound>
  <compound kind="file">
    <name>kjs.dox</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kross/kjs/</path>
    <filename>kjs_8dox</filename>
  </compound>
  <compound kind="file">
    <name>kjsinterpreter.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kross/kjs/</path>
    <filename>kjsinterpreter_8cpp</filename>
    <includes id="kjsinterpreter_8h" name="kjsinterpreter.h" local="yes" imported="no">kjsinterpreter.h</includes>
    <includes id="kjsscript_8h" name="kjsscript.h" local="yes" imported="no">kjsscript.h</includes>
    <namespace>Kross</namespace>
  </compound>
  <compound kind="file">
    <name>kjsinterpreter.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kross/kjs/</path>
    <filename>kjsinterpreter_8h</filename>
    <includes id="krossconfig_8h" name="krossconfig.h" local="yes" imported="no">../core/krossconfig.h</includes>
    <includes id="core_2interpreter_8h" name="core/interpreter.h" local="yes" imported="no">../core/interpreter.h</includes>
    <includes id="action_8h" name="action.h" local="yes" imported="no">../core/action.h</includes>
    <includes id="manager_8h" name="manager.h" local="yes" imported="no">../core/manager.h</includes>
    <namespace>Kross</namespace>
    <class kind="class">Kross::KjsInterpreter</class>
  </compound>
  <compound kind="file">
    <name>kjsscript.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kross/kjs/</path>
    <filename>kjsscript_8cpp</filename>
    <includes id="kjsscript_8h" name="kjsscript.h" local="yes" imported="no">kjsscript.h</includes>
    <includes id="action_8h" name="action.h" local="yes" imported="no">../core/action.h</includes>
    <includes id="manager_8h" name="manager.h" local="yes" imported="no">../core/manager.h</includes>
    <includes id="core_2interpreter_8h" name="core/interpreter.h" local="yes" imported="no">../core/interpreter.h</includes>
    <namespace>Kross</namespace>
    <member kind="function" static="yes">
      <type>static ErrorInterface</type>
      <name>extractError</name>
      <anchorfile>namespaceKross.html</anchorfile>
      <anchor>8897f2d395fd8ee43185185052d84a07</anchor>
      <arglist>(const KJS::Completion &amp;completion, KJS::ExecState *exec)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>kjsscript.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kross/kjs/</path>
    <filename>kjsscript_8h</filename>
    <includes id="krossconfig_8h" name="krossconfig.h" local="yes" imported="no">../core/krossconfig.h</includes>
    <includes id="core_2script_8h" name="core/script.h" local="yes" imported="no">../core/script.h</includes>
    <namespace>Kross</namespace>
    <class kind="class">Kross::KjsScript</class>
  </compound>
  <compound kind="file">
    <name>kross_export.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kross/core/</path>
    <filename>kross__export_8h</filename>
    <member kind="define">
      <type>#define</type>
      <name>KROSS_EXPORT_DEPRECATED</name>
      <anchorfile>kross__export_8h.html</anchorfile>
      <anchor>0fc9624bb7cf2e3d7e64a774bd816682</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KROSSCORE_EXPORT_DEPRECATED</name>
      <anchorfile>kross__export_8h.html</anchorfile>
      <anchor>176933aed20c3e19c79d5888a3222580</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>krossconfig.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kross/core/</path>
    <filename>krossconfig_8cpp</filename>
    <includes id="krossconfig_8h" name="krossconfig.h" local="yes" imported="no">krossconfig.h</includes>
    <member kind="function">
      <type>void</type>
      <name>krossdebug</name>
      <anchorfile>namespaceKross.html</anchorfile>
      <anchor>5214bf582fb9b1220e1e5a4808791725</anchor>
      <arglist>(const QString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>krosswarning</name>
      <anchorfile>namespaceKross.html</anchorfile>
      <anchor>252ea5dbfd86960fe900bc9bfad7eea8</anchor>
      <arglist>(const QString &amp;s)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>krossconfig.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kross/core/</path>
    <filename>krossconfig_8h</filename>
    <includes id="kross__export_8h" name="kross_export.h" local="no" imported="no">kross/core/kross_export.h</includes>
    <namespace>Kross</namespace>
    <member kind="define">
      <type>#define</type>
      <name>KROSS_DEBUG_ENABLED</name>
      <anchorfile>krossconfig_8h.html</anchorfile>
      <anchor>7ff2363f1fd7e06c5e19c968731fb903</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KROSS_EXPORT_INTERPRETER</name>
      <anchorfile>krossconfig_8h.html</anchorfile>
      <anchor>5e10acd63fd36641d7c854cd1fe54fa1</anchor>
      <arglist>(InterpreterImpl)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KROSS_FALCON_LIBRARY</name>
      <anchorfile>krossconfig_8h.html</anchorfile>
      <anchor>97f45ff71b615cc54c6a59a55eff1d22</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KROSS_JAVA_LIBRARY</name>
      <anchorfile>krossconfig_8h.html</anchorfile>
      <anchor>5b722ed3ad5f620821100d99b07c53e1</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KROSS_KJS_LIBRARY</name>
      <anchorfile>krossconfig_8h.html</anchorfile>
      <anchor>fcd993779a53c2bd26c8943ff47c15c1</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KROSS_PYTHON_LIBRARY</name>
      <anchorfile>krossconfig_8h.html</anchorfile>
      <anchor>d89280974732b6fea1d42fbe9abe4f4e</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KROSS_QTSCRIPT_LIBRARY</name>
      <anchorfile>krossconfig_8h.html</anchorfile>
      <anchor>3e003365b275f71089390da650d84a76</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KROSS_RUBY_LIBRARY</name>
      <anchorfile>krossconfig_8h.html</anchorfile>
      <anchor>4678ac577a3ab22a839267adf7248aa2</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KROSS_VERSION</name>
      <anchorfile>krossconfig_8h.html</anchorfile>
      <anchor>dd0ee87301631977a0d1f6e8fe88f39b</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>krossdebug</name>
      <anchorfile>namespaceKross.html</anchorfile>
      <anchor>5214bf582fb9b1220e1e5a4808791725</anchor>
      <arglist>(const QString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>krosswarning</name>
      <anchorfile>namespaceKross.html</anchorfile>
      <anchor>252ea5dbfd86960fe900bc9bfad7eea8</anchor>
      <arglist>(const QString &amp;s)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>console/main.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kross/console/</path>
    <filename>console_2main_8cpp</filename>
    <includes id="manager_8h" name="manager.h" local="yes" imported="no">../core/manager.h</includes>
    <includes id="action_8h" name="action.h" local="yes" imported="no">../core/action.h</includes>
    <includes id="core_2interpreter_8h" name="core/interpreter.h" local="yes" imported="no">../core/interpreter.h</includes>
    <member kind="define">
      <type>#define</type>
      <name>ERROR_EXCEPTION</name>
      <anchorfile>console_2main_8cpp.html</anchorfile>
      <anchor>8ed669fe5789fda73c439726492a30d7</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>ERROR_HELP</name>
      <anchorfile>console_2main_8cpp.html</anchorfile>
      <anchor>4269613e460c8bd15173995bb97b2052</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>ERROR_NOINTERPRETER</name>
      <anchorfile>console_2main_8cpp.html</anchorfile>
      <anchor>04292b02e67f9b5e236c21afbb958ba8</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>ERROR_NOSUCHFILE</name>
      <anchorfile>console_2main_8cpp.html</anchorfile>
      <anchor>ec3413e5b7323dc0f1bef7fa9e11cb6a</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>ERROR_OK</name>
      <anchorfile>console_2main_8cpp.html</anchorfile>
      <anchor>f71150c123488664ae92c6759b48af4d</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>ERROR_OPENFAILED</name>
      <anchorfile>console_2main_8cpp.html</anchorfile>
      <anchor>fb076a90e3216da97e4b5dd27d7f50e4</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>main</name>
      <anchorfile>console_2main_8cpp.html</anchorfile>
      <anchor>3c04138a5bfe5d72780bb7e82a18e627</anchor>
      <arglist>(int argc, char **argv)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>runScriptFile</name>
      <anchorfile>console_2main_8cpp.html</anchorfile>
      <anchor>729a2dab5ed6ab26a709e10d302c082b</anchor>
      <arglist>(const QString &amp;scriptfile)</arglist>
    </member>
    <member kind="variable">
      <type>KApplication *</type>
      <name>app</name>
      <anchorfile>console_2main_8cpp.html</anchorfile>
      <anchor>51910abca2811ed2902e05b263a054e0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>qts/main.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kross/qts/</path>
    <filename>qts_2main_8cpp</filename>
    <member kind="function">
      <type>int</type>
      <name>main</name>
      <anchorfile>qts_2main_8cpp.html</anchorfile>
      <anchor>3c04138a5bfe5d72780bb7e82a18e627</anchor>
      <arglist>(int argc, char **argv)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>runScriptFile</name>
      <anchorfile>qts_2main_8cpp.html</anchorfile>
      <anchor>1efdf415b6a02082d7417767cbbf65b4</anchor>
      <arglist>(QScriptEngine *engine, const QString &amp;scriptfile)</arglist>
    </member>
    <member kind="variable">
      <type>KApplication *</type>
      <name>app</name>
      <anchorfile>qts_2main_8cpp.html</anchorfile>
      <anchor>51910abca2811ed2902e05b263a054e0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>Mainpage.dox</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kross/</path>
    <filename>Mainpage_8dox</filename>
  </compound>
  <compound kind="file">
    <name>manager.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kross/core/</path>
    <filename>manager_8cpp</filename>
    <includes id="manager_8h" name="manager.h" local="yes" imported="no">manager.h</includes>
    <includes id="core_2interpreter_8h" name="core/interpreter.h" local="yes" imported="no">interpreter.h</includes>
    <includes id="action_8h" name="action.h" local="yes" imported="no">action.h</includes>
    <includes id="actioncollection_8h" name="actioncollection.h" local="yes" imported="no">actioncollection.h</includes>
    <namespace>Kross</namespace>
    <member kind="typedef">
      <type>QObject *(*</type>
      <name>def_module_func</name>
      <anchorfile>manager_8cpp.html</anchorfile>
      <anchor>0716ac912e3ad4802d8bf95a6cef4f1e</anchor>
      <arglist>)()</arglist>
    </member>
    <member kind="function">
      <type>void *</type>
      <name>loadLibrary</name>
      <anchorfile>manager_8cpp.html</anchorfile>
      <anchor>c62edfb18009d8f9ccf46fb8ed59df82</anchor>
      <arglist>(const char *libname, const char *functionname)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>manager.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kross/core/</path>
    <filename>manager_8h</filename>
    <includes id="krossconfig_8h" name="krossconfig.h" local="yes" imported="no">krossconfig.h</includes>
    <includes id="childreninterface_8h" name="childreninterface.h" local="yes" imported="no">childreninterface.h</includes>
    <namespace>Kross</namespace>
    <class kind="class">Kross::Manager</class>
  </compound>
  <compound kind="file">
    <name>metafunction.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kross/core/</path>
    <filename>metafunction_8h</filename>
    <namespace>Kross</namespace>
    <class kind="class">Kross::MetaFunction</class>
  </compound>
  <compound kind="file">
    <name>metatype.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kross/core/</path>
    <filename>metatype_8h</filename>
    <includes id="krossconfig_8h" name="krossconfig.h" local="yes" imported="no">krossconfig.h</includes>
    <namespace>Kross</namespace>
    <class kind="class">Kross::MetaType</class>
    <class kind="class">Kross::MetaTypeImpl</class>
    <class kind="class">Kross::MetaTypeVariant</class>
    <class kind="class">Kross::MetaTypeVoidStar</class>
  </compound>
  <compound kind="file">
    <name>model.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kross/ui/</path>
    <filename>model_8cpp</filename>
    <includes id="model_8h" name="model.h" local="yes" imported="no">model.h</includes>
    <includes id="action_8h" name="action.h" local="no" imported="no">kross/core/action.h</includes>
    <includes id="actioncollection_8h" name="actioncollection.h" local="no" imported="no">kross/core/actioncollection.h</includes>
    <includes id="manager_8h" name="manager.h" local="no" imported="no">kross/core/manager.h</includes>
    <namespace>Kross</namespace>
    <member kind="function">
      <type>QString</type>
      <name>fullPath</name>
      <anchorfile>model_8cpp.html</anchorfile>
      <anchor>731830663abd8d8cf566cdf15b258f3a</anchor>
      <arglist>(const QModelIndex &amp;index)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>model.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kross/ui/</path>
    <filename>model_8h</filename>
    <includes id="krossconfig_8h" name="krossconfig.h" local="no" imported="no">kross/core/krossconfig.h</includes>
    <namespace>Kross</namespace>
    <class kind="class">Kross::ActionCollectionModel</class>
    <class kind="class">Kross::ActionCollectionProxyModel</class>
  </compound>
  <compound kind="file">
    <name>modules.dox</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kross/modules/</path>
    <filename>modules_8dox</filename>
  </compound>
  <compound kind="file">
    <name>object.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kross/core/</path>
    <filename>object_8cpp</filename>
    <includes id="object_8h" name="object.h" local="yes" imported="no">object.h</includes>
  </compound>
  <compound kind="file">
    <name>object.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kross/core/</path>
    <filename>object_8h</filename>
    <includes id="krossconfig_8h" name="krossconfig.h" local="yes" imported="no">krossconfig.h</includes>
    <includes id="errorinterface_8h" name="errorinterface.h" local="yes" imported="no">errorinterface.h</includes>
    <namespace>Kross</namespace>
    <class kind="class">Kross::Object</class>
  </compound>
  <compound kind="file">
    <name>qts/plugin.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kross/qts/</path>
    <filename>qts_2plugin_8cpp</filename>
    <includes id="qts_2plugin_8h" name="qts/plugin.h" local="yes" imported="no">plugin.h</includes>
    <includes id="manager_8h" name="manager.h" local="yes" imported="no">../core/manager.h</includes>
    <namespace>Kross</namespace>
  </compound>
  <compound kind="file">
    <name>ui/plugin.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kross/ui/</path>
    <filename>ui_2plugin_8cpp</filename>
    <includes id="ui_2plugin_8h" name="ui/plugin.h" local="yes" imported="no">plugin.h</includes>
    <includes id="manager_8h" name="manager.h" local="no" imported="no">kross/core/manager.h</includes>
    <includes id="actioncollection_8h" name="actioncollection.h" local="no" imported="no">kross/core/actioncollection.h</includes>
  </compound>
  <compound kind="file">
    <name>qts/plugin.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kross/qts/</path>
    <filename>qts_2plugin_8h</filename>
    <namespace>Kross</namespace>
    <class kind="class">Kross::EcmaPlugin</class>
    <member kind="define">
      <type>#define</type>
      <name>KROSSQTSPLUGIN_EXPORT</name>
      <anchorfile>qts_2plugin_8h.html</anchorfile>
      <anchor>a6d09804f67be32458749404095dd842</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>ui/plugin.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kross/ui/</path>
    <filename>ui_2plugin_8h</filename>
    <includes id="krossconfig_8h" name="krossconfig.h" local="no" imported="no">kross/core/krossconfig.h</includes>
    <namespace>Kross</namespace>
    <class kind="class">Kross::ScriptingPlugin</class>
  </compound>
  <compound kind="file">
    <name>core/script.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kross/core/</path>
    <filename>core_2script_8cpp</filename>
    <includes id="core_2script_8h" name="core/script.h" local="yes" imported="no">script.h</includes>
    <includes id="core_2interpreter_8h" name="core/interpreter.h" local="yes" imported="no">interpreter.h</includes>
    <includes id="action_8h" name="action.h" local="yes" imported="no">action.h</includes>
    <includes id="krossconfig_8h" name="krossconfig.h" local="yes" imported="no">krossconfig.h</includes>
    <namespace>Kross</namespace>
  </compound>
  <compound kind="file">
    <name>qts/script.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kross/qts/</path>
    <filename>qts_2script_8cpp</filename>
    <includes id="qts_2script_8h" name="qts/script.h" local="yes" imported="no">script.h</includes>
    <namespace>Kross</namespace>
  </compound>
  <compound kind="file">
    <name>core/script.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kross/core/</path>
    <filename>core_2script_8h</filename>
    <includes id="errorinterface_8h" name="errorinterface.h" local="yes" imported="no">errorinterface.h</includes>
    <namespace>Kross</namespace>
    <class kind="class">Kross::Script</class>
  </compound>
  <compound kind="file">
    <name>qts/script.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kross/qts/</path>
    <filename>qts_2script_8h</filename>
    <includes id="krossconfig_8h" name="krossconfig.h" local="no" imported="no">kross/core/krossconfig.h</includes>
    <includes id="core_2interpreter_8h" name="core/interpreter.h" local="no" imported="no">kross/core/interpreter.h</includes>
    <includes id="manager_8h" name="manager.h" local="no" imported="no">kross/core/manager.h</includes>
    <includes id="core_2script_8h" name="core/script.h" local="no" imported="no">kross/core/script.h</includes>
    <includes id="action_8h" name="action.h" local="no" imported="no">kross/core/action.h</includes>
    <includes id="object_8h" name="object.h" local="no" imported="no">kross/core/object.h</includes>
    <namespace>Kross</namespace>
    <class kind="class">Kross::EcmaScript</class>
  </compound>
  <compound kind="file">
    <name>view.cpp</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kross/ui/</path>
    <filename>view_8cpp</filename>
    <includes id="view_8h" name="view.h" local="yes" imported="no">view.h</includes>
    <includes id="model_8h" name="model.h" local="yes" imported="no">model.h</includes>
    <includes id="manager_8h" name="manager.h" local="no" imported="no">kross/core/manager.h</includes>
    <includes id="action_8h" name="action.h" local="no" imported="no">kross/core/action.h</includes>
    <includes id="actioncollection_8h" name="actioncollection.h" local="no" imported="no">kross/core/actioncollection.h</includes>
    <includes id="core_2interpreter_8h" name="core/interpreter.h" local="no" imported="no">kross/core/interpreter.h</includes>
    <namespace>Kross</namespace>
  </compound>
  <compound kind="file">
    <name>view.h</name>
    <path>/usr/local/src/kde-4.1/kdelibs/kross/ui/</path>
    <filename>view_8h</filename>
    <includes id="krossconfig_8h" name="krossconfig.h" local="no" imported="no">kross/core/krossconfig.h</includes>
    <namespace>Kross</namespace>
    <class kind="class">Kross::ActionCollectionEditor</class>
    <class kind="class">Kross::ActionCollectionView</class>
  </compound>
  <compound kind="class">
    <name>KParts::Plugin</name>
    <filename>classKParts_1_1Plugin.html</filename>
  </compound>
  <compound kind="namespace">
    <name>Kross</name>
    <filename>namespaceKross.html</filename>
    <class kind="class">Kross::Action</class>
    <class kind="class">Kross::ActionCollection</class>
    <class kind="class">Kross::ActionCollectionEditor</class>
    <class kind="class">Kross::ActionCollectionModel</class>
    <class kind="class">Kross::ActionCollectionProxyModel</class>
    <class kind="class">Kross::ActionCollectionView</class>
    <class kind="class">Kross::ChildrenInterface</class>
    <class kind="class">Kross::EcmaInterpreter</class>
    <class kind="class">Kross::EcmaPlugin</class>
    <class kind="class">Kross::EcmaScript</class>
    <class kind="class">Kross::ErrorInterface</class>
    <class kind="class">Kross::FormDialog</class>
    <class kind="class">Kross::FormFileWidget</class>
    <class kind="class">Kross::FormModule</class>
    <class kind="class">Kross::FormProgressDialog</class>
    <class kind="class">Kross::Interpreter</class>
    <class kind="class">Kross::InterpreterInfo</class>
    <class kind="class">Kross::KjsInterpreter</class>
    <class kind="class">Kross::KjsScript</class>
    <class kind="class">Kross::Manager</class>
    <class kind="class">Kross::MetaFunction</class>
    <class kind="class">Kross::MetaType</class>
    <class kind="class">Kross::MetaTypeImpl</class>
    <class kind="class">Kross::MetaTypeVariant</class>
    <class kind="class">Kross::MetaTypeVoidStar</class>
    <class kind="class">Kross::Object</class>
    <class kind="class">Kross::Script</class>
    <class kind="class">Kross::ScriptingPlugin</class>
    <member kind="function" static="yes">
      <type>static ErrorInterface</type>
      <name>extractError</name>
      <anchorfile>namespaceKross.html</anchorfile>
      <anchor>8897f2d395fd8ee43185185052d84a07</anchor>
      <arglist>(const KJS::Completion &amp;completion, KJS::ExecState *exec)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>krossdebug</name>
      <anchorfile>namespaceKross.html</anchorfile>
      <anchor>5214bf582fb9b1220e1e5a4808791725</anchor>
      <arglist>(const QString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>krosswarning</name>
      <anchorfile>namespaceKross.html</anchorfile>
      <anchor>252ea5dbfd86960fe900bc9bfad7eea8</anchor>
      <arglist>(const QString &amp;s)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kross::Action</name>
    <filename>classKross_1_1Action.html</filename>
    <base>QAction</base>
    <base>QScriptable</base>
    <base>Kross::ChildrenInterface</base>
    <base>Kross::ErrorInterface</base>
    <member kind="slot">
      <type>void</type>
      <name>addQObject</name>
      <anchorfile>classKross_1_1Action.html</anchorfile>
      <anchor>609ee84f907acb454b839389f6e0c197</anchor>
      <arglist>(QObject *obj, const QString &amp;name=QString())</arglist>
    </member>
    <member kind="slot">
      <type>QVariant</type>
      <name>callFunction</name>
      <anchorfile>classKross_1_1Action.html</anchorfile>
      <anchor>46a853459cfea89fb43245a5db59b93e</anchor>
      <arglist>(const QString &amp;name, const QVariantList &amp;args=QVariantList())</arglist>
    </member>
    <member kind="slot">
      <type>QByteArray</type>
      <name>code</name>
      <anchorfile>classKross_1_1Action.html</anchorfile>
      <anchor>357f7edf3219a35fd6131afaa0552e0b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot">
      <type>QString</type>
      <name>currentPath</name>
      <anchorfile>classKross_1_1Action.html</anchorfile>
      <anchor>af312291af7849580523746842e1524a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot">
      <type>QString</type>
      <name>description</name>
      <anchorfile>classKross_1_1Action.html</anchorfile>
      <anchor>ee9a6c79df86e6a19ad081984044da0b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot">
      <type>QString</type>
      <name>file</name>
      <anchorfile>classKross_1_1Action.html</anchorfile>
      <anchor>c8f0f7c99b1d4184f0ee28a41a7fb4de</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot">
      <type>QStringList</type>
      <name>functionNames</name>
      <anchorfile>classKross_1_1Action.html</anchorfile>
      <anchor>c950d263e17c8b81a6ddd04a561d5640</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>QString</type>
      <name>iconName</name>
      <anchorfile>classKross_1_1Action.html</anchorfile>
      <anchor>a9fffbd02612829700602cf7e41d313d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot">
      <type>QString</type>
      <name>interpreter</name>
      <anchorfile>classKross_1_1Action.html</anchorfile>
      <anchor>2cad29b376e05261209f02467e40a892</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>isEnabled</name>
      <anchorfile>classKross_1_1Action.html</anchorfile>
      <anchor>7420156c59669c624a9bcf8b48e826a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classKross_1_1Action.html</anchorfile>
      <anchor>93e449c5b7915f96cd811f0708f5c0ed</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot">
      <type>QVariant</type>
      <name>option</name>
      <anchorfile>classKross_1_1Action.html</anchorfile>
      <anchor>d398681cef7ab7dac5863020cafc7cd3</anchor>
      <arglist>(const QString &amp;name, const QVariant &amp;defaultvalue=QVariant())</arglist>
    </member>
    <member kind="slot">
      <type>QVariantMap</type>
      <name>options</name>
      <anchorfile>classKross_1_1Action.html</anchorfile>
      <anchor>4186f32cd030dff48dd9f7c13213a56a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot">
      <type>QObject *</type>
      <name>qobject</name>
      <anchorfile>classKross_1_1Action.html</anchorfile>
      <anchor>a084e2d5f7e2a94685488ec84238ef56</anchor>
      <arglist>(const QString &amp;name) const </arglist>
    </member>
    <member kind="slot">
      <type>QStringList</type>
      <name>qobjectNames</name>
      <anchorfile>classKross_1_1Action.html</anchorfile>
      <anchor>4c34a8ca7cb400fb782c299f25f68b42</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setCode</name>
      <anchorfile>classKross_1_1Action.html</anchorfile>
      <anchor>50df38ef0810cd257f32b3456e3c6c64</anchor>
      <arglist>(const QByteArray &amp;code)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setDescription</name>
      <anchorfile>classKross_1_1Action.html</anchorfile>
      <anchor>273f21fe54db92385c1337a7e37c4d6b</anchor>
      <arglist>(const QString &amp;description)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setEnabled</name>
      <anchorfile>classKross_1_1Action.html</anchorfile>
      <anchor>6ebaecd2b4ffb58c38ef92ca71b52aff</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>setFile</name>
      <anchorfile>classKross_1_1Action.html</anchorfile>
      <anchor>b5d7a90f07af8e73fd8d907a6102115b</anchor>
      <arglist>(const QString &amp;scriptfile)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setIconName</name>
      <anchorfile>classKross_1_1Action.html</anchorfile>
      <anchor>f13062acff7b0f1d55acb366af6ac87a</anchor>
      <arglist>(const QString &amp;iconname)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setInterpreter</name>
      <anchorfile>classKross_1_1Action.html</anchorfile>
      <anchor>4cce3dadfb6dacfd765f8a2733d546e3</anchor>
      <arglist>(const QString &amp;interpretername)</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>setOption</name>
      <anchorfile>classKross_1_1Action.html</anchorfile>
      <anchor>232acd26af225727eeb87ff743147846</anchor>
      <arglist>(const QString &amp;name, const QVariant &amp;value)</arglist>
    </member>
    <member kind="slot">
      <type>int</type>
      <name>version</name>
      <anchorfile>classKross_1_1Action.html</anchorfile>
      <anchor>ed3711b76d4bf077c72989b7ae97644d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>finalized</name>
      <anchorfile>classKross_1_1Action.html</anchorfile>
      <anchor>a258092cb5504036a632cf924f95e545</anchor>
      <arglist>(Kross::Action *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>finished</name>
      <anchorfile>classKross_1_1Action.html</anchorfile>
      <anchor>562d205fcc6d3cb43d4a58e7049c3ecb</anchor>
      <arglist>(Kross::Action *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>started</name>
      <anchorfile>classKross_1_1Action.html</anchorfile>
      <anchor>3fc86a74025fffbb79c806e3e93f7944</anchor>
      <arglist>(Kross::Action *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>updated</name>
      <anchorfile>classKross_1_1Action.html</anchorfile>
      <anchor>fbf34aba4091a03c6327d6e8b9036303</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Action</name>
      <anchorfile>classKross_1_1Action.html</anchorfile>
      <anchor>82a4d14728cbc3e7a24e9f406ad734c1</anchor>
      <arglist>(QObject *parent, const QUrl &amp;url)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Action</name>
      <anchorfile>classKross_1_1Action.html</anchorfile>
      <anchor>8208b4eea9a6e6a38b0183752434ff38</anchor>
      <arglist>(QObject *parent, const QString &amp;name, const QDir &amp;packagepath=QDir())</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>finalize</name>
      <anchorfile>classKross_1_1Action.html</anchorfile>
      <anchor>f6dc7fb2e6071f239416c8245625134c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fromDomElement</name>
      <anchorfile>classKross_1_1Action.html</anchorfile>
      <anchor>388fe79db617b295adfa3f15b4e2a486</anchor>
      <arglist>(const QDomElement &amp;element)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>initialize</name>
      <anchorfile>classKross_1_1Action.html</anchorfile>
      <anchor>6a41132fe52b5d7ff9f80d0eee9a03a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isFinalized</name>
      <anchorfile>classKross_1_1Action.html</anchorfile>
      <anchor>a09831c4e89c541164c970aa390b3c27</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Script *</type>
      <name>script</name>
      <anchorfile>classKross_1_1Action.html</anchorfile>
      <anchor>3fe7ea8c96d5e689217ca942d71a5296</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QDomElement</type>
      <name>toDomElement</name>
      <anchorfile>classKross_1_1Action.html</anchorfile>
      <anchor>31423843eef04f834f5afd3d3712bb44</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Action</name>
      <anchorfile>classKross_1_1Action.html</anchorfile>
      <anchor>cdb06775d157339256a8ecd55749226c</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kross::ActionCollection</name>
    <filename>classKross_1_1ActionCollection.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>updated</name>
      <anchorfile>classKross_1_1ActionCollection.html</anchorfile>
      <anchor>fe3aed3212b3fe54887400abb5d18ce2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Action *</type>
      <name>action</name>
      <anchorfile>classKross_1_1ActionCollection.html</anchorfile>
      <anchor>eb237c66f659c2c72db7b9e1cd74874d</anchor>
      <arglist>(const QString &amp;name) const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ActionCollection</name>
      <anchorfile>classKross_1_1ActionCollection.html</anchorfile>
      <anchor>f163c93cb298a7e13f96a314337ae964</anchor>
      <arglist>(const QString &amp;name, ActionCollection *parent=0)</arglist>
    </member>
    <member kind="function">
      <type>QList&lt; Action * &gt;</type>
      <name>actions</name>
      <anchorfile>classKross_1_1ActionCollection.html</anchorfile>
      <anchor>4372e2593727d8d7a88d06275fc13961</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addAction</name>
      <anchorfile>classKross_1_1ActionCollection.html</anchorfile>
      <anchor>ec07c0e56971e297fec89fdb6ac66731</anchor>
      <arglist>(const QString &amp;name, Action *action)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addAction</name>
      <anchorfile>classKross_1_1ActionCollection.html</anchorfile>
      <anchor>4431b21661e18ae2637bfb5f75f5847d</anchor>
      <arglist>(Action *action)</arglist>
    </member>
    <member kind="function">
      <type>ActionCollection *</type>
      <name>collection</name>
      <anchorfile>classKross_1_1ActionCollection.html</anchorfile>
      <anchor>9225b4b5b97fc56ba9d57e4c9f673c90</anchor>
      <arglist>(const QString &amp;name) const </arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>collections</name>
      <anchorfile>classKross_1_1ActionCollection.html</anchorfile>
      <anchor>d5476ecdf4de2500bb1cc006df016e20</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>description</name>
      <anchorfile>classKross_1_1ActionCollection.html</anchorfile>
      <anchor>257d114aace9d5916eab7d01a0683147</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasCollection</name>
      <anchorfile>classKross_1_1ActionCollection.html</anchorfile>
      <anchor>63b8a359473a4bca66fa588a05c958f7</anchor>
      <arglist>(const QString &amp;name) const </arglist>
    </member>
    <member kind="function">
      <type>QIcon</type>
      <name>icon</name>
      <anchorfile>classKross_1_1ActionCollection.html</anchorfile>
      <anchor>b57436f102cca77bdbdbad94d1d94130</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>iconName</name>
      <anchorfile>classKross_1_1ActionCollection.html</anchorfile>
      <anchor>302a2aa9f62d481eb251d88938511ad9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEnabled</name>
      <anchorfile>classKross_1_1ActionCollection.html</anchorfile>
      <anchor>f02ef4ac286f8e7bc2947e755169e295</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classKross_1_1ActionCollection.html</anchorfile>
      <anchor>67afd4c317997e21c8d69fae06a492c2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>ActionCollection *</type>
      <name>parentCollection</name>
      <anchorfile>classKross_1_1ActionCollection.html</anchorfile>
      <anchor>28d0770ea38554de826743401c8acfb8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>readXml</name>
      <anchorfile>classKross_1_1ActionCollection.html</anchorfile>
      <anchor>79e95f5363302b0706db50c72e9c9d66</anchor>
      <arglist>(QIODevice *device, const QDir &amp;directory=QDir())</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>readXml</name>
      <anchorfile>classKross_1_1ActionCollection.html</anchorfile>
      <anchor>d944800a2286d40ffec4a67dcbc33015</anchor>
      <arglist>(const QDomElement &amp;element, const QDir &amp;directory=QDir())</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>readXmlFile</name>
      <anchorfile>classKross_1_1ActionCollection.html</anchorfile>
      <anchor>459b036038fd56673fade2f68b241ff6</anchor>
      <arglist>(const QString &amp;file)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeAction</name>
      <anchorfile>classKross_1_1ActionCollection.html</anchorfile>
      <anchor>1a6e7b23b3a9049b778c4bc2b0814377</anchor>
      <arglist>(Action *action)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeAction</name>
      <anchorfile>classKross_1_1ActionCollection.html</anchorfile>
      <anchor>d18f93972da3da5b684385ee55a00b87</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDescription</name>
      <anchorfile>classKross_1_1ActionCollection.html</anchorfile>
      <anchor>d8d2d92e8484cdd34dee0880e1ab4a30</anchor>
      <arglist>(const QString &amp;description)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEnabled</name>
      <anchorfile>classKross_1_1ActionCollection.html</anchorfile>
      <anchor>e011535227332733f6b2125fef335602</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIconName</name>
      <anchorfile>classKross_1_1ActionCollection.html</anchorfile>
      <anchor>f9fb36e4e2908cc4cf582844cb9f1d94</anchor>
      <arglist>(const QString &amp;iconname)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setText</name>
      <anchorfile>classKross_1_1ActionCollection.html</anchorfile>
      <anchor>488b0f004265f62cb46d6786e4ea34ad</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>text</name>
      <anchorfile>classKross_1_1ActionCollection.html</anchorfile>
      <anchor>1811d45f7fb65dca0a36704901e21b0c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>writeXml</name>
      <anchorfile>classKross_1_1ActionCollection.html</anchorfile>
      <anchor>005a6bbe32004794bf0f5c37a739cda0</anchor>
      <arglist>(QIODevice *device, int indent=2)</arglist>
    </member>
    <member kind="function">
      <type>QDomElement</type>
      <name>writeXml</name>
      <anchorfile>classKross_1_1ActionCollection.html</anchorfile>
      <anchor>bfacaf36c77af7bd13cb88ee65a1726e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ActionCollection</name>
      <anchorfile>classKross_1_1ActionCollection.html</anchorfile>
      <anchor>0bb5473730d6e2d4bf5103da31665bf0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>registerCollection</name>
      <anchorfile>classKross_1_1ActionCollection.html</anchorfile>
      <anchor>f6e3ff867ce0b5a84a95a55853b3eb76</anchor>
      <arglist>(ActionCollection *collection)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>unregisterCollection</name>
      <anchorfile>classKross_1_1ActionCollection.html</anchorfile>
      <anchor>f51f96bda0c38aafde19ae33a368b1f3</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kross::ActionCollectionEditor</name>
    <filename>classKross_1_1ActionCollectionEditor.html</filename>
    <base>QWidget</base>
    <member kind="function">
      <type>Action *</type>
      <name>action</name>
      <anchorfile>classKross_1_1ActionCollectionEditor.html</anchorfile>
      <anchor>2852e4267b6f983c1001b7fe9879fac5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ActionCollectionEditor</name>
      <anchorfile>classKross_1_1ActionCollectionEditor.html</anchorfile>
      <anchor>9b15c949bb694f5686b2defb3ee20d9f</anchor>
      <arglist>(ActionCollection *collection, QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ActionCollectionEditor</name>
      <anchorfile>classKross_1_1ActionCollectionEditor.html</anchorfile>
      <anchor>05ebd7477f4b15ae9694c06a5608e1cb</anchor>
      <arglist>(Action *action, QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type>ActionCollection *</type>
      <name>collection</name>
      <anchorfile>classKross_1_1ActionCollectionEditor.html</anchorfile>
      <anchor>54f88905349b5e37e285ce478de8cef8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QLineEdit *</type>
      <name>commentEdit</name>
      <anchorfile>classKross_1_1ActionCollectionEditor.html</anchorfile>
      <anchor>6ec5eea4a0c64bfb881290bb3af69b98</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>commit</name>
      <anchorfile>classKross_1_1ActionCollectionEditor.html</anchorfile>
      <anchor>49340fa6435da24f680e3f4e905fa938</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KUrlRequester *</type>
      <name>fileEdit</name>
      <anchorfile>classKross_1_1ActionCollectionEditor.html</anchorfile>
      <anchor>3546bfa959707c604c523e9b6f61af92</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QLineEdit *</type>
      <name>iconEdit</name>
      <anchorfile>classKross_1_1ActionCollectionEditor.html</anchorfile>
      <anchor>5f6a4ee00996b73766588423d3cc4b05</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QComboBox *</type>
      <name>interpreterEdit</name>
      <anchorfile>classKross_1_1ActionCollectionEditor.html</anchorfile>
      <anchor>20196549f680bb77c82d9b526e7abba7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isValid</name>
      <anchorfile>classKross_1_1ActionCollectionEditor.html</anchorfile>
      <anchor>20490633efbfb47e0d503d7460cd2214</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QLineEdit *</type>
      <name>nameEdit</name>
      <anchorfile>classKross_1_1ActionCollectionEditor.html</anchorfile>
      <anchor>d5330c787e48cc7f5841a6b421deddbc</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QLineEdit *</type>
      <name>textEdit</name>
      <anchorfile>classKross_1_1ActionCollectionEditor.html</anchorfile>
      <anchor>1f5a88916438880b7ceec4ca2ad57414</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ActionCollectionEditor</name>
      <anchorfile>classKross_1_1ActionCollectionEditor.html</anchorfile>
      <anchor>6cac8249672177a9f8a0f13583e3154b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>initGui</name>
      <anchorfile>classKross_1_1ActionCollectionEditor.html</anchorfile>
      <anchor>da71880d8689d6a359c926b9e0ff87dd</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kross::ActionCollectionModel</name>
    <filename>classKross_1_1ActionCollectionModel.html</filename>
    <base>QAbstractItemModel</base>
    <member kind="enumeration">
      <name>Mode</name>
      <anchorfile>classKross_1_1ActionCollectionModel.html</anchorfile>
      <anchor>56f8b7e3b0f02bae0be2b6d56998d6ee</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>None</name>
      <anchorfile>classKross_1_1ActionCollectionModel.html</anchorfile>
      <anchor>56f8b7e3b0f02bae0be2b6d56998d6ee09620c82b2d5ab3934e129d4bbe24e57</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Icons</name>
      <anchorfile>classKross_1_1ActionCollectionModel.html</anchorfile>
      <anchor>56f8b7e3b0f02bae0be2b6d56998d6eed5660d79f1b427a39d546b490baa6230</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ToolTips</name>
      <anchorfile>classKross_1_1ActionCollectionModel.html</anchorfile>
      <anchor>56f8b7e3b0f02bae0be2b6d56998d6eebb0b41fe078fef5aeb47377a4c76a2e5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>UserCheckable</name>
      <anchorfile>classKross_1_1ActionCollectionModel.html</anchorfile>
      <anchor>56f8b7e3b0f02bae0be2b6d56998d6ee733d363cdd3d75d73489a0bb5ff62d5a</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ActionCollectionModel</name>
      <anchorfile>classKross_1_1ActionCollectionModel.html</anchorfile>
      <anchor>2136fc0d191943268de0d7af1b7f4ce4</anchor>
      <arglist>(QObject *parent, ActionCollection *collection=0, Mode mode=Mode(Icons|ToolTips))</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>columnCount</name>
      <anchorfile>classKross_1_1ActionCollectionModel.html</anchorfile>
      <anchor>14a9980ee00511e71f6df63b520cd1f5</anchor>
      <arglist>(const QModelIndex &amp;parent=QModelIndex()) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QVariant</type>
      <name>data</name>
      <anchorfile>classKross_1_1ActionCollectionModel.html</anchorfile>
      <anchor>94f76b8adcaee6a1cc5bf52c4be15ed5</anchor>
      <arglist>(const QModelIndex &amp;index, int role=Qt::DisplayRole) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>dropMimeData</name>
      <anchorfile>classKross_1_1ActionCollectionModel.html</anchorfile>
      <anchor>10187320eb572e271b61cba8eee0dc13</anchor>
      <arglist>(const QMimeData *data, Qt::DropAction action, int row, int column, const QModelIndex &amp;parent)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Qt::ItemFlags</type>
      <name>flags</name>
      <anchorfile>classKross_1_1ActionCollectionModel.html</anchorfile>
      <anchor>60cb5896c1e71b9dadb26e0c6b0a938f</anchor>
      <arglist>(const QModelIndex &amp;index) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QModelIndex</type>
      <name>index</name>
      <anchorfile>classKross_1_1ActionCollectionModel.html</anchorfile>
      <anchor>8c4748d36474649067dc38255b19fc55</anchor>
      <arglist>(int row, int column, const QModelIndex &amp;parent=QModelIndex()) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>insertColumns</name>
      <anchorfile>classKross_1_1ActionCollectionModel.html</anchorfile>
      <anchor>248a0f075e3a33cea0aae8886c6fa39a</anchor>
      <arglist>(int column, int count, const QModelIndex &amp;parent=QModelIndex())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>insertRows</name>
      <anchorfile>classKross_1_1ActionCollectionModel.html</anchorfile>
      <anchor>3ab8006e27cfbfef709650731118a718</anchor>
      <arglist>(int row, int count, const QModelIndex &amp;parent=QModelIndex())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QMimeData *</type>
      <name>mimeData</name>
      <anchorfile>classKross_1_1ActionCollectionModel.html</anchorfile>
      <anchor>16736a777aed92f0006b460a9feca139</anchor>
      <arglist>(const QModelIndexList &amp;indexes) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>mimeTypes</name>
      <anchorfile>classKross_1_1ActionCollectionModel.html</anchorfile>
      <anchor>d38e2314af7597389d830a2fd4482f8b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QModelIndex</type>
      <name>parent</name>
      <anchorfile>classKross_1_1ActionCollectionModel.html</anchorfile>
      <anchor>04646ccceca3ffd2572ef912e9a833d7</anchor>
      <arglist>(const QModelIndex &amp;index) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>removeColumns</name>
      <anchorfile>classKross_1_1ActionCollectionModel.html</anchorfile>
      <anchor>70552ecba44803a5e0d8a6b2e81403c9</anchor>
      <arglist>(int column, int count, const QModelIndex &amp;parent=QModelIndex())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>removeRows</name>
      <anchorfile>classKross_1_1ActionCollectionModel.html</anchorfile>
      <anchor>4bc32fc399141cf6d92b391b1bf20842</anchor>
      <arglist>(int row, int count, const QModelIndex &amp;parent=QModelIndex())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>rowCount</name>
      <anchorfile>classKross_1_1ActionCollectionModel.html</anchorfile>
      <anchor>00427cced1476b90d5608a4fcbc68e64</anchor>
      <arglist>(const QModelIndex &amp;parent=QModelIndex()) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>setData</name>
      <anchorfile>classKross_1_1ActionCollectionModel.html</anchorfile>
      <anchor>b9a10a2ee5aeb57e70e7ca5d388e2d82</anchor>
      <arglist>(const QModelIndex &amp;index, const QVariant &amp;value, int role=Qt::EditRole)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Qt::DropActions</type>
      <name>supportedDropActions</name>
      <anchorfile>classKross_1_1ActionCollectionModel.html</anchorfile>
      <anchor>01ed0745edba004aeb1cfed7ee0513e9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ActionCollectionModel</name>
      <anchorfile>classKross_1_1ActionCollectionModel.html</anchorfile>
      <anchor>bddff13b239ccb56b69dc905961ed1b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Action *</type>
      <name>action</name>
      <anchorfile>classKross_1_1ActionCollectionModel.html</anchorfile>
      <anchor>f2c93d64a0eb07b0c4c7a0971bc789f8</anchor>
      <arglist>(const QModelIndex &amp;index)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static ActionCollection *</type>
      <name>collection</name>
      <anchorfile>classKross_1_1ActionCollectionModel.html</anchorfile>
      <anchor>abd0ff12d1e32292a33f2fc16c9c59f3</anchor>
      <arglist>(const QModelIndex &amp;index)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kross::ActionCollectionProxyModel</name>
    <filename>classKross_1_1ActionCollectionProxyModel.html</filename>
    <base>QSortFilterProxyModel</base>
    <member kind="function">
      <type></type>
      <name>ActionCollectionProxyModel</name>
      <anchorfile>classKross_1_1ActionCollectionProxyModel.html</anchorfile>
      <anchor>7932b07c25c28236fd89d341e5e2be9f</anchor>
      <arglist>(QObject *parent, ActionCollectionModel *model=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ActionCollectionProxyModel</name>
      <anchorfile>classKross_1_1ActionCollectionProxyModel.html</anchorfile>
      <anchor>21fe949367d964ae62b4b9059c9aef0f</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kross::ActionCollectionView</name>
    <filename>classKross_1_1ActionCollectionView.html</filename>
    <base>QTreeView</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>slotAdd</name>
      <anchorfile>classKross_1_1ActionCollectionView.html</anchorfile>
      <anchor>774f7c4a058e113de6d897dd165c0ce8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>slotEdit</name>
      <anchorfile>classKross_1_1ActionCollectionView.html</anchorfile>
      <anchor>e55f805f4ef3201b34687169a9366c53</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>slotRemove</name>
      <anchorfile>classKross_1_1ActionCollectionView.html</anchorfile>
      <anchor>f4cdc65bd3d363e23ba794629afd14cc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>slotRun</name>
      <anchorfile>classKross_1_1ActionCollectionView.html</anchorfile>
      <anchor>87f18cac262604a223077731093c0bc4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>slotStop</name>
      <anchorfile>classKross_1_1ActionCollectionView.html</anchorfile>
      <anchor>d597bc4339b4261a89fe1d2c54c2ef37</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>enabledChanged</name>
      <anchorfile>classKross_1_1ActionCollectionView.html</anchorfile>
      <anchor>ad9e318f2d7bd6c867205b58ca20d687</anchor>
      <arglist>(const QString &amp;actionname)</arglist>
    </member>
    <member kind="function">
      <type>KActionCollection *</type>
      <name>actionCollection</name>
      <anchorfile>classKross_1_1ActionCollectionView.html</anchorfile>
      <anchor>579dce30a61f4d32f1af94c85b969b27</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ActionCollectionView</name>
      <anchorfile>classKross_1_1ActionCollectionView.html</anchorfile>
      <anchor>ae4e89940272ddfa2f42fe8556b2a084</anchor>
      <arglist>(QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type>KPushButton *</type>
      <name>button</name>
      <anchorfile>classKross_1_1ActionCollectionView.html</anchorfile>
      <anchor>88619fc1d4ab2980310881e857673163</anchor>
      <arglist>(const QString &amp;actionname) const </arglist>
    </member>
    <member kind="function">
      <type>KPushButton *</type>
      <name>createButton</name>
      <anchorfile>classKross_1_1ActionCollectionView.html</anchorfile>
      <anchor>6e0c8e9793aa3c6a8d270b50d8dc7934</anchor>
      <arglist>(QWidget *parentWidget, const QString &amp;actionname)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isModified</name>
      <anchorfile>classKross_1_1ActionCollectionView.html</anchorfile>
      <anchor>0f3cbe9e6760e693ad84c2fd984519b7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setModel</name>
      <anchorfile>classKross_1_1ActionCollectionView.html</anchorfile>
      <anchor>31512fb1e42f6e747b1050b6e139c320</anchor>
      <arglist>(QAbstractItemModel *model)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setModified</name>
      <anchorfile>classKross_1_1ActionCollectionView.html</anchorfile>
      <anchor>b7220b7fc9bdcd8357da646f0114831b</anchor>
      <arglist>(bool modified)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ActionCollectionView</name>
      <anchorfile>classKross_1_1ActionCollectionView.html</anchorfile>
      <anchor>8303805ba31f781f1a91f6aa9883885c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotDataChanged</name>
      <anchorfile>classKross_1_1ActionCollectionView.html</anchorfile>
      <anchor>beb01ad2aee6bbac723db5f8cfc69941</anchor>
      <arglist>(const QModelIndex &amp;topLeft, const QModelIndex &amp;bottomRight)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotEnabledChanged</name>
      <anchorfile>classKross_1_1ActionCollectionView.html</anchorfile>
      <anchor>10ee8373a02347ef6189083803d00365</anchor>
      <arglist>(const QString &amp;actionname)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotSelectionChanged</name>
      <anchorfile>classKross_1_1ActionCollectionView.html</anchorfile>
      <anchor>794944f1cf3ecf63e1bccf2f0bed0edc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QItemSelection</type>
      <name>itemSelection</name>
      <anchorfile>classKross_1_1ActionCollectionView.html</anchorfile>
      <anchor>773f56a0834b5c59c0176c4d8e25cc3f</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kross::ChildrenInterface</name>
    <filename>classKross_1_1ChildrenInterface.html</filename>
    <member kind="enumeration">
      <name>Options</name>
      <anchorfile>classKross_1_1ChildrenInterface.html</anchorfile>
      <anchor>f23c34aa1a089f8db550b20f2b6ab08c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>NoOption</name>
      <anchorfile>classKross_1_1ChildrenInterface.html</anchorfile>
      <anchor>f23c34aa1a089f8db550b20f2b6ab08c89327f68e1d0c7fcd4e61301300b7c88</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>AutoConnectSignals</name>
      <anchorfile>classKross_1_1ChildrenInterface.html</anchorfile>
      <anchor>f23c34aa1a089f8db550b20f2b6ab08c3f0864e6834a852b1e5f584731f11ebc</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>LastOption</name>
      <anchorfile>classKross_1_1ChildrenInterface.html</anchorfile>
      <anchor>f23c34aa1a089f8db550b20f2b6ab08c566232ef78eface8ca154aef0fdfeb18</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addObject</name>
      <anchorfile>classKross_1_1ChildrenInterface.html</anchorfile>
      <anchor>45b1b805c1ed4ed725d892805fa2fa50</anchor>
      <arglist>(QObject *object, const QString &amp;name=QString(), Options options=NoOption)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasObject</name>
      <anchorfile>classKross_1_1ChildrenInterface.html</anchorfile>
      <anchor>59ad65547d3337b469ca498a6806afea</anchor>
      <arglist>(const QString &amp;name) const </arglist>
    </member>
    <member kind="function">
      <type>QObject *</type>
      <name>object</name>
      <anchorfile>classKross_1_1ChildrenInterface.html</anchorfile>
      <anchor>bbfdd0a30551adf8d4adcc8c814ea0f4</anchor>
      <arglist>(const QString &amp;name) const </arglist>
    </member>
    <member kind="function">
      <type>Options</type>
      <name>objectOption</name>
      <anchorfile>classKross_1_1ChildrenInterface.html</anchorfile>
      <anchor>4897528973f7ecfb8d4abb4d776ee9b4</anchor>
      <arglist>(const QString &amp;name) const </arglist>
    </member>
    <member kind="function">
      <type>QHash&lt; QString, Options &gt;</type>
      <name>objectOptions</name>
      <anchorfile>classKross_1_1ChildrenInterface.html</anchorfile>
      <anchor>47948e9859780a853a3343d59c4a56a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QHash&lt; QString, QObject * &gt;</type>
      <name>objects</name>
      <anchorfile>classKross_1_1ChildrenInterface.html</anchorfile>
      <anchor>7e0a3abab913d163ccb45ea60030e20c</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kross::EcmaInterpreter</name>
    <filename>classKross_1_1EcmaInterpreter.html</filename>
    <base>Kross::Interpreter</base>
    <member kind="function" virtualness="virtual">
      <type>virtual Kross::Script *</type>
      <name>createScript</name>
      <anchorfile>classKross_1_1EcmaInterpreter.html</anchorfile>
      <anchor>1cf00c129a2e751477c03c4ed101045d</anchor>
      <arglist>(Kross::Action *action)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>EcmaInterpreter</name>
      <anchorfile>classKross_1_1EcmaInterpreter.html</anchorfile>
      <anchor>05915763c53ac06f728082e320ac3b37</anchor>
      <arglist>(Kross::InterpreterInfo *info)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~EcmaInterpreter</name>
      <anchorfile>classKross_1_1EcmaInterpreter.html</anchorfile>
      <anchor>5d334fc6ff24e10508fbee7b993e66ad</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kross::EcmaPlugin</name>
    <filename>classKross_1_1EcmaPlugin.html</filename>
    <base>QScriptExtensionPlugin</base>
    <member kind="function">
      <type></type>
      <name>EcmaPlugin</name>
      <anchorfile>classKross_1_1EcmaPlugin.html</anchorfile>
      <anchor>8dc70e8ba9c7fcb8995443a981299f65</anchor>
      <arglist>(QObject *parent=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>initialize</name>
      <anchorfile>classKross_1_1EcmaPlugin.html</anchorfile>
      <anchor>cb8ff42c6b776f54aeba9ab34643bd7e</anchor>
      <arglist>(const QString &amp;key, QScriptEngine *engine)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>keys</name>
      <anchorfile>classKross_1_1EcmaPlugin.html</anchorfile>
      <anchor>dbf153e76cfe4dbd42fad5f91cab4144</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~EcmaPlugin</name>
      <anchorfile>classKross_1_1EcmaPlugin.html</anchorfile>
      <anchor>070714b41a09f934b36bad62bad06a1d</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kross::EcmaScript</name>
    <filename>classKross_1_1EcmaScript.html</filename>
    <base>Kross::Script</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual QVariant</type>
      <name>callFunction</name>
      <anchorfile>classKross_1_1EcmaScript.html</anchorfile>
      <anchor>315c81e844f5ceb6b89fc074c7c23c63</anchor>
      <arglist>(const QString &amp;name, const QVariantList &amp;args=QVariantList())</arglist>
    </member>
    <member kind="slot">
      <type>QObject *</type>
      <name>engine</name>
      <anchorfile>classKross_1_1EcmaScript.html</anchorfile>
      <anchor>adb98c992859864443a629a8d73e06cd</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>execute</name>
      <anchorfile>classKross_1_1EcmaScript.html</anchorfile>
      <anchor>66df05d80fe142229a5fbcc5b2682907</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>functionNames</name>
      <anchorfile>classKross_1_1EcmaScript.html</anchorfile>
      <anchor>d3394d4c467dad3cff5d148900cdd9b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>EcmaScript</name>
      <anchorfile>classKross_1_1EcmaScript.html</anchorfile>
      <anchor>1aeadb91349245dbd9c66007dad2413a</anchor>
      <arglist>(Kross::Interpreter *interpreter, Kross::Action *action)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~EcmaScript</name>
      <anchorfile>classKross_1_1EcmaScript.html</anchorfile>
      <anchor>e0cf77ee06891af11046ed98de40851a</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kross::ErrorInterface</name>
    <filename>classKross_1_1ErrorInterface.html</filename>
    <member kind="function">
      <type>void</type>
      <name>clearError</name>
      <anchorfile>classKross_1_1ErrorInterface.html</anchorfile>
      <anchor>b62843ca32242016cdf04752ed7ad454</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ErrorInterface</name>
      <anchorfile>classKross_1_1ErrorInterface.html</anchorfile>
      <anchor>f624e45138eeaf9bdb7dcb901b3bc8d9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>errorLineNo</name>
      <anchorfile>classKross_1_1ErrorInterface.html</anchorfile>
      <anchor>478e4032a8a387aa8dc4305ead0dac34</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString</type>
      <name>errorMessage</name>
      <anchorfile>classKross_1_1ErrorInterface.html</anchorfile>
      <anchor>6d972b89918d4bbd8f11788d31aa2d92</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString</type>
      <name>errorTrace</name>
      <anchorfile>classKross_1_1ErrorInterface.html</anchorfile>
      <anchor>e8a3c324dd615cb3e4c9be9a5267d882</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hadError</name>
      <anchorfile>classKross_1_1ErrorInterface.html</anchorfile>
      <anchor>adb4505d8d22d5dd8224ba5d2db52af2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setError</name>
      <anchorfile>classKross_1_1ErrorInterface.html</anchorfile>
      <anchor>1173ef95dd064f0e6ad1971d8e7fc993</anchor>
      <arglist>(ErrorInterface *error)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setError</name>
      <anchorfile>classKross_1_1ErrorInterface.html</anchorfile>
      <anchor>9c70cc36d73e4e4705ba00eaaf8af874</anchor>
      <arglist>(const QString &amp;errormessage, const QString &amp;tracemessage=QString(), long lineno=-1)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kross::FormDialog</name>
    <filename>classKross_1_1FormDialog.html</filename>
    <base>KPageDialog</base>
    <member kind="slot">
      <type>QWidget *</type>
      <name>addPage</name>
      <anchorfile>classKross_1_1FormDialog.html</anchorfile>
      <anchor>6f8fcc911a0f06327ff6b189bcc3fa2d</anchor>
      <arglist>(const QString &amp;name, const QString &amp;header=QString(), const QString &amp;iconname=QString())</arglist>
    </member>
    <member kind="slot">
      <type>QString</type>
      <name>currentPage</name>
      <anchorfile>classKross_1_1FormDialog.html</anchorfile>
      <anchor>3a271718dd6f100caf22c2a2b01860f2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot">
      <type>int</type>
      <name>exec</name>
      <anchorfile>classKross_1_1FormDialog.html</anchorfile>
      <anchor>82b5c6cf270a3e706029eade400bc952</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>int</type>
      <name>exec_loop</name>
      <anchorfile>classKross_1_1FormDialog.html</anchorfile>
      <anchor>173c056ac06addf0bfe933636f5f2e6d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>QWidget *</type>
      <name>page</name>
      <anchorfile>classKross_1_1FormDialog.html</anchorfile>
      <anchor>53232cba0e00a5604000ed4647fc72ef</anchor>
      <arglist>(const QString &amp;name) const </arglist>
    </member>
    <member kind="slot">
      <type>QString</type>
      <name>result</name>
      <anchorfile>classKross_1_1FormDialog.html</anchorfile>
      <anchor>d2106061148f9c616e66bff969a326e3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>setButtons</name>
      <anchorfile>classKross_1_1FormDialog.html</anchorfile>
      <anchor>6524e21f7a1d1b1bc205f103ae9df452</anchor>
      <arglist>(const QString &amp;buttons)</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>setButtonText</name>
      <anchorfile>classKross_1_1FormDialog.html</anchorfile>
      <anchor>baae713ba1708cb0bd9172651dd1a9b7</anchor>
      <arglist>(const QString &amp;button, const QString &amp;text)</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>setCurrentPage</name>
      <anchorfile>classKross_1_1FormDialog.html</anchorfile>
      <anchor>8c8fbc89b93d5578f82a9197c5f4c2ec</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>setFaceType</name>
      <anchorfile>classKross_1_1FormDialog.html</anchorfile>
      <anchor>15163ee557baf6a5b8207df9e45c8573</anchor>
      <arglist>(const QString &amp;facetype)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setMainWidget</name>
      <anchorfile>classKross_1_1FormDialog.html</anchorfile>
      <anchor>20080eaae1b00d3c4f4f637445a222c1</anchor>
      <arglist>(QWidget *newMainWidget)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>FormDialog</name>
      <anchorfile>classKross_1_1FormDialog.html</anchorfile>
      <anchor>f0acf97931aeaa64a7fe3e45af140c75</anchor>
      <arglist>(const QString &amp;caption)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~FormDialog</name>
      <anchorfile>classKross_1_1FormDialog.html</anchorfile>
      <anchor>4721395b48f9d9f0b4fe41f938850eed</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kross::FormFileWidget</name>
    <filename>classKross_1_1FormFileWidget.html</filename>
    <base>QWidget</base>
    <member kind="enumeration">
      <name>Mode</name>
      <anchorfile>classKross_1_1FormFileWidget.html</anchorfile>
      <anchor>4de563e899674a1a5a1816bbf647f159</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Other</name>
      <anchorfile>classKross_1_1FormFileWidget.html</anchorfile>
      <anchor>4de563e899674a1a5a1816bbf647f159006d1282906b30a40b93d455a5d4b7a7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Opening</name>
      <anchorfile>classKross_1_1FormFileWidget.html</anchorfile>
      <anchor>4de563e899674a1a5a1816bbf647f159f6cb54e3587f21feb1b9e4dbf7bc5019</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Saving</name>
      <anchorfile>classKross_1_1FormFileWidget.html</anchorfile>
      <anchor>4de563e899674a1a5a1816bbf647f15958692f8baa1840d65f9d32a115f7de9f</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot">
      <type>QString</type>
      <name>currentFilter</name>
      <anchorfile>classKross_1_1FormFileWidget.html</anchorfile>
      <anchor>e31fa66418982c000c3dbdc6b86b7ca4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot">
      <type>QString</type>
      <name>currentMimeFilter</name>
      <anchorfile>classKross_1_1FormFileWidget.html</anchorfile>
      <anchor>1927b29862664ec368ea718c203f6bb0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot">
      <type>QString</type>
      <name>selectedFile</name>
      <anchorfile>classKross_1_1FormFileWidget.html</anchorfile>
      <anchor>6ef53b42699687bc92ac5b42690a4417</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setFilter</name>
      <anchorfile>classKross_1_1FormFileWidget.html</anchorfile>
      <anchor>887c03b476bc0bfccbd1e85b3969320d</anchor>
      <arglist>(const QString &amp;filter)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setMimeFilter</name>
      <anchorfile>classKross_1_1FormFileWidget.html</anchorfile>
      <anchor>c41016c678cf2b98aad6036199b36e25</anchor>
      <arglist>(const QStringList &amp;filter)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setMode</name>
      <anchorfile>classKross_1_1FormFileWidget.html</anchorfile>
      <anchor>805f3e1fe914b015267f46767626d2ee</anchor>
      <arglist>(const QString &amp;mode)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>fileHighlighted</name>
      <anchorfile>classKross_1_1FormFileWidget.html</anchorfile>
      <anchor>faeb386c1161d40836c53fbeb1894d0e</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>fileSelected</name>
      <anchorfile>classKross_1_1FormFileWidget.html</anchorfile>
      <anchor>695ea71707ad60dab245b71864501259</anchor>
      <arglist>(const QString &amp;file)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>filterChanged</name>
      <anchorfile>classKross_1_1FormFileWidget.html</anchorfile>
      <anchor>4de567d3f8746201b9a6c64229498c62</anchor>
      <arglist>(const QString &amp;filter)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>selectionChanged</name>
      <anchorfile>classKross_1_1FormFileWidget.html</anchorfile>
      <anchor>5cb16b4e5b1e61ebd8ab53fdb1cca535</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>FormFileWidget</name>
      <anchorfile>classKross_1_1FormFileWidget.html</anchorfile>
      <anchor>cb87d434d7013aecf677029327165bbd</anchor>
      <arglist>(QWidget *parent, const QString &amp;startDirOrVariable)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~FormFileWidget</name>
      <anchorfile>classKross_1_1FormFileWidget.html</anchorfile>
      <anchor>499001e36822d72c7cf6748d807cc5b1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kross::FormModule</name>
    <filename>classKross_1_1FormModule.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>QWidget *</type>
      <name>activeModalWidget</name>
      <anchorfile>classKross_1_1FormModule.html</anchorfile>
      <anchor>a944fc445533a786c65d3db77dbb4012</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>QWidget *</type>
      <name>activeWindow</name>
      <anchorfile>classKross_1_1FormModule.html</anchorfile>
      <anchor>61ffe02d9c2b5b368ff3168238857b37</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>QWidget *</type>
      <name>createDialog</name>
      <anchorfile>classKross_1_1FormModule.html</anchorfile>
      <anchor>c1f72dae146b3b9bafbb2db8a36082ce</anchor>
      <arglist>(const QString &amp;caption)</arglist>
    </member>
    <member kind="slot">
      <type>QWidget *</type>
      <name>createFileWidget</name>
      <anchorfile>classKross_1_1FormModule.html</anchorfile>
      <anchor>61420ca4cde8440bae9271b6da775603</anchor>
      <arglist>(QWidget *parent, const QString &amp;startDirOrVariable=QString())</arglist>
    </member>
    <member kind="slot">
      <type>QObject *</type>
      <name>createLayout</name>
      <anchorfile>classKross_1_1FormModule.html</anchorfile>
      <anchor>3fa108d178a09229f19a698ff5d98b45</anchor>
      <arglist>(QWidget *parent, const QString &amp;layout)</arglist>
    </member>
    <member kind="slot">
      <type>QWidget *</type>
      <name>createWidget</name>
      <anchorfile>classKross_1_1FormModule.html</anchorfile>
      <anchor>e06b08e8a4efb724a404db20aa684470</anchor>
      <arglist>(QWidget *parent, const QString &amp;className, const QString &amp;name=QString())</arglist>
    </member>
    <member kind="slot">
      <type>QWidget *</type>
      <name>createWidget</name>
      <anchorfile>classKross_1_1FormModule.html</anchorfile>
      <anchor>55f91c671d8584f56a37985b5389fe08</anchor>
      <arglist>(const QString &amp;className)</arglist>
    </member>
    <member kind="slot">
      <type>QWidget *</type>
      <name>createWidgetFromUI</name>
      <anchorfile>classKross_1_1FormModule.html</anchorfile>
      <anchor>6ff03ca28377097f965551a6781bc1fb</anchor>
      <arglist>(QWidget *parent, const QString &amp;xml)</arglist>
    </member>
    <member kind="slot">
      <type>QWidget *</type>
      <name>createWidgetFromUIFile</name>
      <anchorfile>classKross_1_1FormModule.html</anchorfile>
      <anchor>a364719119dc924008c3a92ef95fea67</anchor>
      <arglist>(QWidget *parent, const QString &amp;filename)</arglist>
    </member>
    <member kind="slot">
      <type>QObject *</type>
      <name>loadPart</name>
      <anchorfile>classKross_1_1FormModule.html</anchorfile>
      <anchor>cf1c54d2843792378db21a5c78e2be61</anchor>
      <arglist>(QWidget *parent, const QString &amp;name, const QUrl &amp;url=QUrl())</arglist>
    </member>
    <member kind="slot">
      <type>QString</type>
      <name>showMessageBox</name>
      <anchorfile>classKross_1_1FormModule.html</anchorfile>
      <anchor>0c74fbe0375340ae26ac98c55ffd31f7</anchor>
      <arglist>(const QString &amp;dialogtype, const QString &amp;caption, const QString &amp;message, const QString &amp;details=QString())</arglist>
    </member>
    <member kind="slot">
      <type>QWidget *</type>
      <name>showProgressDialog</name>
      <anchorfile>classKross_1_1FormModule.html</anchorfile>
      <anchor>90cfd91efedc64e0aadf407e91bb0f5a</anchor>
      <arglist>(const QString &amp;caption, const QString &amp;labelText)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>FormModule</name>
      <anchorfile>classKross_1_1FormModule.html</anchorfile>
      <anchor>043a3f63fbf9edda135b1c16b9d439e5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~FormModule</name>
      <anchorfile>classKross_1_1FormModule.html</anchorfile>
      <anchor>5cab11d982aef312666eeaacd98f4b12</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kross::FormProgressDialog</name>
    <filename>classKross_1_1FormProgressDialog.html</filename>
    <base>KPageDialog</base>
    <member kind="slot">
      <type>void</type>
      <name>addText</name>
      <anchorfile>classKross_1_1FormProgressDialog.html</anchorfile>
      <anchor>3972e1bd9c57f060015e49af8258d602</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="slot">
      <type>int</type>
      <name>exec</name>
      <anchorfile>classKross_1_1FormProgressDialog.html</anchorfile>
      <anchor>38adfe9b84fc16b760b0f227c560c01e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>int</type>
      <name>exec_loop</name>
      <anchorfile>classKross_1_1FormProgressDialog.html</anchorfile>
      <anchor>ecff064fa3c0d08ba513cff0c42d4153</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>isCanceled</name>
      <anchorfile>classKross_1_1FormProgressDialog.html</anchorfile>
      <anchor>76f38ecf2d18d53e2b30034646943021</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setRange</name>
      <anchorfile>classKross_1_1FormProgressDialog.html</anchorfile>
      <anchor>f32e47a874e6397e3d1063436d42625b</anchor>
      <arglist>(int minimum, int maximum)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setText</name>
      <anchorfile>classKross_1_1FormProgressDialog.html</anchorfile>
      <anchor>3531ff88d275b7af8bf184cdb188a61b</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setValue</name>
      <anchorfile>classKross_1_1FormProgressDialog.html</anchorfile>
      <anchor>b159dc96a18f2ec8ecf429f7db3bef18</anchor>
      <arglist>(int progress)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>canceled</name>
      <anchorfile>classKross_1_1FormProgressDialog.html</anchorfile>
      <anchor>5a2102115d4191103e3af506e8fe7c87</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>done</name>
      <anchorfile>classKross_1_1FormProgressDialog.html</anchorfile>
      <anchor>4699f579d815bae85e66e417453b4104</anchor>
      <arglist>(int r)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>FormProgressDialog</name>
      <anchorfile>classKross_1_1FormProgressDialog.html</anchorfile>
      <anchor>0b4bd62fa3a00189e1a6108fe392ddab</anchor>
      <arglist>(const QString &amp;caption, const QString &amp;labelText)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~FormProgressDialog</name>
      <anchorfile>classKross_1_1FormProgressDialog.html</anchorfile>
      <anchor>e7b48cc30cd828450484949632d9b442</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kross::Interpreter</name>
    <filename>classKross_1_1Interpreter.html</filename>
    <base>QObject</base>
    <base>Kross::ErrorInterface</base>
    <member kind="function" virtualness="pure">
      <type>virtual Script *</type>
      <name>createScript</name>
      <anchorfile>classKross_1_1Interpreter.html</anchorfile>
      <anchor>9212ac8699bf19cb17e8930e411d3bcc</anchor>
      <arglist>(Action *Action)=0</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Interpreter</name>
      <anchorfile>classKross_1_1Interpreter.html</anchorfile>
      <anchor>fb3bac1c43d769ea1be57442b2bb6e60</anchor>
      <arglist>(InterpreterInfo *info)</arglist>
    </member>
    <member kind="function">
      <type>InterpreterInfo *</type>
      <name>interpreterInfo</name>
      <anchorfile>classKross_1_1Interpreter.html</anchorfile>
      <anchor>4d32856cb594782fe076e31a240bd1e1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Interpreter</name>
      <anchorfile>classKross_1_1Interpreter.html</anchorfile>
      <anchor>0f96b57f8126e2b5bc63390121e4b5b1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kross::InterpreterInfo</name>
    <filename>classKross_1_1InterpreterInfo.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>hasOption</name>
      <anchorfile>classKross_1_1InterpreterInfo.html</anchorfile>
      <anchor>f71b79445f0ae22cd3acf1ff8accdaa1</anchor>
      <arglist>(const QString &amp;name) const </arglist>
    </member>
    <member kind="function">
      <type>Interpreter *</type>
      <name>interpreter</name>
      <anchorfile>classKross_1_1InterpreterInfo.html</anchorfile>
      <anchor>255337d6134bab2e2d597b50e3aa8104</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>InterpreterInfo</name>
      <anchorfile>classKross_1_1InterpreterInfo.html</anchorfile>
      <anchor>2f0376ed3eea9cd255dc6b08289345cf</anchor>
      <arglist>(const QString &amp;interpretername, void *funcPtr, const QString &amp;wildcard, const QStringList &amp;mimetypes, const Option::Map &amp;options=Option::Map())</arglist>
    </member>
    <member kind="function">
      <type>const QString</type>
      <name>interpreterName</name>
      <anchorfile>classKross_1_1InterpreterInfo.html</anchorfile>
      <anchor>ec35efecc0d3be8a08084c38864dc1a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QStringList</type>
      <name>mimeTypes</name>
      <anchorfile>classKross_1_1InterpreterInfo.html</anchorfile>
      <anchor>0143aec5d7cd25538ef8250ce3ada0c7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Option *</type>
      <name>option</name>
      <anchorfile>classKross_1_1InterpreterInfo.html</anchorfile>
      <anchor>a3138a701bde09494a1867c6a7161b5d</anchor>
      <arglist>(const QString &amp;name) const </arglist>
    </member>
    <member kind="function">
      <type>Option::Map &amp;</type>
      <name>options</name>
      <anchorfile>classKross_1_1InterpreterInfo.html</anchorfile>
      <anchor>75d5f4f8a5432efce1b2ca7cc9befbfb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const QVariant</type>
      <name>optionValue</name>
      <anchorfile>classKross_1_1InterpreterInfo.html</anchorfile>
      <anchor>55ae5051e4e802f8df7d4d83381da30f</anchor>
      <arglist>(const QString &amp;name, const QVariant &amp;defaultvalue=QVariant()) const </arglist>
    </member>
    <member kind="function">
      <type>const QString</type>
      <name>wildcard</name>
      <anchorfile>classKross_1_1InterpreterInfo.html</anchorfile>
      <anchor>716a0f61e24325a6daa2b17897cf8dbd</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~InterpreterInfo</name>
      <anchorfile>classKross_1_1InterpreterInfo.html</anchorfile>
      <anchor>e7d1ef9604826c1b369a191417f3ff21</anchor>
      <arglist>()</arglist>
    </member>
    <class kind="class">Kross::InterpreterInfo::Option</class>
  </compound>
  <compound kind="class">
    <name>Kross::InterpreterInfo::Option</name>
    <filename>classKross_1_1InterpreterInfo_1_1Option.html</filename>
    <member kind="typedef">
      <type>QMap&lt; QString, Option * &gt;</type>
      <name>Map</name>
      <anchorfile>classKross_1_1InterpreterInfo_1_1Option.html</anchorfile>
      <anchor>9fb998ded312285dbb7c1b56abd41bf4</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Option</name>
      <anchorfile>classKross_1_1InterpreterInfo_1_1Option.html</anchorfile>
      <anchor>699b9dc63a5ab9bb2564d998b63cf5cd</anchor>
      <arglist>(const QString &amp;comment, const QVariant &amp;value)</arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>comment</name>
      <anchorfile>classKross_1_1InterpreterInfo_1_1Option.html</anchorfile>
      <anchor>e10dfda0a63c9684a14889cb2910ee54</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QVariant</type>
      <name>value</name>
      <anchorfile>classKross_1_1InterpreterInfo_1_1Option.html</anchorfile>
      <anchor>08566e00afd44b7edf6be065da5e60af</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kross::KjsInterpreter</name>
    <filename>classKross_1_1KjsInterpreter.html</filename>
    <base>Kross::Interpreter</base>
    <member kind="function" virtualness="virtual">
      <type>virtual Kross::Script *</type>
      <name>createScript</name>
      <anchorfile>classKross_1_1KjsInterpreter.html</anchorfile>
      <anchor>7f4864069c3506258304276a904fde1f</anchor>
      <arglist>(Kross::Action *Action)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KjsInterpreter</name>
      <anchorfile>classKross_1_1KjsInterpreter.html</anchorfile>
      <anchor>a4bb56cab8ff499fe7a12cdd0340fe50</anchor>
      <arglist>(Kross::InterpreterInfo *info)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KjsInterpreter</name>
      <anchorfile>classKross_1_1KjsInterpreter.html</anchorfile>
      <anchor>18466ca19755353c33f725a0d91f33fc</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kross::KjsScript</name>
    <filename>classKross_1_1KjsScript.html</filename>
    <base>Kross::Script</base>
    <member kind="function" virtualness="virtual">
      <type>virtual QVariant</type>
      <name>callFunction</name>
      <anchorfile>classKross_1_1KjsScript.html</anchorfile>
      <anchor>3185601cc050cc994282c2654475f148</anchor>
      <arglist>(const QString &amp;name, const QVariantList &amp;args=QVariantList())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>execute</name>
      <anchorfile>classKross_1_1KjsScript.html</anchorfile>
      <anchor>dbfe560250efa494299e59685268ca71</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>functionNames</name>
      <anchorfile>classKross_1_1KjsScript.html</anchorfile>
      <anchor>677474616b4bbdea48860a4841565d94</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KjsScript</name>
      <anchorfile>classKross_1_1KjsScript.html</anchorfile>
      <anchor>b73616eda5a1bff448c7d1ac918e9400</anchor>
      <arglist>(Kross::Interpreter *interpreter, Kross::Action *action)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KjsScript</name>
      <anchorfile>classKross_1_1KjsScript.html</anchorfile>
      <anchor>45e394939c0334a476a860d643b430de</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kross::Manager</name>
    <filename>classKross_1_1Manager.html</filename>
    <base>QObject</base>
    <base>QScriptable</base>
    <base>Kross::ChildrenInterface</base>
    <member kind="slot">
      <type>QObject *</type>
      <name>action</name>
      <anchorfile>classKross_1_1Manager.html</anchorfile>
      <anchor>e49b8716feaa086a7ba1499b131daeb3</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>addQObject</name>
      <anchorfile>classKross_1_1Manager.html</anchorfile>
      <anchor>c678196215f8418f718a9d790cd729d5</anchor>
      <arglist>(QObject *obj, const QString &amp;name=QString())</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>executeScriptFile</name>
      <anchorfile>classKross_1_1Manager.html</anchorfile>
      <anchor>1e7b8508f364c3d91471cbcdc9131909</anchor>
      <arglist>(const QUrl &amp;file=QUrl())</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>hasAction</name>
      <anchorfile>classKross_1_1Manager.html</anchorfile>
      <anchor>5b2f449ee2578c03ead2bd940d51098a</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="slot">
      <type>QStringList</type>
      <name>interpreters</name>
      <anchorfile>classKross_1_1Manager.html</anchorfile>
      <anchor>87ca3478f66d4eb4fcb042eab4e9a504</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot">
      <type>QObject *</type>
      <name>module</name>
      <anchorfile>classKross_1_1Manager.html</anchorfile>
      <anchor>be2ebca59a5e836088f2d900d8c4757c</anchor>
      <arglist>(const QString &amp;modulename)</arglist>
    </member>
    <member kind="slot">
      <type>QObject *</type>
      <name>qobject</name>
      <anchorfile>classKross_1_1Manager.html</anchorfile>
      <anchor>7d4554aea445e8b47f51f0b24dcabad9</anchor>
      <arglist>(const QString &amp;name) const </arglist>
    </member>
    <member kind="slot">
      <type>QStringList</type>
      <name>qobjectNames</name>
      <anchorfile>classKross_1_1Manager.html</anchorfile>
      <anchor>a609025b21e14ec765aa8425b652e29b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>finished</name>
      <anchorfile>classKross_1_1Manager.html</anchorfile>
      <anchor>6e72b172411b77d67facc73d73b1ebc5</anchor>
      <arglist>(Kross::Action *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>started</name>
      <anchorfile>classKross_1_1Manager.html</anchorfile>
      <anchor>6b837e6bcbf2565a58225373f1ef5f69</anchor>
      <arglist>(Kross::Action *)</arglist>
    </member>
    <member kind="function">
      <type>ActionCollection *</type>
      <name>actionCollection</name>
      <anchorfile>classKross_1_1Manager.html</anchorfile>
      <anchor>9b9a6a2724daa4c7b06a816781553f40</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasInterpreterInfo</name>
      <anchorfile>classKross_1_1Manager.html</anchorfile>
      <anchor>55add2da5f1b4606a603c12702af32f1</anchor>
      <arglist>(const QString &amp;interpretername) const </arglist>
    </member>
    <member kind="function">
      <type>Interpreter *</type>
      <name>interpreter</name>
      <anchorfile>classKross_1_1Manager.html</anchorfile>
      <anchor>116994f19737590592a07341752b471f</anchor>
      <arglist>(const QString &amp;interpretername) const </arglist>
    </member>
    <member kind="function">
      <type>InterpreterInfo *</type>
      <name>interpreterInfo</name>
      <anchorfile>classKross_1_1Manager.html</anchorfile>
      <anchor>0963a3d08f7f6f9ff6d6779496e2136e</anchor>
      <arglist>(const QString &amp;interpretername) const </arglist>
    </member>
    <member kind="function">
      <type>QHash&lt; QString, InterpreterInfo * &gt;</type>
      <name>interpreterInfos</name>
      <anchorfile>classKross_1_1Manager.html</anchorfile>
      <anchor>54f840b03ba35653de0af04f6e96ab1a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString</type>
      <name>interpreternameForFile</name>
      <anchorfile>classKross_1_1Manager.html</anchorfile>
      <anchor>5e3b83264869116e7834828f6845cbb0</anchor>
      <arglist>(const QString &amp;file)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Manager</name>
      <anchorfile>classKross_1_1Manager.html</anchorfile>
      <anchor>1658ff9f18e38ccd9cb8b0b371b9c20b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Manager</name>
      <anchorfile>classKross_1_1Manager.html</anchorfile>
      <anchor>322cad25d7007438b3a043ad02253d29</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Manager &amp;</type>
      <name>self</name>
      <anchorfile>classKross_1_1Manager.html</anchorfile>
      <anchor>a045f5169355a43764d08dbdaa103057</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kross::MetaFunction</name>
    <filename>classKross_1_1MetaFunction.html</filename>
    <base>QObject</base>
    <member kind="function">
      <type></type>
      <name>MetaFunction</name>
      <anchorfile>classKross_1_1MetaFunction.html</anchorfile>
      <anchor>6a0b2d3e52363f916f0894f780d3f124</anchor>
      <arglist>(QObject *sender, const QByteArray &amp;signal)</arglist>
    </member>
    <member kind="function">
      <type>const QMetaObject *</type>
      <name>metaObject</name>
      <anchorfile>classKross_1_1MetaFunction.html</anchorfile>
      <anchor>2d9b3161d29185e758e6ab623f359dad</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>int</type>
      <name>qt_metacall</name>
      <anchorfile>classKross_1_1MetaFunction.html</anchorfile>
      <anchor>fa9a5766f535018d709174e5cb5e38ab</anchor>
      <arglist>(QMetaObject::Call _c, int _id, void **_a)=0</arglist>
    </member>
    <member kind="function">
      <type>void *</type>
      <name>qt_metacast</name>
      <anchorfile>classKross_1_1MetaFunction.html</anchorfile>
      <anchor>2958480d82b3307c515c42e42ed84990</anchor>
      <arglist>(const char *_clname)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~MetaFunction</name>
      <anchorfile>classKross_1_1MetaFunction.html</anchorfile>
      <anchor>9bc73c502002936a0c9a1e1012e3839c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>QMetaObject</type>
      <name>staticMetaObject</name>
      <anchorfile>classKross_1_1MetaFunction.html</anchorfile>
      <anchor>9dac7839f288864f540d8462ed20c153</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>uint</type>
      <name>m_data</name>
      <anchorfile>classKross_1_1MetaFunction.html</anchorfile>
      <anchor>17cc2e26e545cc14af115d3eee05cdd9</anchor>
      <arglist>[21]</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QPointer&lt; QObject &gt;</type>
      <name>m_sender</name>
      <anchorfile>classKross_1_1MetaFunction.html</anchorfile>
      <anchor>35e18bae7e84ea434f89727665881662</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QByteArray</type>
      <name>m_signature</name>
      <anchorfile>classKross_1_1MetaFunction.html</anchorfile>
      <anchor>041c7fbfd6bcbb1f1253afe07dd3e6bc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QByteArray</type>
      <name>m_stringData</name>
      <anchorfile>classKross_1_1MetaFunction.html</anchorfile>
      <anchor>345b7b739730eaf2b78f9467a8c25ada</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kross::MetaType</name>
    <filename>classKross_1_1MetaType.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void *</type>
      <name>toVoidStar</name>
      <anchorfile>classKross_1_1MetaType.html</anchorfile>
      <anchor>c1e20f38d01a83943c09b1f7ccbc17d8</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>typeId</name>
      <anchorfile>classKross_1_1MetaType.html</anchorfile>
      <anchor>1c520f5f3afb5e7174a1d2f2949738a1</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~MetaType</name>
      <anchorfile>classKross_1_1MetaType.html</anchorfile>
      <anchor>d2201bf4daa5ddcd033953c21759f865</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kross::MetaTypeImpl</name>
    <filename>classKross_1_1MetaTypeImpl.html</filename>
    <templarg>METATYPE</templarg>
    <base>Kross::MetaType</base>
    <member kind="function">
      <type></type>
      <name>MetaTypeImpl</name>
      <anchorfile>classKross_1_1MetaTypeImpl.html</anchorfile>
      <anchor>1e20f96dc54f2a59d7c7de640a64a19c</anchor>
      <arglist>(const METATYPE &amp;v)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void *</type>
      <name>toVoidStar</name>
      <anchorfile>classKross_1_1MetaTypeImpl.html</anchorfile>
      <anchor>e8d670988504501b8fb6092bdd6bb1a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>typeId</name>
      <anchorfile>classKross_1_1MetaTypeImpl.html</anchorfile>
      <anchor>4cc080cb7c4a6814806a82b74d6da776</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~MetaTypeImpl</name>
      <anchorfile>classKross_1_1MetaTypeImpl.html</anchorfile>
      <anchor>2a24057ba79443201377733e54460a37</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kross::MetaTypeVariant</name>
    <filename>classKross_1_1MetaTypeVariant.html</filename>
    <templarg>VARIANTTYPE</templarg>
    <base>Kross::MetaType</base>
    <member kind="function">
      <type></type>
      <name>MetaTypeVariant</name>
      <anchorfile>classKross_1_1MetaTypeVariant.html</anchorfile>
      <anchor>cb8c0cca4873da914cd6c3f64aeb536b</anchor>
      <arglist>(const VARIANTTYPE &amp;v)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void *</type>
      <name>toVoidStar</name>
      <anchorfile>classKross_1_1MetaTypeVariant.html</anchorfile>
      <anchor>709d4bcdfe61d18ac43bc94e38275f0b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>typeId</name>
      <anchorfile>classKross_1_1MetaTypeVariant.html</anchorfile>
      <anchor>3fb31a90061b056e6615c9adfa571479</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~MetaTypeVariant</name>
      <anchorfile>classKross_1_1MetaTypeVariant.html</anchorfile>
      <anchor>0eb9e89593181dabb8ad7e85189fe69c</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kross::MetaTypeVoidStar</name>
    <filename>classKross_1_1MetaTypeVoidStar.html</filename>
    <base>Kross::MetaType</base>
    <member kind="function">
      <type></type>
      <name>MetaTypeVoidStar</name>
      <anchorfile>classKross_1_1MetaTypeVoidStar.html</anchorfile>
      <anchor>9d2a74d98434fb7c2f0c5ce7780263c5</anchor>
      <arglist>(int typeId, void *ptr, bool owner)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void *</type>
      <name>toVoidStar</name>
      <anchorfile>classKross_1_1MetaTypeVoidStar.html</anchorfile>
      <anchor>4c8846e786bab5e364619f279e269278</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>typeId</name>
      <anchorfile>classKross_1_1MetaTypeVoidStar.html</anchorfile>
      <anchor>a9cd83e06e615f0153c3037206a3fa57</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~MetaTypeVoidStar</name>
      <anchorfile>classKross_1_1MetaTypeVoidStar.html</anchorfile>
      <anchor>d1db258db9dd1c166fb41bf1e45ec793</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kross::Object</name>
    <filename>classKross_1_1Object.html</filename>
    <base>QSharedData</base>
    <base>Kross::ErrorInterface</base>
    <member kind="typedef">
      <type>KSharedPtr&lt; Object &gt;</type>
      <name>Ptr</name>
      <anchorfile>classKross_1_1Object.html</anchorfile>
      <anchor>3b3ac797b5314d2da0df118ea7d91bd4</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QVariant</type>
      <name>callMethod</name>
      <anchorfile>classKross_1_1Object.html</anchorfile>
      <anchor>cf3a19161fcf2839cf71be10fe29ca89</anchor>
      <arglist>(const QString &amp;name, const QVariantList &amp;args=QVariantList())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>methodNames</name>
      <anchorfile>classKross_1_1Object.html</anchorfile>
      <anchor>5cf505f5de4b060454b6c3bd844d63e9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Object</name>
      <anchorfile>classKross_1_1Object.html</anchorfile>
      <anchor>4df3adb362f4bfe65251dc6cbfc3bb65</anchor>
      <arglist>(const Object &amp;other)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Object</name>
      <anchorfile>classKross_1_1Object.html</anchorfile>
      <anchor>40860402e64d8008fb42329df7097cdb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classKross_1_1Object.html</anchorfile>
      <anchor>68b69daa3c83099cdf172e8b89b6414f</anchor>
      <arglist>(int id, void *ptr)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Object</name>
      <anchorfile>classKross_1_1Object.html</anchorfile>
      <anchor>e8f5483f459e46687bd01e6f9977afd3</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kross::Script</name>
    <filename>classKross_1_1Script.html</filename>
    <base>QObject</base>
    <base>Kross::ErrorInterface</base>
    <member kind="slot">
      <type>Action *</type>
      <name>action</name>
      <anchorfile>classKross_1_1Script.html</anchorfile>
      <anchor>14d4ee2dafa88302458dee7619ed8da9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual QVariant</type>
      <name>callFunction</name>
      <anchorfile>classKross_1_1Script.html</anchorfile>
      <anchor>1451c8c091ea146902b64fc0d0cbf722</anchor>
      <arglist>(const QString &amp;name, const QVariantList &amp;args=QVariantList())=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>execute</name>
      <anchorfile>classKross_1_1Script.html</anchorfile>
      <anchor>ead4315f675242c81c1af7452a68fcb6</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual QStringList</type>
      <name>functionNames</name>
      <anchorfile>classKross_1_1Script.html</anchorfile>
      <anchor>3a47352e75db820e4d320bd6e36afaad</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="slot">
      <type>Interpreter *</type>
      <name>interpreter</name>
      <anchorfile>classKross_1_1Script.html</anchorfile>
      <anchor>7158c99b0cc0393906e22df813b544f5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Script</name>
      <anchorfile>classKross_1_1Script.html</anchorfile>
      <anchor>40717cdc217ca8461d976e8297c3940c</anchor>
      <arglist>(Interpreter *interpreter, Action *action)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Script</name>
      <anchorfile>classKross_1_1Script.html</anchorfile>
      <anchor>7f3a173d141bcfefce0ba98b941dc823</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kross::ScriptingPlugin</name>
    <filename>classKross_1_1ScriptingPlugin.html</filename>
    <base>KParts::Plugin</base>
    <member kind="function">
      <type>void</type>
      <name>addObject</name>
      <anchorfile>classKross_1_1ScriptingPlugin.html</anchorfile>
      <anchor>8e10ae63d436e24446f4e3e5b5dc8212</anchor>
      <arglist>(QObject *object, const QString &amp;name=QString())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ScriptingPlugin</name>
      <anchorfile>classKross_1_1ScriptingPlugin.html</anchorfile>
      <anchor>efca490fac3eb26e699cf97b862fad60</anchor>
      <arglist>(QObject *parent=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setDOMDocument</name>
      <anchorfile>classKross_1_1ScriptingPlugin.html</anchorfile>
      <anchor>54171d122ee9b066ce900010dde547c2</anchor>
      <arglist>(const QDomDocument &amp;document, bool merge=false)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ScriptingPlugin</name>
      <anchorfile>classKross_1_1ScriptingPlugin.html</anchorfile>
      <anchor>c800606f1f43289c15c4b6162bd21701</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotEditScriptActions</name>
      <anchorfile>classKross_1_1ScriptingPlugin.html</anchorfile>
      <anchor>1a70ba0a52eb87c6b6982d2ae3d937fb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotResetScriptActions</name>
      <anchorfile>classKross_1_1ScriptingPlugin.html</anchorfile>
      <anchor>be3004c1e433378cc6b31b18c74cc812</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
</tagfile>
